<?php

namespace Wrm\Civserv2\Command;

/* * *************************************************************
 *
 *  Copyright notice
 *
 *  (c) 2016 Christian Sauer <sauer@werkraum-media.de>, werkraum.media
 *
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 * ************************************************************* */

/**
 * Data migration functions for civserv
 */
class MigrationCommandController extends \TYPO3\CMS\Extbase\Mvc\Controller\CommandController {

    /**
     * @var \TYPO3\CMS\Extbase\Mvc\Cli\CommandManager
     * @inject
     */
    protected $commandManager;

    /**
     * @var \TYPO3\CMS\Extbase\Configuration\ConfigurationManagerInterface
     * @inject
     */
    protected $configurationManager;

    /**
     * @var \Wrm\Civserv2\Domain\Repository\BuildingRepository
     * @inject
     */
    protected $buildingRepository;

    /**
     * @var \Wrm\Civserv2\Domain\Repository\EmployeeRepository
     * @inject
     */
    protected $employeeRepository;

    /**
     * @var \Wrm\Civserv2\Domain\Repository\FormRepository
     * @inject
     */
    protected $formRepository;

    /**
     * @var \Wrm\Civserv2\Domain\Repository\ServiceRepository
     * @inject
     */
    protected $serviceRepository;

    /**
     * @var \TYPO3\CMS\Core\Resource\StorageRepository
     * @inject
     */
    protected $storageRepository;

    /**
     * Migrates data from civserv.
     * @param int pid
     */
    public function migrateDataCommand($pid) {
        try {
            $GLOBALS['TYPO3_DB']->sql_query("TRUNCATE tx_civserv2_domain_model_accesslog;");
            $dataToMigrate = $GLOBALS['TYPO3_DB']->sql_query("SELECT * FROM `tx_civserv_accesslog`;");
            foreach ($dataToMigrate as $entry) {
                if(is_null($entry['remote_addr']))
                    $entry['remote_addr'] = '';
                $GLOBALS['TYPO3_DB']->exec_INSERTquery('tx_civserv2_domain_model_accesslog', $entry);
            }            
            $GLOBALS['TYPO3_DB']->sql_query("UPDATE tx_civserv2_domain_model_accesslog SET pid=".$pid.";");            
            
            $GLOBALS['TYPO3_DB']->sql_query("TRUNCATE tx_civserv2_domain_model_building;");
            $dataToMigrate = $GLOBALS['TYPO3_DB']->sql_query("SELECT * FROM `tx_civserv_building`;");
            foreach ($dataToMigrate as $entry) {
                unset($entry['sorting']);
                unset($entry['fe_group']);
                unset($entry['bl_exid']);
                unset($entry['bl_floor_PLACEHOLDER']);
                $GLOBALS['TYPO3_DB']->exec_INSERTquery('tx_civserv2_domain_model_building', $entry);
            }
            $GLOBALS['TYPO3_DB']->sql_query("UPDATE tx_civserv2_domain_model_building SET pid=".$pid.";");
            
            $GLOBALS['TYPO3_DB']->sql_query("TRUNCATE tx_civserv2_domain_model_configuration;");
            $dataToMigrate = $GLOBALS['TYPO3_DB']->sql_query("SELECT * FROM `tx_civserv_configuration`;");
            foreach ($dataToMigrate as $entry) {
                $GLOBALS['TYPO3_DB']->exec_INSERTquery('tx_civserv2_domain_model_configuration', $entry);
            }
            $GLOBALS['TYPO3_DB']->sql_query("UPDATE tx_civserv2_domain_model_configuration SET pid=".$pid.";");
            
            $GLOBALS['TYPO3_DB']->sql_query("TRUNCATE tx_civserv2_confmandant_region_mm;");
            $dataToMigrate = $GLOBALS['TYPO3_DB']->sql_query("SELECT * FROM `tx_civserv_conf_mandant_cm_region_mm`;");
            foreach ($dataToMigrate as $entry) {
                unset($entry['tablenames']);
                $GLOBALS['TYPO3_DB']->exec_INSERTquery('tx_civserv2_confmandant_region_mm', $entry);
            }
            
            $GLOBALS['TYPO3_DB']->sql_query("TRUNCATE tx_civserv2_domain_model_confmandant;");
            $dataToMigrate = $GLOBALS['TYPO3_DB']->sql_query("SELECT * FROM `tx_civserv_conf_mandant`;");
            foreach ($dataToMigrate as $entry) {
                unset($entry['sorting']);
                unset($entry['fe_group']);
                $entry['cm_employee_search'] = $entry['cm_employeesearch'];
                unset($entry['cm_employeesearch']);
                $GLOBALS['TYPO3_DB']->exec_INSERTquery('tx_civserv2_domain_model_confmandant', $entry);
            }
            $GLOBALS['TYPO3_DB']->sql_query("UPDATE tx_civserv2_domain_model_confmandant SET pid=".$pid.";");
            
            $GLOBALS['TYPO3_DB']->sql_query("TRUNCATE tx_civserv2_domain_model_conftransaction;");
            $dataToMigrate = $GLOBALS['TYPO3_DB']->sql_query("SELECT * FROM `tx_civserv_conf_transaction`;");
            foreach ($dataToMigrate as $entry) {
                unset($entry['sorting']);
                unset($entry['fe_group']);
                unset($entry['bl_exid']);
                unset($entry['bl_floor_PLACEHOLDER']);
                $GLOBALS['TYPO3_DB']->exec_INSERTquery('tx_civserv2_domain_model_conftransaction', $entry);
            }
            $GLOBALS['TYPO3_DB']->sql_query("UPDATE tx_civserv2_domain_model_conftransaction SET pid=".$pid.";");
            
            $GLOBALS['TYPO3_DB']->sql_query("TRUNCATE tx_civserv2_domain_model_employee;");
            $dataToMigrate = $GLOBALS['TYPO3_DB']->sql_query("SELECT * FROM `tx_civserv_employee`;");
            foreach ($dataToMigrate as $entry) {
                unset($entry['sorting']);
                unset($entry['fe_group']);
                unset($entry['em_exid']);
                unset($entry['em_position_PLACEHOLDER']);
                $GLOBALS['TYPO3_DB']->exec_INSERTquery('tx_civserv2_domain_model_employee', $entry);
            }
            $GLOBALS['TYPO3_DB']->sql_query("UPDATE tx_civserv2_domain_model_employee SET pid=".$pid.";");
            
            $GLOBALS['TYPO3_DB']->sql_query("TRUNCATE tx_civserv2_domain_model_employeeposition;");
            $dataToMigrate = $GLOBALS['TYPO3_DB']->sql_query("SELECT * FROM `tx_civserv_employee_em_position_mm`;");
            foreach ($dataToMigrate as $entry) {
                unset($entry['sorting']);
                unset($entry['fe_group']);
                $entry['employee'] = $entry['uid_local'];                
                unset($entry['uid_local']);
                $entry['position'] = $entry['uid_foreign'];                
                unset($entry['uid_foreign']);        
                unset($entry['tablenames']);     
                unset($entry['uid_temp']);
                unset($entry['ep_em_exid']);
                
                $GLOBALS['TYPO3_DB']->exec_INSERTquery('tx_civserv2_domain_model_employeeposition', $entry);
            }
            $GLOBALS['TYPO3_DB']->sql_query("UPDATE tx_civserv2_domain_model_employeeposition SET pid=".$pid.";");
            
            $GLOBALS['TYPO3_DB']->sql_query("TRUNCATE tx_civserv2_domain_model_externalservice;");
            $dataToMigrate = $GLOBALS['TYPO3_DB']->sql_query("SELECT * FROM `tx_civserv_external_service`;");
            foreach ($dataToMigrate as $entry) {
                unset($entry['sorting']);
                unset($entry['fe_group']);
                
                $GLOBALS['TYPO3_DB']->exec_INSERTquery('tx_civserv2_domain_model_externalservice', $entry);
            }
            $GLOBALS['TYPO3_DB']->sql_query("UPDATE tx_civserv2_domain_model_externalservice SET pid=".$pid.";");
            
            $GLOBALS['TYPO3_DB']->sql_query("TRUNCATE tx_civserv2_domain_model_floor;");
            $dataToMigrate = $GLOBALS['TYPO3_DB']->sql_query("SELECT * FROM `tx_civserv_floor`;");
            foreach ($dataToMigrate as $entry) {
                unset($entry['sorting']);
                unset($entry['fe_group']);
                
                $GLOBALS['TYPO3_DB']->exec_INSERTquery('tx_civserv2_domain_model_floor', $entry);
            }
            $GLOBALS['TYPO3_DB']->sql_query("UPDATE tx_civserv2_domain_model_floor SET pid=".$pid.";");
            
            $GLOBALS['TYPO3_DB']->sql_query("TRUNCATE tx_civserv2_domain_model_form;");
            $dataToMigrate = $GLOBALS['TYPO3_DB']->sql_query("SELECT * FROM `tx_civserv_form`;");
            foreach ($dataToMigrate as $entry) {
                unset($entry['sorting']);
                unset($entry['fe_group']);
                //$entry['categories'] = $entry['fo_category'];                
                unset($entry['fo_category']);    
                
                $GLOBALS['TYPO3_DB']->exec_INSERTquery('tx_civserv2_domain_model_form', $entry);
            }
            $GLOBALS['TYPO3_DB']->sql_query("UPDATE tx_civserv2_domain_model_form SET pid=".$pid.";");
            
            $GLOBALS['TYPO3_DB']->sql_query("TRUNCATE tx_civserv2_domain_model_modelservice;");
            $dataToMigrate = $GLOBALS['TYPO3_DB']->sql_query("SELECT * FROM `tx_civserv_model_service`;");
            foreach ($dataToMigrate as $entry) {
                unset($entry['sorting']);
                unset($entry['fe_group']);
                
                $GLOBALS['TYPO3_DB']->exec_INSERTquery('tx_civserv2_domain_model_modelservice', $entry);
            }
            $GLOBALS['TYPO3_DB']->sql_query("UPDATE tx_civserv2_domain_model_modelservice SET pid=".$pid.";");
            
            $GLOBALS['TYPO3_DB']->sql_query("TRUNCATE tx_civserv2_domain_model_navigation;");
            $dataToMigrate = $GLOBALS['TYPO3_DB']->sql_query("SELECT * FROM `tx_civserv_navigation`;");
            foreach ($dataToMigrate as $entry) {
                unset($entry['sorting']);
                unset($entry['fe_group']);
                
                $GLOBALS['TYPO3_DB']->exec_INSERTquery('tx_civserv2_domain_model_navigation', $entry);
            }
            $GLOBALS['TYPO3_DB']->sql_query("UPDATE tx_civserv2_domain_model_navigation SET pid=".$pid.";");
            
            $GLOBALS['TYPO3_DB']->sql_query("TRUNCATE tx_civserv2_domain_model_officehours;");
            $dataToMigrate = $GLOBALS['TYPO3_DB']->sql_query("SELECT * FROM `tx_civserv_officehours`;");
            foreach ($dataToMigrate as $entry) {
                unset($entry['sorting']);
                unset($entry['fe_group']);
                unset($entry['oh_exid']);
                
                $GLOBALS['TYPO3_DB']->exec_INSERTquery('tx_civserv2_domain_model_officehours', $entry);
            }
            $GLOBALS['TYPO3_DB']->sql_query("UPDATE tx_civserv2_domain_model_officehours SET pid=".$pid.";");
            
            $GLOBALS['TYPO3_DB']->sql_query("TRUNCATE tx_civserv2_domain_model_organisation;");
            $dataToMigrate = $GLOBALS['TYPO3_DB']->sql_query("SELECT * FROM `tx_civserv_organisation`;");
            foreach ($dataToMigrate as $entry) {
                unset($entry['sorting']);
                unset($entry['fe_group']);
                unset($entry['or_exid']);
                
                $GLOBALS['TYPO3_DB']->exec_INSERTquery('tx_civserv2_domain_model_organisation', $entry);
            }
            $GLOBALS['TYPO3_DB']->sql_query("UPDATE tx_civserv2_domain_model_organisation SET pid=".$pid.";");
            
            $GLOBALS['TYPO3_DB']->sql_query("TRUNCATE tx_civserv2_domain_model_position;");
            $dataToMigrate = $GLOBALS['TYPO3_DB']->sql_query("SELECT * FROM `tx_civserv_position`;");
            foreach ($dataToMigrate as $entry) {
                unset($entry['sorting']);
                unset($entry['fe_group']);
                unset($entry['po_exid']);
                
                $GLOBALS['TYPO3_DB']->exec_INSERTquery('tx_civserv2_domain_model_position', $entry);
            }
            $GLOBALS['TYPO3_DB']->sql_query("UPDATE tx_civserv2_domain_model_position SET pid=".$pid.";");
            
            $GLOBALS['TYPO3_DB']->sql_query("TRUNCATE tx_civserv2_domain_model_region;");
            $dataToMigrate = $GLOBALS['TYPO3_DB']->sql_query("SELECT * FROM `tx_civserv_region`;");
            foreach ($dataToMigrate as $entry) {
                unset($entry['sorting']);
                unset($entry['fe_group']);
                
                $GLOBALS['TYPO3_DB']->exec_INSERTquery('tx_civserv2_domain_model_region', $entry);
            }
            $GLOBALS['TYPO3_DB']->sql_query("UPDATE tx_civserv2_domain_model_region SET pid=".$pid.";");
            
            $GLOBALS['TYPO3_DB']->sql_query("TRUNCATE tx_civserv2_domain_model_room;");
            $dataToMigrate = $GLOBALS['TYPO3_DB']->sql_query("SELECT * FROM `tx_civserv_room`;");
            foreach ($dataToMigrate as $entry) {
                unset($entry['sorting']);
                unset($entry['fe_group']);
                
                $GLOBALS['TYPO3_DB']->exec_INSERTquery('tx_civserv2_domain_model_room', $entry);
            }
            $GLOBALS['TYPO3_DB']->sql_query("UPDATE tx_civserv2_domain_model_room SET pid=".$pid.";");
            
            $GLOBALS['TYPO3_DB']->sql_query("TRUNCATE tx_civserv2_domain_model_searchword;");
            $dataToMigrate = $GLOBALS['TYPO3_DB']->sql_query("SELECT * FROM `tx_civserv_search_word`;");
            foreach ($dataToMigrate as $entry) {
                unset($entry['sorting']);
                unset($entry['fe_group']);
                
                $GLOBALS['TYPO3_DB']->exec_INSERTquery('tx_civserv2_domain_model_searchword', $entry);
            }
            $GLOBALS['TYPO3_DB']->sql_query("UPDATE tx_civserv2_domain_model_searchword SET pid=".$pid.";");
            
            $GLOBALS['TYPO3_DB']->sql_query("TRUNCATE tx_civserv2_domain_model_service;");
            $dataToMigrate = $GLOBALS['TYPO3_DB']->sql_query("SELECT * FROM `tx_civserv_service`;");
            foreach ($dataToMigrate as $entry) {
                unset($entry['sorting']);
                unset($entry['fe_group']);
                unset($entry['sv_region_checkbox']);
                unset($entry['sv_region_link']);
                unset($entry['sv_region_name']);
                unset($entry['t3_origuid']);
                unset($entry['sv_similar_services_PLACEHOLDER']);
                unset($entry['sv_form_PLACEHOLDER']);
                unset($entry['sv_searchword_PLACEHOLDER']);
                unset($entry['sv_position_PLACEHOLDER']);
                unset($entry['sv_organisation_PLACEHOLDER']);
                unset($entry['sv_navigation_PLACEHOLDER']);
                $entry['sv3rdparty_checkbox'] = $entry['sv_3rdparty_checkbox'];    
                unset($entry['sv_3rdparty_checkbox']);
                $entry['sv3rdparty_link'] = $entry['sv_3rdparty_link'];    
                unset($entry['sv_3rdparty_link']);
                $entry['sv3rdparty_name'] = $entry['sv_3rdparty_name'];    
                unset($entry['sv_3rdparty_name']);
                
                $GLOBALS['TYPO3_DB']->exec_INSERTquery('tx_civserv2_domain_model_service', $entry);
            }
            $GLOBALS['TYPO3_DB']->sql_query("UPDATE tx_civserv2_domain_model_service SET pid=".$pid.";");
            
            $GLOBALS['TYPO3_DB']->sql_query("TRUNCATE tx_civserv2_domain_model_serviceposition;");
            $dataToMigrate = $GLOBALS['TYPO3_DB']->sql_query("SELECT * FROM `tx_civserv_service_sv_position_mm`;");
            foreach ($dataToMigrate as $entry) {
                unset($entry['sorting']);
                unset($entry['fe_group']);
                $entry['service'] = $entry['uid_local'];    
                unset($entry['uid_local']);
                $entry['position'] = $entry['uid_foreign'];    
                unset($entry['uid_foreign']);            
                unset($entry['tablenames']);        
                unset($entry['uid_temp']);  
                unset($entry['sp_descr_PLACEHOLDER']);
                
                $GLOBALS['TYPO3_DB']->exec_INSERTquery('tx_civserv2_domain_model_serviceposition', $entry);
            }
            $GLOBALS['TYPO3_DB']->sql_query("UPDATE tx_civserv2_domain_model_serviceposition SET pid=".$pid.";");
            
            
            $GLOBALS['TYPO3_DB']->sql_query("TRUNCATE tx_civserv2_employeeposition_officehours_mm;");
            $dataToMigrate = $GLOBALS['TYPO3_DB']->sql_query("SELECT * FROM `tx_civserv_officehours_oep_employee_em_position_mm_mm`;");
            foreach ($dataToMigrate as $entry) {
                unset($entry['tablenames']);
                $GLOBALS['TYPO3_DB']->exec_INSERTquery('tx_civserv2_employeeposition_officehours_mm', $entry);
            }
            
            $GLOBALS['TYPO3_DB']->sql_query("TRUNCATE tx_civserv2_employee_officehours_mm;");
            $dataToMigrate = $GLOBALS['TYPO3_DB']->sql_query("SELECT * FROM `tx_civserv_employee_em_hours_mm`;");
            foreach ($dataToMigrate as $entry) {
                unset($entry['tablenames']);
                $GLOBALS['TYPO3_DB']->exec_INSERTquery('tx_civserv2_employee_officehours_mm', $entry);
            }
            
            $GLOBALS['TYPO3_DB']->sql_query("TRUNCATE tx_civserv2_externalservice_navigation_mm;");
            $dataToMigrate = $GLOBALS['TYPO3_DB']->sql_query("SELECT * FROM `tx_civserv_ext_service_esv_navigation_mm`;");
            foreach ($dataToMigrate as $entry) {
                unset($entry['tablenames']);
                $GLOBALS['TYPO3_DB']->exec_INSERTquery('tx_civserv2_externalservice_navigation_mm', $entry);
            }
            
            // form catgeory mm, todo?
            /*$GLOBALS['TYPO3_DB']->sql_query("TRUNCATE tx_civserv2_form__mm;");
            $dataToMigrate = $GLOBALS['TYPO3_DB']->sql_query("SELECT * FROM `tx_civserv_ext_service_esv_navigation_mm`;");
            foreach ($dataToMigrate as $entry) {
                unset($entry['tablenames']);
                $GLOBALS['TYPO3_DB']->exec_INSERTquery('tx_civserv2_form__mm', $entry);
            }*/
            
            /* ?
            $GLOBALS['TYPO3_DB']->sql_query("TRUNCATE tx_civserv2_modelservice_searchword_mm;");
            $dataToMigrate = $GLOBALS['TYPO3_DB']->sql_query("SELECT * FROM `tx_civserv_ext_service_esv_navigation_mm`;");
            foreach ($dataToMigrate as $entry) {
                unset($entry['tablenames']);
                $GLOBALS['TYPO3_DB']->exec_INSERTquery('tx_civserv2_modelservice_searchword_mm', $entry);
            }*/
            
            $GLOBALS['TYPO3_DB']->sql_query("TRUNCATE tx_civserv2_navigation_navigation_mm;");
            $dataToMigrate = $GLOBALS['TYPO3_DB']->sql_query("SELECT * FROM `tx_civserv_ext_service_esv_navigation_mm`;");
            foreach ($dataToMigrate as $entry) {
                unset($entry['tablenames']);
                $GLOBALS['TYPO3_DB']->exec_INSERTquery('tx_civserv2_navigation_navigation_mm', $entry);
            }
            
            $GLOBALS['TYPO3_DB']->sql_query("TRUNCATE tx_civserv2_organisation_building_mm;");
            $dataToMigrate = $GLOBALS['TYPO3_DB']->sql_query("SELECT * FROM `tx_civserv_organisation_or_building_mm`;");
            foreach ($dataToMigrate as $entry) {
                unset($entry['tablenames']);
                $GLOBALS['TYPO3_DB']->exec_INSERTquery('tx_civserv2_organisation_building_mm', $entry);
            }
            
            $GLOBALS['TYPO3_DB']->sql_query("TRUNCATE tx_civserv2_organisation_building_show_mm;");
            $dataToMigrate = $GLOBALS['TYPO3_DB']->sql_query("SELECT * FROM `tx_civserv_organisation_or_building_to_show_mm`;");
            foreach ($dataToMigrate as $entry) {
                unset($entry['tablenames']);
                $GLOBALS['TYPO3_DB']->exec_INSERTquery('tx_civserv2_organisation_building_show_mm', $entry);
            }
            
            $GLOBALS['TYPO3_DB']->sql_query("TRUNCATE tx_civserv2_organisation_officehours_mm;");
            $dataToMigrate = $GLOBALS['TYPO3_DB']->sql_query("SELECT * FROM `tx_civserv_organisation_or_hours_mm`;");
            foreach ($dataToMigrate as $entry) {
                unset($entry['tablenames']);
                $GLOBALS['TYPO3_DB']->exec_INSERTquery('tx_civserv2_organisation_officehours_mm', $entry);
            }
            
            $GLOBALS['TYPO3_DB']->sql_query("TRUNCATE tx_civserv2_organisation_organisation_mm;");
            $dataToMigrate = $GLOBALS['TYPO3_DB']->sql_query("SELECT * FROM `tx_civserv_organisation_or_structure_mm`;");
            foreach ($dataToMigrate as $entry) {
                unset($entry['tablenames']);
                $GLOBALS['TYPO3_DB']->exec_INSERTquery('tx_civserv2_organisation_organisation_mm', $entry);
            }
            
            $GLOBALS['TYPO3_DB']->sql_query("TRUNCATE tx_civserv2_position_organisation_mm;");
            $dataToMigrate = $GLOBALS['TYPO3_DB']->sql_query("SELECT * FROM `tx_civserv_position_po_organisation_mm`;");
            foreach ($dataToMigrate as $entry) {
                unset($entry['tablenames']);
                $GLOBALS['TYPO3_DB']->exec_INSERTquery('tx_civserv2_position_organisation_mm', $entry);
            }
            
            $GLOBALS['TYPO3_DB']->sql_query("TRUNCATE tx_civserv2_service_form_mm;");
            $dataToMigrate = $GLOBALS['TYPO3_DB']->sql_query("SELECT * FROM `tx_civserv_service_sv_form_mm`;");
            foreach ($dataToMigrate as $entry) {
                unset($entry['tablenames']);
                $GLOBALS['TYPO3_DB']->exec_INSERTquery('tx_civserv2_service_form_mm', $entry);
            }
            
            $GLOBALS['TYPO3_DB']->sql_query("TRUNCATE tx_civserv2_service_navigation_mm;");
            $dataToMigrate = $GLOBALS['TYPO3_DB']->sql_query("SELECT * FROM `tx_civserv_service_sv_navigation_mm`;");
            foreach ($dataToMigrate as $entry) {
                unset($entry['tablenames']);
                $GLOBALS['TYPO3_DB']->exec_INSERTquery('tx_civserv2_service_navigation_mm', $entry);
            }
            
            $GLOBALS['TYPO3_DB']->sql_query("TRUNCATE tx_civserv2_service_organisation_mm;");
            $dataToMigrate = $GLOBALS['TYPO3_DB']->sql_query("SELECT * FROM `tx_civserv_service_sv_organisation_mm`;");
            foreach ($dataToMigrate as $entry) {
                unset($entry['tablenames']);
                $GLOBALS['TYPO3_DB']->exec_INSERTquery('tx_civserv2_service_organisation_mm', $entry);
            }
            
            $GLOBALS['TYPO3_DB']->sql_query("TRUNCATE tx_civserv2_service_region_mm;");
            $dataToMigrate = $GLOBALS['TYPO3_DB']->sql_query("SELECT * FROM `tx_civserv_service_sv_region_mm`;");
            foreach ($dataToMigrate as $entry) {
                unset($entry['tablenames']);
                $GLOBALS['TYPO3_DB']->exec_INSERTquery('tx_civserv2_service_region_mm', $entry);
            }
            
            $GLOBALS['TYPO3_DB']->sql_query("TRUNCATE tx_civserv2_service_searchword_mm;");
            $dataToMigrate = $GLOBALS['TYPO3_DB']->sql_query("SELECT * FROM `tx_civserv_service_sv_searchword_mm`;");
            foreach ($dataToMigrate as $entry) {
                unset($entry['tablenames']);
                $GLOBALS['TYPO3_DB']->exec_INSERTquery('tx_civserv2_service_searchword_mm', $entry);
            }
            
            $GLOBALS['TYPO3_DB']->sql_query("TRUNCATE tx_civserv2_service_service_mm;");
            $dataToMigrate = $GLOBALS['TYPO3_DB']->sql_query("SELECT * FROM `tx_civserv_service_sv_similar_services_mm`;");
            foreach ($dataToMigrate as $entry) {
                unset($entry['tablenames']);
                $GLOBALS['TYPO3_DB']->exec_INSERTquery('tx_civserv2_service_service_mm', $entry);
            }
            
        } catch (\Exception $e) {
            debug($e->getTraceAsString());
        }
    }

    /**
     * Migrates file data (images, pdfs) from tx_civserv_building, tx_civserv_employee,
     * tx_civserv_form and tx_civserv_service to FAL and new tables
     * 
     */
    public function migrateFilesCommand() {

        $this->outputLine('Migration started ...');

        // get fileadmin storage, should be 1
        $storageRepository = \TYPO3\CMS\Core\Utility\GeneralUtility::makeInstance('TYPO3\\CMS\\Core\\Resource\\StorageRepository');
        $storage = $storageRepository->findByUid(1);

        // convert buildings
        $dataToMigrate = $GLOBALS['TYPO3_DB']->sql_query("SELECT * FROM `tx_civserv_building` WHERE bl_image<>'';");
        if (!$storage->hasFolder('Weimar/Civserv2/Gebäude')) {
            $storage->createFolder('Weimar/Civserv2/Gebäude', $storage->getRootLevelFolder());
        }
        $folder = $storage->getFolder('Weimar/Civserv2/Gebäude');
        $this->convertFiles($dataToMigrate, 'bl_image', 'setBlImage', $folder, $this->buildingRepository);

        // convert employees
        $dataToMigrate = $GLOBALS['TYPO3_DB']->sql_query("SELECT * FROM `tx_civserv_employee` WHERE em_image<>'';");
        if (!$storage->hasFolder('Weimar/Civserv2/Mitarbeiter')) {
            $storage->createFolder('Weimar/Civserv2/Mitarbeiter', $storage->getRootLevelFolder());
        }
        $folder = $storage->getFolder('Weimar/Civserv2/Mitarbeiter');
        $this->convertFiles($dataToMigrate, 'em_image', 'setEmImage', $folder, $this->employeeRepository);

        // convert forms
        $dataToMigrate = $GLOBALS['TYPO3_DB']->sql_query("SELECT * FROM `tx_civserv_form` WHERE fo_formular_file<>'';");
        if (!$storage->hasFolder('Weimar/Civserv2/Formulare')) {
            $storage->createFolder('Weimar/Civserv2/Formulare', $storage->getRootLevelFolder());
        }
        $folder = $storage->getFolder('Weimar/Civserv2/Formulare');
        $this->convertFiles($dataToMigrate, 'fo_formular_file', 'setFoFormularFile', $folder, $this->formRepository);

        // convert services
        $dataToMigrate = $GLOBALS['TYPO3_DB']->sql_query("SELECT * FROM `tx_civserv_service` WHERE sv_image<>'';");
        if (!$storage->hasFolder('Weimar/Civserv2/Anliegen')) {
            $storage->createFolder('Weimar/Civserv2/Anliegen', $storage->getRootLevelFolder());
        }
        $folder = $storage->getFolder('Weimar/Civserv2/Anliegen');
        $this->convertFiles($dataToMigrate, 'sv_image', 'setSvImage', $folder, $this->serviceRepository);

        return true;
    }

    protected function convertFiles($data, $fileColumn, $objectFkt, $folder, $rep) {
        $basepath = PATH_site . '/fileadmin/';
        while ($row = $GLOBALS['TYPO3_DB']->sql_fetch_row($data)) {
            if (!empty($row[$fileColumn])) {
                $objectId = $row['uid'];
                $filePath = $basepath . rtrim($row[$fileColumn], '/');
                if (file_exists($filePath)) {
                    $object = $rep->findByUid($objectId);
                    if ($object) {
                        $fileObject = $storage->addFile($filePath, $folder, null, 'DuplicationBehavior::RENAME', true);
                        if (method_exists($object, $objectFkt)) {
                            $object->{$objectFkt}($fileObject);
                            $rep->update($object);
                        } else {
                            debug($objectFkt . ' does not exist.');
                        }
                    } else {
                        debug('Object ' . $row['uid'] . ' not found.');
                    }
                } else {
                    debug($filePath . ' not found.');
                }
            }
        }
    }

}
