<?php

namespace Wrm\Civserv2\Controller;

/* * *************************************************************
 *
 *  Copyright notice
 *
 *  (c) 2016 Christian Sauer <sauer@werkraum-media.de>, werkraum.media
 *
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 * ************************************************************* */

/**
 * ContactController
 */
class ContactController extends \TYPO3\CMS\Extbase\Mvc\Controller\ActionController {
    
    /**
     * @var \Wrm\Civserv2\Service\MailService
     * @inject
     */
    protected $mailService;

    /**
     * Display a new contact form
     *
     * @param \Wrm\Civserv2\Domain\Model\EmployeePosition $emPosition
     * @param \Wrm\Civserv2\Domain\Model\Contact $contact
     * @ignorevalidation $contact
     * 
     * @return void
     */
    public function newAction(\Wrm\Civserv2\Domain\Model\EmployeePosition $emPosition = null, \Wrm\Civserv2\Domain\Model\Contact $contact=null) {
        if (is_null($contact)) {
            if (is_null($emPosition)) {
                $this->view->assign('noPosition', true);
                return;
            }

            $contact = $this->objectManager->get('Wrm\Civserv2\Domain\Model\Contact');
        }

        $this->view->assign('contact', $contact);
        $this->view->assign('position', $emPosition);
    }

    /**
     * Process contact form
     *
     * @param \Wrm\Civserv2\Domain\Model\Contact $contact
     * @return void
     */
    public function createAction(\Wrm\Civserv2\Domain\Model\Contact $contact) {
        $this->mailService->sendEmail($contact);
        $this->view->assign('contact', $contact);
    }

}
