<?php
namespace Wrm\Civserv2\Controller;


/***************************************************************
 *
 *  Copyright notice
 *
 *  (c) 2016 Christian Sauer <sauer@werkraum-media.de>, werkraum.media
 *
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

/**
 * NavigationController
 */
class NavigationController extends \TYPO3\CMS\Extbase\Mvc\Controller\ActionController
{

    /**
     * serviceRepository
     *
     * @var \Wrm\Civserv2\Domain\Repository\ServiceRepository
     * @inject
     */
    protected $serviceRepository = NULL;
    
    /**
     * navigationRepository
     *
     * @var \Wrm\Civserv2\Domain\Repository\NavigationRepository
     * @inject
     */
    protected $navigationRepository = NULL;

    protected function initializeAction() {
        if (empty($this->settings['showOrganisationPID'])) {
            $this->settings['showOrganisationPID'] = intval($GLOBALS['TSFE']->id);
        }
        if (empty($this->settings['showServicePID'])) {
            $this->settings['showServicePID'] = intval($GLOBALS['TSFE']->id);
        }
        if (empty($this->settings['showFormPID'])) {
            $this->settings['showFormPID'] = intval($GLOBALS['TSFE']->id);
        }
        if (empty($this->settings['contactPID'])) {
            $this->settings['contactPID'] = intval($GLOBALS['TSFE']->id);
        }
    }
    
    /**
     * action list
     *
     * @return void
     */
    public function listAction()
    {
        $navigations = $this->navigationRepository->findAll();
        $this->view->assign('navigations', $navigations);
    }
    
    /**
     * action show
     *
     * @param \Wrm\Civserv2\Domain\Model\Navigation $navigation
     * @return void
     */
    public function showAction(\Wrm\Civserv2\Domain\Model\Navigation $navigation)
    {
        $this->view->assign('navigation', $navigation);
        $services = $this->serviceRepository->findBySvNavigation($navigation);
        $this->view->assign('services', $services->toArray());
    }

}