<?php
namespace Wrm\Civserv2\Domain\Model;

/***************************************************************
 *
 *  Copyright notice
 *
 *  (c) 2016 Christian Sauer <sauer@werkraum-media.de>, werkraum.media
 *
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

/**
 * Building
 */
class Building extends \TYPO3\CMS\Extbase\DomainObject\AbstractEntity
{

    /**
     * blNumber
     *
     * @var string
     */
    protected $blNumber = '';
    
    /**
     * blName
     *
     * @var string
     */
    protected $blName = '';
    
    /**
     * blNameToShow
     *
     * @var string
     */
    protected $blNameToShow = '';
    
    /**
     * blDescr
     *
     * @var string
     */
    protected $blDescr = '';
    
    /**
     * blMailStreet
     *
     * @var string
     */
    protected $blMailStreet = '';
    
    /**
     * blMailPob
     *
     * @var string
     */
    protected $blMailPob = '';
    
    /**
     * blMailPostcode
     *
     * @var string
     */
    protected $blMailPostcode = '';
    
    /**
     * blMailCity
     *
     * @var string
     */
    protected $blMailCity = '';
    
    /**
     * blBuildingStreet
     *
     * @var string
     */
    protected $blBuildingStreet = '';
    
    /**
     * blBuildingPostcode
     *
     * @var string
     */
    protected $blBuildingPostcode = '';
    
    /**
     * blBuildingCity
     *
     * @var string
     */
    protected $blBuildingCity = '';
    
    /**
     * blPubtransStop
     *
     * @var string
     */
    protected $blPubtransStop = '';
    
    /**
     * blPubtransUrl
     *
     * @var string
     */
    protected $blPubtransUrl = '';
    
    /**
     * blCitymapUrl
     *
     * @var string
     */
    protected $blCitymapUrl = '';
    
    /**
     * blImage
     *
     * @var \TYPO3\CMS\Extbase\Domain\Model\FileReference
     */
    protected $blImage = null;
    
    /**
     * blTelephone
     *
     * @var string
     */
    protected $blTelephone = '';
    
    /**
     * blFax
     *
     * @var string
     */
    protected $blFax = '';
    
    /**
     * blEmail
     *
     * @var string
     */
    protected $blEmail = '';
    
    /**
     * blFloor
     *
     * @var \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\Wrm\Civserv2\Domain\Model\Floor>
     * @cascade remove
     */
    protected $blFloor = null;
    
    /**
     * __construct
     */
    public function __construct()
    {
        //Do not remove the next line: It would break the functionality
        $this->initStorageObjects();
    }
    
    /**
     * Initializes all ObjectStorage properties
     * Do not modify this method!
     * It will be rewritten on each save in the extension builder
     * You may modify the constructor of this class instead
     *
     * @return void
     */
    protected function initStorageObjects()
    {
        $this->blFloor = new \TYPO3\CMS\Extbase\Persistence\ObjectStorage();
    }
    
    /**
     * Returns the blNumber
     *
     * @return string blNumber
     */
    public function getBlNumber()
    {
        return $this->blNumber;
    }
    
    /**
     * Sets the blNumber
     *
     * @param string $blNumber
     * @return void
     */
    public function setBlNumber($blNumber)
    {
        $this->blNumber = $blNumber;
    }
    
    /**
     * Returns the blName
     *
     * @return string blName
     */
    public function getBlName()
    {
        return $this->blName;
    }
    
    /**
     * Sets the blName
     *
     * @param string $blName
     * @return void
     */
    public function setBlName($blName)
    {
        $this->blName = $blName;
    }
    
    /**
     * Returns the blNameToShow
     *
     * @return string blNameToShow
     */
    public function getBlNameToShow()
    {
        return $this->blNameToShow;
    }
    
    /**
     * Sets the blNameToShow
     *
     * @param string $blNameToShow
     * @return void
     */
    public function setBlNameToShow($blNameToShow)
    {
        $this->blNameToShow = $blNameToShow;
    }
    
    /**
     * Returns the blDescr
     *
     * @return string blDescr
     */
    public function getBlDescr()
    {
        return $this->blDescr;
    }
    
    /**
     * Sets the blDescr
     *
     * @param string $blDescr
     * @return void
     */
    public function setBlDescr($blDescr)
    {
        $this->blDescr = $blDescr;
    }
    
    /**
     * Returns the blMailStreet
     *
     * @return string blMailStreet
     */
    public function getBlMailStreet()
    {
        return $this->blMailStreet;
    }
    
    /**
     * Sets the blMailStreet
     *
     * @param string $blMailStreet
     * @return void
     */
    public function setBlMailStreet($blMailStreet)
    {
        $this->blMailStreet = $blMailStreet;
    }
    
    /**
     * Returns the blMailPob
     *
     * @return string blMailPob
     */
    public function getBlMailPob()
    {
        return $this->blMailPob;
    }
    
    /**
     * Sets the blMailPob
     *
     * @param string $blMailPob
     * @return void
     */
    public function setBlMailPob($blMailPob)
    {
        $this->blMailPob = $blMailPob;
    }
    
    /**
     * Returns the blMailPostcode
     *
     * @return string blMailPostcode
     */
    public function getBlMailPostcode()
    {
        return $this->blMailPostcode;
    }
    
    /**
     * Sets the blMailPostcode
     *
     * @param string $blMailPostcode
     * @return void
     */
    public function setBlMailPostcode($blMailPostcode)
    {
        $this->blMailPostcode = $blMailPostcode;
    }
    
    /**
     * Returns the blMailCity
     *
     * @return string blMailCity
     */
    public function getBlMailCity()
    {
        return $this->blMailCity;
    }
    
    /**
     * Sets the blMailCity
     *
     * @param string $blMailCity
     * @return void
     */
    public function setBlMailCity($blMailCity)
    {
        $this->blMailCity = $blMailCity;
    }
    
    /**
     * Returns the blBuildingStreet
     *
     * @return string blBuildingStreet
     */
    public function getBlBuildingStreet()
    {
        return $this->blBuildingStreet;
    }
    
    /**
     * Sets the blBuildingStreet
     *
     * @param string $blBuildingStreet
     * @return void
     */
    public function setBlBuildingStreet($blBuildingStreet)
    {
        $this->blBuildingStreet = $blBuildingStreet;
    }
    
    /**
     * Returns the blBuildingPostcode
     *
     * @return string blBuildingPostcode
     */
    public function getBlBuildingPostcode()
    {
        return $this->blBuildingPostcode;
    }
    
    /**
     * Sets the blBuildingPostcode
     *
     * @param string $blBuildingPostcode
     * @return void
     */
    public function setBlBuildingPostcode($blBuildingPostcode)
    {
        $this->blBuildingPostcode = $blBuildingPostcode;
    }
    
    /**
     * Returns the blBuildingCity
     *
     * @return string blBuildingCity
     */
    public function getBlBuildingCity()
    {
        return $this->blBuildingCity;
    }
    
    /**
     * Sets the blBuildingCity
     *
     * @param string $blBuildingCity
     * @return void
     */
    public function setBlBuildingCity($blBuildingCity)
    {
        $this->blBuildingCity = $blBuildingCity;
    }
    
    /**
     * Returns the blPubtransStop
     *
     * @return string blPubtransStop
     */
    public function getBlPubtransStop()
    {
        return $this->blPubtransStop;
    }
    
    /**
     * Sets the blPubtransStop
     *
     * @param string $blPubtransStop
     * @return void
     */
    public function setBlPubtransStop($blPubtransStop)
    {
        $this->blPubtransStop = $blPubtransStop;
    }
    
    /**
     * Returns the blPubtransUrl
     *
     * @return string blPubtransUrl
     */
    public function getBlPubtransUrl()
    {
        return $this->blPubtransUrl;
    }
    
    /**
     * Sets the blPubtransUrl
     *
     * @param string $blPubtransUrl
     * @return void
     */
    public function setBlPubtransUrl($blPubtransUrl)
    {
        $this->blPubtransUrl = $blPubtransUrl;
    }
    
    /**
     * Returns the blCitymapUrl
     *
     * @return string blCitymapUrl
     */
    public function getBlCitymapUrl()
    {
        return $this->blCitymapUrl;
    }
    
    /**
     * Sets the blCitymapUrl
     *
     * @param string $blCitymapUrl
     * @return void
     */
    public function setBlCitymapUrl($blCitymapUrl)
    {
        $this->blCitymapUrl = $blCitymapUrl;
    }
    
    /**
     * Returns the blImage
     *
     * @return \TYPO3\CMS\Extbase\Domain\Model\FileReference blImage
     */
    public function getBlImage()
    {
        if($this->blImage)
            return $this->blImage->getOriginalResource();
        return null;
    }
    
    /**
     * Sets the blImage
     *
     * @param \TYPO3\CMS\Extbase\Domain\Model\FileReference $blImage
     * @return void
     */
    public function setBlImage(\TYPO3\CMS\Extbase\Domain\Model\FileReference $blImage)
    {
        $this->blImage = $blImage;
    }
    
    /**
     * Returns the blTelephone
     *
     * @return string blTelephone
     */
    public function getBlTelephone()
    {
        return $this->blTelephone;
    }
    
    /**
     * Sets the blTelephone
     *
     * @param string $blTelephone
     * @return void
     */
    public function setBlTelephone($blTelephone)
    {
        $this->blTelephone = $blTelephone;
    }
    
    /**
     * Returns the blFax
     *
     * @return string blFax
     */
    public function getBlFax()
    {
        return $this->blFax;
    }
    
    /**
     * Sets the blFax
     *
     * @param string $blFax
     * @return void
     */
    public function setBlFax($blFax)
    {
        $this->blFax = $blFax;
    }
    
    /**
     * Returns the blEmail
     *
     * @return string blEmail
     */
    public function getBlEmail()
    {
        return $this->blEmail;
    }
    
    /**
     * Sets the blEmail
     *
     * @param string $blEmail
     * @return void
     */
    public function setBlEmail($blEmail)
    {
        $this->blEmail = $blEmail;
    }
    
    /**
     * Adds a Floor
     *
     * @param \Wrm\Civserv2\Domain\Model\Floor $blFloor
     * @return void
     */
    public function addBlFloor(\Wrm\Civserv2\Domain\Model\Floor $blFloor)
    {
        $this->blFloor->attach($blFloor);
    }
    
    /**
     * Removes a Floor
     *
     * @param \Wrm\Civserv2\Domain\Model\Floor $blFloorToRemove The Floor to be removed
     * @return void
     */
    public function removeBlFloor(\Wrm\Civserv2\Domain\Model\Floor $blFloorToRemove)
    {
        $this->blFloor->detach($blFloorToRemove);
    }
    
    /**
     * Returns the blFloor
     *
     * @return \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\Wrm\Civserv2\Domain\Model\Floor> blFloor
     */
    public function getBlFloor()
    {
        return $this->blFloor;
    }
    
    /**
     * Sets the blFloor
     *
     * @param \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\Wrm\Civserv2\Domain\Model\Floor> $blFloor
     * @return void
     */
    public function setBlFloor(\TYPO3\CMS\Extbase\Persistence\ObjectStorage $blFloor)
    {
        $this->blFloor = $blFloor;
    }

}