<?php
namespace Wrm\Civserv2\Domain\Model;

/***************************************************************
 *
 *  Copyright notice
 *
 *  (c) 2016 Christian Sauer <sauer@werkraum-media.de>, werkraum.media
 *
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

/**
 * ConfMandant
 */
class ConfMandant extends \TYPO3\CMS\Extbase\DomainObject\AbstractEntity
{

    /**
     * cmCommunityName
     *
     * @var string
     */
    protected $cmCommunityName = '';
    
    /**
     * cmCommunityId
     *
     * @var int
     */
    protected $cmCommunityId = 0;
    
    /**
     * cmUid
     *
     * @var int
     */
    protected $cmUid = 0;
    
    /**
     * cmCircumstanceUid
     *
     * @var int
     */
    protected $cmCircumstanceUid = 0;
    
    /**
     * cmUsergroupUid
     *
     * @var int
     */
    protected $cmUsergroupUid = 0;
    
    /**
     * cmOrganisationUid
     *
     * @var int
     */
    protected $cmOrganisationUid = 0;
    
    /**
     * cmServiceFolderUid
     *
     * @var int
     */
    protected $cmServiceFolderUid = 0;
    
    /**
     * cmExternalServiceFolderUid
     *
     * @var int
     */
    protected $cmExternalServiceFolderUid = 0;
    
    /**
     * cmAlternativeLanguageFolderUid
     *
     * @var int
     */
    protected $cmAlternativeLanguageFolderUid = 0;
    
    /**
     * cmModelServiceTempUid
     *
     * @var int
     */
    protected $cmModelServiceTempUid = 0;
    
    /**
     * cmBuildingFolderUid
     *
     * @var int
     */
    protected $cmBuildingFolderUid = 0;
    
    /**
     * cmPageUid
     *
     * @var int
     */
    protected $cmPageUid = 0;
    
    /**
     * cmSearchUid
     *
     * @var int
     */
    protected $cmSearchUid = 0;
    
    /**
     * cmAlternativePageUid
     *
     * @var int
     */
    protected $cmAlternativePageUid = 0;
    
    /**
     * cmInfoFolderUid
     *
     * @var int
     */
    protected $cmInfoFolderUid = 0;
    
    /**
     * cmTargetEmail
     *
     * @var string
     */
    protected $cmTargetEmail = '';
    
    /**
     * cmEmployeeSearch
     *
     * @var bool
     */
    protected $cmEmployeeSearch = false;
    
    /**
     * cmPageSubtitleContainsOrganisationUid
     *
     * @var bool
     */
    protected $cmPageSubtitleContainsOrganisationUid = false;
    
    /**
     * cmCommunityType
     *
     * @var \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\Wrm\Civserv2\Domain\Model\Region>
     */
    protected $cmCommunityType = null;
    
    /**
     * __construct
     */
    public function __construct()
    {
        //Do not remove the next line: It would break the functionality
        $this->initStorageObjects();
    }
    
    /**
     * Initializes all ObjectStorage properties
     * Do not modify this method!
     * It will be rewritten on each save in the extension builder
     * You may modify the constructor of this class instead
     *
     * @return void
     */
    protected function initStorageObjects()
    {
        $this->cmCommunityType = new \TYPO3\CMS\Extbase\Persistence\ObjectStorage();
    }
    
    /**
     * Returns the cmCommunityName
     *
     * @return string $cmCommunityName
     */
    public function getCmCommunityName()
    {
        return $this->cmCommunityName;
    }
    
    /**
     * Sets the cmCommunityName
     *
     * @param string $cmCommunityName
     * @return void
     */
    public function setCmCommunityName($cmCommunityName)
    {
        $this->cmCommunityName = $cmCommunityName;
    }
    
    /**
     * Returns the cmCommunityId
     *
     * @return int $cmCommunityId
     */
    public function getCmCommunityId()
    {
        return $this->cmCommunityId;
    }
    
    /**
     * Sets the cmCommunityId
     *
     * @param int $cmCommunityId
     * @return void
     */
    public function setCmCommunityId($cmCommunityId)
    {
        $this->cmCommunityId = $cmCommunityId;
    }
    
    /**
     * Returns the cmUid
     *
     * @return int $cmUid
     */
    public function getCmUid()
    {
        return $this->cmUid;
    }
    
    /**
     * Sets the cmUid
     *
     * @param int $cmUid
     * @return void
     */
    public function setCmUid($cmUid)
    {
        $this->cmUid = $cmUid;
    }
    
    /**
     * Returns the cmCircumstanceUid
     *
     * @return int $cmCircumstanceUid
     */
    public function getCmCircumstanceUid()
    {
        return $this->cmCircumstanceUid;
    }
    
    /**
     * Sets the cmCircumstanceUid
     *
     * @param int $cmCircumstanceUid
     * @return void
     */
    public function setCmCircumstanceUid($cmCircumstanceUid)
    {
        $this->cmCircumstanceUid = $cmCircumstanceUid;
    }
    
    /**
     * Returns the cmUsergroupUid
     *
     * @return int $cmUsergroupUid
     */
    public function getCmUsergroupUid()
    {
        return $this->cmUsergroupUid;
    }
    
    /**
     * Sets the cmUsergroupUid
     *
     * @param int $cmUsergroupUid
     * @return void
     */
    public function setCmUsergroupUid($cmUsergroupUid)
    {
        $this->cmUsergroupUid = $cmUsergroupUid;
    }
    
    /**
     * Returns the cmOrganisationUid
     *
     * @return int $cmOrganisationUid
     */
    public function getCmOrganisationUid()
    {
        return $this->cmOrganisationUid;
    }
    
    /**
     * Sets the cmOrganisationUid
     *
     * @param int $cmOrganisationUid
     * @return void
     */
    public function setCmOrganisationUid($cmOrganisationUid)
    {
        $this->cmOrganisationUid = $cmOrganisationUid;
    }
    
    /**
     * Returns the cmServiceFolderUid
     *
     * @return int $cmServiceFolderUid
     */
    public function getCmServiceFolderUid()
    {
        return $this->cmServiceFolderUid;
    }
    
    /**
     * Sets the cmServiceFolderUid
     *
     * @param int $cmServiceFolderUid
     * @return void
     */
    public function setCmServiceFolderUid($cmServiceFolderUid)
    {
        $this->cmServiceFolderUid = $cmServiceFolderUid;
    }
    
    /**
     * Returns the cmExternalServiceFolderUid
     *
     * @return int $cmExternalServiceFolderUid
     */
    public function getCmExternalServiceFolderUid()
    {
        return $this->cmExternalServiceFolderUid;
    }
    
    /**
     * Sets the cmExternalServiceFolderUid
     *
     * @param int $cmExternalServiceFolderUid
     * @return void
     */
    public function setCmExternalServiceFolderUid($cmExternalServiceFolderUid)
    {
        $this->cmExternalServiceFolderUid = $cmExternalServiceFolderUid;
    }
    
    /**
     * Returns the cmAlternativeLanguageFolderUid
     *
     * @return int $cmAlternativeLanguageFolderUid
     */
    public function getCmAlternativeLanguageFolderUid()
    {
        return $this->cmAlternativeLanguageFolderUid;
    }
    
    /**
     * Sets the cmAlternativeLanguageFolderUid
     *
     * @param int $cmAlternativeLanguageFolderUid
     * @return void
     */
    public function setCmAlternativeLanguageFolderUid($cmAlternativeLanguageFolderUid)
    {
        $this->cmAlternativeLanguageFolderUid = $cmAlternativeLanguageFolderUid;
    }
    
    /**
     * Returns the cmModelServiceTempUid
     *
     * @return int $cmModelServiceTempUid
     */
    public function getCmModelServiceTempUid()
    {
        return $this->cmModelServiceTempUid;
    }
    
    /**
     * Sets the cmModelServiceTempUid
     *
     * @param int $cmModelServiceTempUid
     * @return void
     */
    public function setCmModelServiceTempUid($cmModelServiceTempUid)
    {
        $this->cmModelServiceTempUid = $cmModelServiceTempUid;
    }
    
    /**
     * Returns the cmBuildingFolderUid
     *
     * @return int $cmBuildingFolderUid
     */
    public function getCmBuildingFolderUid()
    {
        return $this->cmBuildingFolderUid;
    }
    
    /**
     * Sets the cmBuildingFolderUid
     *
     * @param int $cmBuildingFolderUid
     * @return void
     */
    public function setCmBuildingFolderUid($cmBuildingFolderUid)
    {
        $this->cmBuildingFolderUid = $cmBuildingFolderUid;
    }
    
    /**
     * Returns the cmPageUid
     *
     * @return int $cmPageUid
     */
    public function getCmPageUid()
    {
        return $this->cmPageUid;
    }
    
    /**
     * Sets the cmPageUid
     *
     * @param int $cmPageUid
     * @return void
     */
    public function setCmPageUid($cmPageUid)
    {
        $this->cmPageUid = $cmPageUid;
    }
    
    /**
     * Returns the cmSearchUid
     *
     * @return int $cmSearchUid
     */
    public function getCmSearchUid()
    {
        return $this->cmSearchUid;
    }
    
    /**
     * Sets the cmSearchUid
     *
     * @param int $cmSearchUid
     * @return void
     */
    public function setCmSearchUid($cmSearchUid)
    {
        $this->cmSearchUid = $cmSearchUid;
    }
    
    /**
     * Returns the cmAlternativePageUid
     *
     * @return int $cmAlternativePageUid
     */
    public function getCmAlternativePageUid()
    {
        return $this->cmAlternativePageUid;
    }
    
    /**
     * Sets the cmAlternativePageUid
     *
     * @param int $cmAlternativePageUid
     * @return void
     */
    public function setCmAlternativePageUid($cmAlternativePageUid)
    {
        $this->cmAlternativePageUid = $cmAlternativePageUid;
    }
    
    /**
     * Returns the cmInfoFolderUid
     *
     * @return int $cmInfoFolderUid
     */
    public function getCmInfoFolderUid()
    {
        return $this->cmInfoFolderUid;
    }
    
    /**
     * Sets the cmInfoFolderUid
     *
     * @param int $cmInfoFolderUid
     * @return void
     */
    public function setCmInfoFolderUid($cmInfoFolderUid)
    {
        $this->cmInfoFolderUid = $cmInfoFolderUid;
    }
    
    /**
     * Returns the cmTargetEmail
     *
     * @return string $cmTargetEmail
     */
    public function getCmTargetEmail()
    {
        return $this->cmTargetEmail;
    }
    
    /**
     * Sets the cmTargetEmail
     *
     * @param string $cmTargetEmail
     * @return void
     */
    public function setCmTargetEmail($cmTargetEmail)
    {
        $this->cmTargetEmail = $cmTargetEmail;
    }
    
    /**
     * Returns the cmEmployeeSearch
     *
     * @return bool $cmEmployeeSearch
     */
    public function getCmEmployeeSearch()
    {
        return $this->cmEmployeeSearch;
    }
    
    /**
     * Sets the cmEmployeeSearch
     *
     * @param bool $cmEmployeeSearch
     * @return void
     */
    public function setCmEmployeeSearch($cmEmployeeSearch)
    {
        $this->cmEmployeeSearch = $cmEmployeeSearch;
    }
    
    /**
     * Returns the boolean state of cmEmployeeSearch
     *
     * @return bool
     */
    public function isCmEmployeeSearch()
    {
        return $this->cmEmployeeSearch;
    }
    
    /**
     * Returns the cmPageSubtitleContainsOrganisationUid
     *
     * @return bool $cmPageSubtitleContainsOrganisationUid
     */
    public function getCmPageSubtitleContainsOrganisationUid()
    {
        return $this->cmPageSubtitleContainsOrganisationUid;
    }
    
    /**
     * Sets the cmPageSubtitleContainsOrganisationUid
     *
     * @param bool $cmPageSubtitleContainsOrganisationUid
     * @return void
     */
    public function setCmPageSubtitleContainsOrganisationUid($cmPageSubtitleContainsOrganisationUid)
    {
        $this->cmPageSubtitleContainsOrganisationUid = $cmPageSubtitleContainsOrganisationUid;
    }
    
    /**
     * Returns the boolean state of cmPageSubtitleContainsOrganisationUid
     *
     * @return bool
     */
    public function isCmPageSubtitleContainsOrganisationUid()
    {
        return $this->cmPageSubtitleContainsOrganisationUid;
    }
    
    /**
     * Adds a Region
     *
     * @param \Wrm\Civserv2\Domain\Model\Region $cmCommunityType
     * @return void
     */
    public function addCmCommunityType(\Wrm\Civserv2\Domain\Model\Region $cmCommunityType)
    {
        $this->cmCommunityType->attach($cmCommunityType);
    }
    
    /**
     * Removes a Region
     *
     * @param \Wrm\Civserv2\Domain\Model\Region $cmCommunityTypeToRemove The Region to be removed
     * @return void
     */
    public function removeCmCommunityType(\Wrm\Civserv2\Domain\Model\Region $cmCommunityTypeToRemove)
    {
        $this->cmCommunityType->detach($cmCommunityTypeToRemove);
    }
    
    /**
     * Returns the cmCommunityType
     *
     * @return \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\Wrm\Civserv2\Domain\Model\Region> $cmCommunityType
     */
    public function getCmCommunityType()
    {
        return $this->cmCommunityType;
    }
    
    /**
     * Sets the cmCommunityType
     *
     * @param \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\Wrm\Civserv2\Domain\Model\Region> $cmCommunityType
     * @return void
     */
    public function setCmCommunityType(\TYPO3\CMS\Extbase\Persistence\ObjectStorage $cmCommunityType)
    {
        $this->cmCommunityType = $cmCommunityType;
    }

}