<?php
namespace Wrm\Civserv2\Domain\Model;

/* * *************************************************************
 *
 *  Copyright notice
 *
 *  (c) 2016 Christian Sauer <sauer@werkraum-media.de>, werkraum.media
 *
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 * ************************************************************* */

/**
 * Submissions from the contact form
 */
class Contact extends \TYPO3\CMS\Extbase\DomainObject\AbstractValueObject {

    /**
     * position
     *
     * @var \Wrm\Civserv2\Domain\Model\EmployeePosition
     * @validate NotEmpty
     */
    protected $emPosition;

    /**
     * title
     *
     * @var string
     */
    protected $title;

    /**
     * surname
     *
     * @var string
     * @validate NotEmpty
     */
    protected $surname;

    /**
     * firstname
     *
     * @var string
     * @validate NotEmpty
     */
    protected $firstname;

    /**
     * street
     *
     * @var string
     */
    protected $street;

    /**
     * postcode
     *
     * @var string
     */
    protected $postcode;

    /**
     * city
     *
     * @var string
     */
    protected $city;

    /**
     * email
     *
     * @var string
     */
    protected $email;

    /**
     * phone
     *
     * @var string
     */
    protected $phone;

    /**
     * fax
     *
     * @var string
     */
    protected $fax;

    /**
     * subject
     *
     * @var string
     * @validate NotEmpty
     */
    protected $subject;

    /**
     * bodytext
     *
     * @var string
     * @validate NotEmpty
     */
    protected $bodytext;

    /**
     * Returns the position
     *
     * @return \Wrm\Civserv2\Domain\Model\EmployeePosition 
     */
    public function getEmPosition() {
        return $this->emPosition;
    }

    /**
     * Sets the position
     *
     * @param \Wrm\Civserv2\Domain\Model\EmployeePosition $emPosition
     * @return void
     */
    public function setEmPosition($emPosition) {
        $this->emPosition = $emPosition;
    }

    /**
     * Returns the title
     *
     * @return string
     */
    public function getTitle() {
        return $this->title;
    }

    /**
     * Sets the title
     *
     * @param string $title
     * @return void
     */
    public function setTitle($title) {
        $this->title = $title;
    }

    /**
     * Returns the surname
     *
     * @return string
     */
    public function getSurname() {
        return $this->surname;
    }

    /**
     * Sets the surname
     *
     * @param string $surname
     * @return void
     */
    public function setSurname($surname) {
        $this->surname = $surname;
    }

    /**
     * Returns the firstname
     *
     * @return string
     */
    public function getFirstname() {
        return $this->firstname;
    }

    /**
     * Sets the firstname
     *
     * @param string $firstname
     * @return void
     */
    public function setFirstname($firstname) {
        $this->firstname = $firstname;
    }

    /**
     * Returns the street
     *
     * @return string
     */
    public function getStreet() {
        return $this->street;
    }

    /**
     * Sets the street
     *
     * @param string $street
     * @return void
     */
    public function setStreet($street) {
        $this->street = $street;
    }

    /**
     * Returns the postcode
     *
     * @return string
     */
    public function getPostcode() {
        return $this->postcode;
    }

    /**
     * Sets the postcode
     *
     * @param string $postcode
     * @return void
     */
    public function setPostcode($postcode) {
        $this->postcode = $postcode;
    }

    /**
     * Returns the city
     *
     * @return string
     */
    public function getCity() {
        return $this->city;
    }

    /**
     * Sets the city
     *
     * @param string $city
     * @return void
     */
    public function setCity($city) {
        $this->city = $city;
    }

    /**
     * Returns the email
     *
     * @return string
     */
    public function getEmail() {
        return $this->email;
    }

    /**
     * Sets the email
     *
     * @param string $email
     * @return void
     */
    public function setEmail($email) {
        $this->email = $email;
    }

    /**
     * Returns the phone
     *
     * @return string
     */
    public function getPhone() {
        return $this->phone;
    }

    /**
     * Sets the phone
     *
     * @param string $phone
     * @return void
     */
    public function setPhone($phone) {
        $this->phone = $phone;
    }

    /**
     * Returns the fax
     *
     * @return string
     */
    public function getFax() {
        return $this->fax;
    }

    /**
     * Sets the fax
     *
     * @param string $fax
     * @return void
     */
    public function setFax($fax) {
        $this->fax = $fax;
    }

    /**
     * Returns the subject
     *
     * @return string
     */
    public function getSubject() {
        return $this->subject;
    }

    /**
     * Sets the subject
     *
     * @param string $subject
     * @return void
     */
    public function setSubject($subject) {
        $this->subject = $subject;
    }

    /**
     * Returns the bodytext
     *
     * @return string
     */
    public function getBodytext() {
        return $this->bodytext;
    }

    /**
     * Sets the bodytext
     *
     * @param string $bodytext
     * @return void
     */
    public function setBodytext($bodytext) {
        $this->bodytext = $bodytext;
    }

}
