<?php
namespace Wrm\Civserv2\Domain\Model;

/***************************************************************
 *
 *  Copyright notice
 *
 *  (c) 2016 Christian Sauer <sauer@werkraum-media.de>, werkraum.media
 *
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

/**
 * Employee
 */
class Employee extends \TYPO3\CMS\Extbase\DomainObject\AbstractEntity
{

    /**
     * emNumber
     *
     * @var string
     */
    protected $emNumber = '';
    
    /**
     * emAddress
     *
     * @var int
     */
    protected $emAddress = 0;
    
    /**
     * emTitle
     *
     * @var string
     */
    protected $emTitle = '';
    
    /**
     * emName
     *
     * @var string
     */
    protected $emName = '';
    
    /**
     * emFirstname
     *
     * @var string
     */
    protected $emFirstname = '';
    
    /**
     * emTelephone
     *
     * @var string
     */
    protected $emTelephone = '';
    
    /**
     * emFax
     *
     * @var string
     */
    protected $emFax = '';
    
    /**
     * emMobile
     *
     * @var string
     */
    protected $emMobile = '';
    
    /**
     * emEmail
     *
     * @var string
     */
    protected $emEmail = '';
    
    /**
     * emImage
     *
     * @var \TYPO3\CMS\Extbase\Domain\Model\FileReference
     */
    protected $emImage = null;
    
    /**
     * emDatasec
     *
     * @var bool
     */
    protected $emDatasec = false;
    
    /**
     * emPseudo
     *
     * @var bool
     */
    protected $emPseudo = false;
    
    /**
     * emHours
     *
     * @var \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\Wrm\Civserv2\Domain\Model\OfficeHours>
     * @lazy
     * @cascade remove
     */
    protected $emHours = null;
    
    /**
     * emPosition
     *
     * @var \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\Wrm\Civserv2\Domain\Model\EmployeePosition>
     * @lazy
     * @cascade remove
     */
    protected $emPosition = null;
    
    /**
     * Returns the emNumber
     *
     * @return string $emNumber
     */
    public function getEmNumber()
    {
        return $this->emNumber;
    }
    
    /**
     * Sets the emNumber
     *
     * @param string $emNumber
     * @return void
     */
    public function setEmNumber($emNumber)
    {
        $this->emNumber = $emNumber;
    }
    
    /**
     * Returns the emAddress
     *
     * @return int $emAddress
     */
    public function getEmAddress()
    {
        return $this->emAddress;
    }
    
    /**
     * Sets the emAddress
     *
     * @param int $emAddress
     * @return void
     */
    public function setEmAddress($emAddress)
    {
        $this->emAddress = $emAddress;
    }
    
    /**
     * Returns the emTitle
     *
     * @return string $emTitle
     */
    public function getEmTitle()
    {
        return $this->emTitle;
    }
    
    /**
     * Sets the emTitle
     *
     * @param string $emTitle
     * @return void
     */
    public function setEmTitle($emTitle)
    {
        $this->emTitle = $emTitle;
    }
    
    /**
     * Returns the emName
     *
     * @return string $emName
     */
    public function getEmName()
    {
        return $this->emName;
    }
    
    /**
     * Sets the emName
     *
     * @param string $emName
     * @return void
     */
    public function setEmName($emName)
    {
        $this->emName = $emName;
    }
    
    /**
     * Returns the emFirstname
     *
     * @return string $emFirstname
     */
    public function getEmFirstname()
    {
        return $this->emFirstname;
    }
    
    /**
     * Sets the emFirstname
     *
     * @param string $emFirstname
     * @return void
     */
    public function setEmFirstname($emFirstname)
    {
        $this->emFirstname = $emFirstname;
    }
    
    /**
     * Returns the emTelephone
     *
     * @return string $emTelephone
     */
    public function getEmTelephone()
    {
        return $this->emTelephone;
    }
    
    /**
     * Sets the emTelephone
     *
     * @param string $emTelephone
     * @return void
     */
    public function setEmTelephone($emTelephone)
    {
        $this->emTelephone = $emTelephone;
    }
    
    /**
     * Returns the emFax
     *
     * @return string $emFax
     */
    public function getEmFax()
    {
        return $this->emFax;
    }
    
    /**
     * Sets the emFax
     *
     * @param string $emFax
     * @return void
     */
    public function setEmFax($emFax)
    {
        $this->emFax = $emFax;
    }
    
    /**
     * Returns the emMobile
     *
     * @return string $emMobile
     */
    public function getEmMobile()
    {
        return $this->emMobile;
    }
    
    /**
     * Sets the emMobile
     *
     * @param string $emMobile
     * @return void
     */
    public function setEmMobile($emMobile)
    {
        $this->emMobile = $emMobile;
    }
    
    /**
     * Returns the emEmail
     *
     * @return string $emEmail
     */
    public function getEmEmail()
    {
        return $this->emEmail;
    }
    
    /**
     * Sets the emEmail
     *
     * @param string $emEmail
     * @return void
     */
    public function setEmEmail($emEmail)
    {
        $this->emEmail = $emEmail;
    }
    
    /**
     * Returns the emImage
     *
     * @return \TYPO3\CMS\Extbase\Domain\Model\FileReference $emImage
     */
    public function getEmImage()
    {
        return $this->emImage;
    }
    
    /**
     * Sets the emImage
     *
     * @param \TYPO3\CMS\Extbase\Domain\Model\FileReference $emImage
     * @return void
     */
    public function setEmImage(\TYPO3\CMS\Extbase\Domain\Model\FileReference $emImage)
    {
        $this->emImage = $emImage;
    }
    
    /**
     * Returns the emDatasec
     *
     * @return bool $emDatasec
     */
    public function getEmDatasec()
    {
        return $this->emDatasec;
    }
    
    /**
     * Sets the emDatasec
     *
     * @param bool $emDatasec
     * @return void
     */
    public function setEmDatasec($emDatasec)
    {
        $this->emDatasec = $emDatasec;
    }
    
    /**
     * Returns the boolean state of emDatasec
     *
     * @return bool
     */
    public function isEmDatasec()
    {
        return $this->emDatasec;
    }
    
    /**
     * Returns the emPseudo
     *
     * @return bool $emPseudo
     */
    public function getEmPseudo()
    {
        return $this->emPseudo;
    }
    
    /**
     * Sets the emPseudo
     *
     * @param bool $emPseudo
     * @return void
     */
    public function setEmPseudo($emPseudo)
    {
        $this->emPseudo = $emPseudo;
    }
    
    /**
     * Returns the boolean state of emPseudo
     *
     * @return bool
     */
    public function isEmPseudo()
    {
        return $this->emPseudo;
    }
    
    /**
     * __construct
     */
    public function __construct()
    {
        //Do not remove the next line: It would break the functionality
        $this->initStorageObjects();
    }
    
    /**
     * Initializes all ObjectStorage properties
     * Do not modify this method!
     * It will be rewritten on each save in the extension builder
     * You may modify the constructor of this class instead
     *
     * @return void
     */
    protected function initStorageObjects()
    {
        $this->emHours = new \TYPO3\CMS\Extbase\Persistence\ObjectStorage();
        $this->emPosition = new \TYPO3\CMS\Extbase\Persistence\ObjectStorage();
    }
    
    /**
     * Adds a OfficeHours
     *
     * @param \Wrm\Civserv2\Domain\Model\OfficeHours $emHour
     * @return void
     */
    public function addEmHour(\Wrm\Civserv2\Domain\Model\OfficeHours $emHour)
    {
        $this->emHours->attach($emHour);
    }
    
    /**
     * Removes a OfficeHours
     *
     * @param \Wrm\Civserv2\Domain\Model\OfficeHours $emHourToRemove The OfficeHours to be removed
     * @return void
     */
    public function removeEmHour(\Wrm\Civserv2\Domain\Model\OfficeHours $emHourToRemove)
    {
        $this->emHours->detach($emHourToRemove);
    }
    
    /**
     * Returns the emHours
     *
     * @return \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\Wrm\Civserv2\Domain\Model\OfficeHours> $emHours
     */
    public function getEmHours()
    {
        return $this->emHours;
    }
    
    /**
     * Sets the emHours
     *
     * @param \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\Wrm\Civserv2\Domain\Model\OfficeHours> $emHours
     * @return void
     */
    public function setEmHours(\TYPO3\CMS\Extbase\Persistence\ObjectStorage $emHours)
    {
        $this->emHours = $emHours;
    }
    
    /**
     * Adds a Position
     *
     * @param \Wrm\Civserv2\Domain\Model\EmployeePosition $emPosition
     * @return void
     */
    public function addEmPosition(\Wrm\Civserv2\Domain\Model\EmployeePosition $emPosition)
    {
        $this->emPosition->attach($emPosition);
    }
    
    /**
     * Removes a Position
     *
     * @param \Wrm\Civserv2\Domain\Model\EmployeePosition $emPositionToRemove The EmployeePosition to be removed
     * @return void
     */
    public function removeEmPosition(\Wrm\Civserv2\Domain\Model\EmployeePosition $emPositionToRemove)
    {
        $this->emPosition->detach($emPositionToRemove);
    }
    
    /**
     * Returns the emPosition
     *
     * @return \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\Wrm\Civserv2\Domain\Model\EmployeePosition> emPosition
     */
    public function getEmPosition()
    {
        return $this->emPosition;
    }
    
    /**
     * Sets the emPosition
     *
     * @param \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\Wrm\Civserv2\Domain\Model\EmployeePosition> $emPosition
     * @return void
     */
    public function setEmPosition(\TYPO3\CMS\Extbase\Persistence\ObjectStorage $emPosition)
    {
        $this->emPosition = $emPosition;
    }

}