<?php
namespace Wrm\Civserv2\Domain\Model;

/***************************************************************
 *
 *  Copyright notice
 *
 *  (c) 2016 Christian Sauer <sauer@werkraum-media.de>, werkraum.media
 *
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

/**
 * EmployeePosition
 */
class EmployeePosition extends \TYPO3\CMS\Extbase\DomainObject\AbstractEntity
{

    /**
     * epTelephone
     *
     * @var string
     */
    protected $epTelephone = '';
    
    /**
     * epFax
     *
     * @var string
     */
    protected $epFax = '';
    
    /**
     * epMobile
     *
     * @var string
     */
    protected $epMobile = '';
    
    /**
     * epEmail
     *
     * @var string
     */
    protected $epEmail = '';
    
    /**
     * epDatasec
     *
     * @var bool
     */
    protected $epDatasec = false;
    
    /**
     * epLabel
     *
     * @var string
     */
    protected $epLabel = '';
    
    /**
     * employee
     *
     * @var \Wrm\Civserv2\Domain\Model\Employee
     * @lazy
     */
    protected $employee = null;
    
    /**
     * position
     *
     * @var \Wrm\Civserv2\Domain\Model\Position
     * @lazy
     */
    protected $position = null;
    
    /**
     * epOfficehours
     *
     * @var \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\Wrm\Civserv2\Domain\Model\OfficeHours>
     * @lazy
     * @cascade remove
     */
    protected $epOfficehours = null;
    
    /**
     * epRoom
     *
     * @var \Wrm\Civserv2\Domain\Model\Room
     * @lazy
     * @cascade remove
     */
    protected $epRoom = null;
    
    /**
     * __construct
     */
    public function __construct()
    {
        //Do not remove the next line: It would break the functionality
        $this->initStorageObjects();
    }
    
    /**
     * Initializes all ObjectStorage properties
     * Do not modify this method!
     * It will be rewritten on each save in the extension builder
     * You may modify the constructor of this class instead
     *
     * @return void
     */
    protected function initStorageObjects()
    {
        $this->epOfficehours = new \TYPO3\CMS\Extbase\Persistence\ObjectStorage();
    }
    
    /**
     * Returns the epTelephone
     *
     * @return string $epTelephone
     */
    public function getEpTelephone()
    {
        return $this->epTelephone;
    }
    
    /**
     * Sets the epTelephone
     *
     * @param string $epTelephone
     * @return void
     */
    public function setEpTelephone($epTelephone)
    {
        $this->epTelephone = $epTelephone;
    }
    
    /**
     * Returns the epFax
     *
     * @return string $epFax
     */
    public function getEpFax()
    {
        return $this->epFax;
    }
    
    /**
     * Sets the epFax
     *
     * @param string $epFax
     * @return void
     */
    public function setEpFax($epFax)
    {
        $this->epFax = $epFax;
    }
    
    /**
     * Returns the epMobile
     *
     * @return string $epMobile
     */
    public function getEpMobile()
    {
        return $this->epMobile;
    }
    
    /**
     * Sets the epMobile
     *
     * @param string $epMobile
     * @return void
     */
    public function setEpMobile($epMobile)
    {
        $this->epMobile = $epMobile;
    }
    
    /**
     * Returns the epEmail
     *
     * @return string $epEmail
     */
    public function getEpEmail()
    {
        return $this->epEmail;
    }
    
    /**
     * Sets the epEmail
     *
     * @param string $epEmail
     * @return void
     */
    public function setEpEmail($epEmail)
    {
        $this->epEmail = $epEmail;
    }
    
    /**
     * Returns the epDatasec
     *
     * @return bool $epDatasec
     */
    public function getEpDatasec()
    {
        return $this->epDatasec;
    }
    
    /**
     * Sets the epDatasec
     *
     * @param bool $epDatasec
     * @return void
     */
    public function setEpDatasec($epDatasec)
    {
        $this->epDatasec = $epDatasec;
    }
    
    /**
     * Returns the boolean state of epDatasec
     *
     * @return bool
     */
    public function isEpDatasec()
    {
        return $this->epDatasec;
    }
    
    /**
     * Returns the epLabel
     *
     * @return string $epLabel
     */
    public function getEpLabel()
    {
        return $this->epLabel;
    }
    
    /**
     * Sets the epLabel
     *
     * @param string $epLabel
     * @return void
     */
    public function setEpLabel($epLabel)
    {
        $this->epLabel = $epLabel;        
    }
    
    /**
     * Returns the employee
     *
     * @return \Wrm\Civserv2\Domain\Model\Employee $employee
     */
    public function getEmployee()
    {
        return $this->employee;
    }
    
    /**
     * Sets the employee
     *
     * @param \Wrm\Civserv2\Domain\Model\Employee $employee
     * @return void
     */
    public function setEmployee(\Wrm\Civserv2\Domain\Model\Employee $employee)
    {
        $this->employee = $employee;
    }
    
    /**
     * Returns the position
     *
     * @return \Wrm\Civserv2\Domain\Model\Position $position
     */
    public function getPosition()
    {
        return $this->position;
    }
    
    /**
     * Sets the position
     *
     * @param \Wrm\Civserv2\Domain\Model\Position $position
     * @return void
     */
    public function setPosition(\Wrm\Civserv2\Domain\Model\Position $position)
    {
        $this->position = $position;
    }
    
    /**
     * Adds a OfficeHours
     *
     * @param \Wrm\Civserv2\Domain\Model\OfficeHours $epOfficehour
     * @return void
     */
    public function addEpOfficehour(\Wrm\Civserv2\Domain\Model\OfficeHours $epOfficehour)
    {
        $this->epOfficehours->attach($epOfficehour);
    }
    
    /**
     * Removes a OfficeHours
     *
     * @param \Wrm\Civserv2\Domain\Model\OfficeHours $epOfficehourToRemove The OfficeHours to be removed
     * @return void
     */
    public function removeEpOfficehour(\Wrm\Civserv2\Domain\Model\OfficeHours $epOfficehourToRemove)
    {
        $this->epOfficehours->detach($epOfficehourToRemove);
    }
    
    /**
     * Returns the epOfficehours
     *
     * @return \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\Wrm\Civserv2\Domain\Model\OfficeHours> $epOfficehours
     */
    public function getEpOfficehours()
    {
        return $this->epOfficehours;
    }
    
    /**
     * Sets the epOfficehours
     *
     * @param \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\Wrm\Civserv2\Domain\Model\OfficeHours> $epOfficehours
     * @return void
     */
    public function setEpOfficehours(\TYPO3\CMS\Extbase\Persistence\ObjectStorage $epOfficehours)
    {
        $this->epOfficehours = $epOfficehours;
    }
    
    /**
     * Returns the epRoom
     *
     * @return \Wrm\Civserv2\Domain\Model\Room $epRoom
     */
    public function getEpRoom()
    {
        return $this->epRoom;
    }
    
    /**
     * Sets the epRoom
     *
     * @param \Wrm\Civserv2\Domain\Model\Room $epRoom
     * @return void
     */
    public function setEpRoom(\Wrm\Civserv2\Domain\Model\Room $epRoom)
    {
        $this->epRoom = $epRoom;
    }

}