<?php
namespace Wrm\Civserv2\Domain\Model;

/***************************************************************
 *
 *  Copyright notice
 *
 *  (c) 2016 Christian Sauer <sauer@werkraum-media.de>, werkraum.media
 *
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

/**
 * ExternalService
 */
class ExternalService extends \TYPO3\CMS\Extbase\DomainObject\AbstractEntity
{

    /**
     * esName
     *
     * @var string
     */
    protected $esName = '';
    
    /**
     * esNavigation
     *
     * @var \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\Wrm\Civserv2\Domain\Model\Navigation>
     */
    protected $esNavigation = null;
    
    /**
     * esExternalService
     *
     * @var \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\Wrm\Civserv2\Domain\Model\Service>
     * @cascade remove
     */
    protected $esExternalService = null;
    
    /**
     * __construct
     */
    public function __construct()
    {
        //Do not remove the next line: It would break the functionality
        $this->initStorageObjects();
    }
    
    /**
     * Initializes all ObjectStorage properties
     * Do not modify this method!
     * It will be rewritten on each save in the extension builder
     * You may modify the constructor of this class instead
     *
     * @return void
     */
    protected function initStorageObjects()
    {
        $this->esNavigation = new \TYPO3\CMS\Extbase\Persistence\ObjectStorage();
        $this->esExternalService = new \TYPO3\CMS\Extbase\Persistence\ObjectStorage();
    }
    
    /**
     * Returns the esName
     *
     * @return string $esName
     */
    public function getEsName()
    {
        return $this->esName;
    }
    
    /**
     * Sets the esName
     *
     * @param string $esName
     * @return void
     */
    public function setEsName($esName)
    {
        $this->esName = $esName;
    }
    
    /**
     * Adds a Navigation
     *
     * @param \Wrm\Civserv2\Domain\Model\Navigation $esNavigation
     * @return void
     */
    public function addEsNavigation(\Wrm\Civserv2\Domain\Model\Navigation $esNavigation)
    {
        $this->esNavigation->attach($esNavigation);
    }
    
    /**
     * Removes a Navigation
     *
     * @param \Wrm\Civserv2\Domain\Model\Navigation $esNavigationToRemove The Navigation to be removed
     * @return void
     */
    public function removeEsNavigation(\Wrm\Civserv2\Domain\Model\Navigation $esNavigationToRemove)
    {
        $this->esNavigation->detach($esNavigationToRemove);
    }
    
    /**
     * Returns the esNavigation
     *
     * @return \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\Wrm\Civserv2\Domain\Model\Navigation> $esNavigation
     */
    public function getEsNavigation()
    {
        return $this->esNavigation;
    }
    
    /**
     * Sets the esNavigation
     *
     * @param \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\Wrm\Civserv2\Domain\Model\Navigation> $esNavigation
     * @return void
     */
    public function setEsNavigation(\TYPO3\CMS\Extbase\Persistence\ObjectStorage $esNavigation)
    {
        $this->esNavigation = $esNavigation;
    }
    
    /**
     * Adds a Service
     *
     * @param \Wrm\Civserv2\Domain\Model\Service $esExternalService
     * @return void
     */
    public function addEsExternalService(\Wrm\Civserv2\Domain\Model\Service $esExternalService)
    {
        $this->esExternalService->attach($esExternalService);
    }
    
    /**
     * Removes a Service
     *
     * @param \Wrm\Civserv2\Domain\Model\Service $esExternalServiceToRemove The Service to be removed
     * @return void
     */
    public function removeEsExternalService(\Wrm\Civserv2\Domain\Model\Service $esExternalServiceToRemove)
    {
        $this->esExternalService->detach($esExternalServiceToRemove);
    }
    
    /**
     * Returns the esExternalService
     *
     * @return \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\Wrm\Civserv2\Domain\Model\Service> $esExternalService
     */
    public function getEsExternalService()
    {
        return $this->esExternalService;
    }
    
    /**
     * Sets the esExternalService
     *
     * @param \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\Wrm\Civserv2\Domain\Model\Service> $esExternalService
     * @return void
     */
    public function setEsExternalService(\TYPO3\CMS\Extbase\Persistence\ObjectStorage $esExternalService)
    {
        $this->esExternalService = $esExternalService;
    }

}