<?php
namespace Wrm\Civserv2\Domain\Model;

/***************************************************************
 *
 *  Copyright notice
 *
 *  (c) 2016 Christian Sauer <sauer@werkraum-media.de>, werkraum.media
 *
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

/**
 * Form
 */
class Form extends \TYPO3\CMS\Extbase\DomainObject\AbstractEntity
{

    /**
     * foNumber
     *
     * @var string
     */
    protected $foNumber = '';
    
    /**
     * foOrgaCode
     *
     * @var string
     */
    protected $foOrgaCode = '';
    
    /**
     * foCodename
     *
     * @var string
     */
    protected $foCodename = '';
    
    /**
     * foName
     *
     * @var string
     */
    protected $foName = '';
    
    /**
     * foDescr
     *
     * @var string
     */
    protected $foDescr = '';
    
    /**
     * foExternalCheckbox
     *
     * @var bool
     */
    protected $foExternalCheckbox = false;
    
    /**
     * foUrl
     *
     * @var string
     */
    protected $foUrl = '';
    
    /**
     * foFormularFile
     *
     * @var \TYPO3\CMS\Extbase\Domain\Model\FileReference
     */
    protected $foFormularFile = null;
    
    /**
     * foCreatedDate
     *
     * @var \DateTime
     */
    protected $foCreatedDate = null;
    
    /**
     * foStatus
     *
     * @var int
     */
    protected $foStatus = 0;
    
    /**
     * foTarget
     *
     * @var bool
     */
    protected $foTarget = false;
        
    /**
     * __construct
     */
    public function __construct()
    {
        //Do not remove the next line: It would break the functionality
        $this->initStorageObjects();
    }
    
    /**
     * Initializes all ObjectStorage properties
     * Do not modify this method!
     * It will be rewritten on each save in the extension builder
     * You may modify the constructor of this class instead
     *
     * @return void
     */
    protected function initStorageObjects()
    {
        
    }
    
    /**
     * Returns the foOrgaCode
     *
     * @return string $foOrgaCode
     */
    public function getFoOrgaCode()
    {
        return $this->foOrgaCode;
    }
    
    /**
     * Sets the foOrgaCode
     *
     * @param string $foOrgaCode
     * @return void
     */
    public function setFoOrgaCode($foOrgaCode)
    {
        $this->foOrgaCode = $foOrgaCode;
    }
    
    /**
     * Returns the foCodename
     *
     * @return string $foCodename
     */
    public function getFoCodename()
    {
        return $this->foCodename;
    }
    
    /**
     * Sets the foCodename
     *
     * @param string $foCodename
     * @return void
     */
    public function setFoCodename($foCodename)
    {
        $this->foCodename = $foCodename;
    }
    
    /**
     * Returns the foName
     *
     * @return string $foName
     */
    public function getFoName()
    {
        return $this->foName;
    }
    
    /**
     * Sets the foName
     *
     * @param string $foName
     * @return void
     */
    public function setFoName($foName)
    {
        $this->foName = $foName;
    }
    
    /**
     * Returns the foDescr
     *
     * @return string $foDescr
     */
    public function getFoDescr()
    {
        return $this->foDescr;
    }
    
    /**
     * Sets the foDescr
     *
     * @param string $foDescr
     * @return void
     */
    public function setFoDescr($foDescr)
    {
        $this->foDescr = $foDescr;
    }
    
    /**
     * Returns the foExternalCheckbox
     *
     * @return bool $foExternalCheckbox
     */
    public function getFoExternalCheckbox()
    {
        return $this->foExternalCheckbox;
    }
    
    /**
     * Sets the foExternalCheckbox
     *
     * @param bool $foExternalCheckbox
     * @return void
     */
    public function setFoExternalCheckbox($foExternalCheckbox)
    {
        $this->foExternalCheckbox = $foExternalCheckbox;
    }
    
    /**
     * Returns the boolean state of foExternalCheckbox
     *
     * @return bool
     */
    public function isFoExternalCheckbox()
    {
        return $this->foExternalCheckbox;
    }
    
    /**
     * Returns the foUrl
     *
     * @return string $foUrl
     */
    public function getFoUrl()
    {
        if(stristr($this->foUrl, 'http')===false)
                return 'http://'.$this->foUrl;
        return $this->foUrl;
    }
    
    /**
     * Sets the foUrl
     *
     * @param string $foUrl
     * @return void
     */
    public function setFoUrl($foUrl)
    {
        $this->foUrl = $foUrl;
    }
    
    /**
     * Returns the foFormularFile
     *
     * @return \TYPO3\CMS\Extbase\Domain\Model\FileReference $foFormularFile
     */
    public function getFoFormularFile()
    {
        //\TYPO3\CMS\Core\Utility\DebugUtility::debug($this->foFormularFile->getOriginalResource());
        return $this->foFormularFile;
    }
    
    /**
     * Sets the foFormularFile
     *
     * @param \TYPO3\CMS\Extbase\Domain\Model\FileReference $foFormularFile
     * @return void
     */
    public function setFoFormularFile(\TYPO3\CMS\Extbase\Domain\Model\FileReference $foFormularFile)
    {
        $this->foFormularFile = $foFormularFile;
    }
    
    /**
     * Returns the foCreatedDate
     *
     * @return \DateTime $foCreatedDate
     */
    public function getFoCreatedDate()
    {
        return $this->foCreatedDate;
    }
    
    /**
     * Sets the foCreatedDate
     *
     * @param \DateTime $foCreatedDate
     * @return void
     */
    public function setFoCreatedDate(\DateTime $foCreatedDate)
    {
        $this->foCreatedDate = $foCreatedDate;
    }
    
    /**
     * Returns the foStatus
     *
     * @return int $foStatus
     */
    public function getFoStatus()
    {
        return $this->foStatus;
    }
    
    /**
     * Sets the foStatus
     *
     * @param int $foStatus
     * @return void
     */
    public function setFoStatus($foStatus)
    {
        $this->foStatus = $foStatus;
    }
    
    /**
     * Returns the foTarget
     *
     * @return bool $foTarget
     */
    public function getFoTarget()
    {
        return $this->foTarget;
    }
    
    /**
     * Sets the foTarget
     *
     * @param bool $foTarget
     * @return void
     */
    public function setFoTarget($foTarget)
    {
        $this->foTarget = $foTarget;
    }
    
    /**
     * Returns the boolean state of foTarget
     *
     * @return bool
     */
    public function isFoTarget()
    {
        return $this->foTarget;
    }
    
    /**
     * Returns the foNumber
     *
     * @return string foNumber
     */
    public function getFoNumber()
    {
        return $this->foNumber;
    }
    
    /**
     * Sets the foNumber
     *
     * @param string $foNumber
     * @return void
     */
    public function setFoNumber($foNumber)
    {
        $this->foNumber = $foNumber;
    }

}