<?php
namespace Wrm\Civserv2\Domain\Model;

/***************************************************************
 *
 *  Copyright notice
 *
 *  (c) 2016 Christian Sauer <sauer@werkraum-media.de>, werkraum.media
 *
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

/**
 * ModelService
 */
class ModelService extends \TYPO3\CMS\Extbase\DomainObject\AbstractEntity
{

    /**
     * msName
     *
     * @var string
     */
    protected $msName = '';
    
    /**
     * msStoredName
     *
     * @var string
     */
    protected $msStoredName = '';
    
    /**
     * msSynonym1
     *
     * @var string
     */
    protected $msSynonym1 = '';
    
    /**
     * msSynonym2
     *
     * @var string
     */
    protected $msSynonym2 = '';
    
    /**
     * msSynonym3
     *
     * @var string
     */
    protected $msSynonym3 = '';
    
    /**
     * msDescrShort
     *
     * @var string
     */
    protected $msDescrShort = '';
    
    /**
     * msDescrLong
     *
     * @var string
     */
    protected $msDescrLong = '';
    
    /**
     * msImage
     *
     * @var \TYPO3\CMS\Extbase\Domain\Model\FileReference
     */
    protected $msImage = null;
    
    /**
     * msImageText
     *
     * @var string
     */
    protected $msImageText = '';
    
    /**
     * msFees
     *
     * @var string
     */
    protected $msFees = '';
    
    /**
     * msDocuments
     *
     * @var string
     */
    protected $msDocuments = '';
    
    /**
     * msLegalGlobal
     *
     * @var string
     */
    protected $msLegalGlobal = '';
    
    /**
     * msMandant
     *
     * @var \Wrm\Civserv2\Domain\Model\ConfMandant
     */
    protected $msMandant = null;
    
    /**
     * msSearchword
     *
     * @var \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\Wrm\Civserv2\Domain\Model\SearchWord>
     */
    protected $msSearchword = null;
    
    /**
     * __construct
     */
    public function __construct()
    {
        //Do not remove the next line: It would break the functionality
        $this->initStorageObjects();
    }
    
    /**
     * Initializes all ObjectStorage properties
     * Do not modify this method!
     * It will be rewritten on each save in the extension builder
     * You may modify the constructor of this class instead
     *
     * @return void
     */
    protected function initStorageObjects()
    {
        $this->msSearchword = new \TYPO3\CMS\Extbase\Persistence\ObjectStorage();
    }
    
    /**
     * Returns the msName
     *
     * @return string $msName
     */
    public function getMsName()
    {
        return $this->msName;
    }
    
    /**
     * Sets the msName
     *
     * @param string $msName
     * @return void
     */
    public function setMsName($msName)
    {
        $this->msName = $msName;
    }
    
    /**
     * Returns the msStoredName
     *
     * @return string $msStoredName
     */
    public function getMsStoredName()
    {
        return $this->msStoredName;
    }
    
    /**
     * Sets the msStoredName
     *
     * @param string $msStoredName
     * @return void
     */
    public function setMsStoredName($msStoredName)
    {
        $this->msStoredName = $msStoredName;
    }
    
    /**
     * Returns the msSynonym1
     *
     * @return string $msSynonym1
     */
    public function getMsSynonym1()
    {
        return $this->msSynonym1;
    }
    
    /**
     * Sets the msSynonym1
     *
     * @param string $msSynonym1
     * @return void
     */
    public function setMsSynonym1($msSynonym1)
    {
        $this->msSynonym1 = $msSynonym1;
    }
    
    /**
     * Returns the msSynonym2
     *
     * @return string $msSynonym2
     */
    public function getMsSynonym2()
    {
        return $this->msSynonym2;
    }
    
    /**
     * Sets the msSynonym2
     *
     * @param string $msSynonym2
     * @return void
     */
    public function setMsSynonym2($msSynonym2)
    {
        $this->msSynonym2 = $msSynonym2;
    }
    
    /**
     * Returns the msSynonym3
     *
     * @return string $msSynonym3
     */
    public function getMsSynonym3()
    {
        return $this->msSynonym3;
    }
    
    /**
     * Sets the msSynonym3
     *
     * @param string $msSynonym3
     * @return void
     */
    public function setMsSynonym3($msSynonym3)
    {
        $this->msSynonym3 = $msSynonym3;
    }
    
    /**
     * Returns the msDescrShort
     *
     * @return string $msDescrShort
     */
    public function getMsDescrShort()
    {
        return $this->msDescrShort;
    }
    
    /**
     * Sets the msDescrShort
     *
     * @param string $msDescrShort
     * @return void
     */
    public function setMsDescrShort($msDescrShort)
    {
        $this->msDescrShort = $msDescrShort;
    }
    
    /**
     * Returns the msDescrLong
     *
     * @return string $msDescrLong
     */
    public function getMsDescrLong()
    {
        return $this->msDescrLong;
    }
    
    /**
     * Sets the msDescrLong
     *
     * @param string $msDescrLong
     * @return void
     */
    public function setMsDescrLong($msDescrLong)
    {
        $this->msDescrLong = $msDescrLong;
    }
    
    /**
     * Returns the msImage
     *
     * @return \TYPO3\CMS\Extbase\Domain\Model\FileReference $msImage
     */
    public function getMsImage()
    {
        return $this->msImage;
    }
    
    /**
     * Sets the msImage
     *
     * @param \TYPO3\CMS\Extbase\Domain\Model\FileReference $msImage
     * @return void
     */
    public function setMsImage(\TYPO3\CMS\Extbase\Domain\Model\FileReference $msImage)
    {
        $this->msImage = $msImage;
    }
    
    /**
     * Returns the msImageText
     *
     * @return string $msImageText
     */
    public function getMsImageText()
    {
        return $this->msImageText;
    }
    
    /**
     * Sets the msImageText
     *
     * @param string $msImageText
     * @return void
     */
    public function setMsImageText($msImageText)
    {
        $this->msImageText = $msImageText;
    }
    
    /**
     * Returns the msFees
     *
     * @return string $msFees
     */
    public function getMsFees()
    {
        return $this->msFees;
    }
    
    /**
     * Sets the msFees
     *
     * @param string $msFees
     * @return void
     */
    public function setMsFees($msFees)
    {
        $this->msFees = $msFees;
    }
    
    /**
     * Returns the msDocuments
     *
     * @return string $msDocuments
     */
    public function getMsDocuments()
    {
        return $this->msDocuments;
    }
    
    /**
     * Sets the msDocuments
     *
     * @param string $msDocuments
     * @return void
     */
    public function setMsDocuments($msDocuments)
    {
        $this->msDocuments = $msDocuments;
    }
    
    /**
     * Returns the msLegalGlobal
     *
     * @return string $msLegalGlobal
     */
    public function getMsLegalGlobal()
    {
        return $this->msLegalGlobal;
    }
    
    /**
     * Sets the msLegalGlobal
     *
     * @param string $msLegalGlobal
     * @return void
     */
    public function setMsLegalGlobal($msLegalGlobal)
    {
        $this->msLegalGlobal = $msLegalGlobal;
    }
    
    /**
     * Returns the msMandant
     *
     * @return \Wrm\Civserv2\Domain\Model\ConfMandant $msMandant
     */
    public function getMsMandant()
    {
        return $this->msMandant;
    }
    
    /**
     * Sets the msMandant
     *
     * @param \Wrm\Civserv2\Domain\Model\ConfMandant $msMandant
     * @return void
     */
    public function setMsMandant(\Wrm\Civserv2\Domain\Model\ConfMandant $msMandant)
    {
        $this->msMandant = $msMandant;
    }
    
    /**
     * Adds a
     *
     * @param \Wrm\Civserv2\Domain\Model\SearchWord $msSearchword
     * @return void
     */
    public function addMsSearchword($msSearchword)
    {
        $this->msSearchword->attach($msSearchword);
    }
    
    /**
     * Removes a
     *
     * @param \Wrm\Civserv2\Domain\Model\SearchWord $msSearchwordToRemove The SearchWord to be removed
     * @return void
     */
    public function removeMsSearchword($msSearchwordToRemove)
    {
        $this->msSearchword->detach($msSearchwordToRemove);
    }
    
    /**
     * Returns the msSearchword
     *
     * @return \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\Wrm\Civserv2\Domain\Model\SearchWord> msSearchword
     */
    public function getMsSearchword()
    {
        return $this->msSearchword;
    }
    
    /**
     * Sets the msSearchword
     *
     * @param \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\Wrm\Civserv2\Domain\Model\SearchWord> $msSearchword
     * @return void
     */
    public function setMsSearchword(\TYPO3\CMS\Extbase\Persistence\ObjectStorage $msSearchword)
    {
        $this->msSearchword = $msSearchword;
    }

}