<?php
namespace Wrm\Civserv2\Domain\Model;

/***************************************************************
 *
 *  Copyright notice
 *
 *  (c) 2016 Christian Sauer <sauer@werkraum-media.de>, werkraum.media
 *
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

/**
 * Navigation
 */
class Navigation extends \TYPO3\CMS\Extbase\DomainObject\AbstractEntity
{

    /**
     * nvName
     *
     * @var string
     */
    protected $nvName = '';
    
    /**
     * nvLabel
     *
     * @var string
     */
    protected $nvLabel = '';
    
    /**
     * nvStructure
     *
     * @var \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\Wrm\Civserv2\Domain\Model\Navigation>
     * @cascade remove
     */
    protected $nvStructure = null;
    
    /**
     * __construct
     */
    public function __construct()
    {
        //Do not remove the next line: It would break the functionality
        $this->initStorageObjects();
    }
    
    /**
     * Initializes all ObjectStorage properties
     * Do not modify this method!
     * It will be rewritten on each save in the extension builder
     * You may modify the constructor of this class instead
     *
     * @return void
     */
    protected function initStorageObjects()
    {
        $this->nvStructure = new \TYPO3\CMS\Extbase\Persistence\ObjectStorage();
    }
    
    /**
     * Returns the nvName
     *
     * @return string $nvName
     */
    public function getNvName()
    {
        return $this->nvName;
    }
    
    /**
     * Sets the nvName
     *
     * @param string $nvName
     * @return void
     */
    public function setNvName($nvName)
    {
        $this->nvName = $nvName;
    }
    
    /**
     * Returns the nvLabel
     *
     * @return string $nvLabel
     */
    public function getNvLabel()
    {
        return $this->nvLabel;
    }
    
    /**
     * Sets the nvLabel
     *
     * @param string $nvLabel
     * @return void
     */
    public function setNvLabel($nvLabel)
    {
        $this->nvLabel = $nvLabel;
    }
    
    /**
     * Adds a Navigation
     *
     * @param \Wrm\Civserv2\Domain\Model\Navigation $nvStructure
     * @return void
     */
    public function addNvStructure(\Wrm\Civserv2\Domain\Model\Navigation $nvStructure)
    {
        $this->nvStructure->attach($nvStructure);
    }
    
    /**
     * Removes a Navigation
     *
     * @param \Wrm\Civserv2\Domain\Model\Navigation $nvStructureToRemove The Navigation to be removed
     * @return void
     */
    public function removeNvStructure(\Wrm\Civserv2\Domain\Model\Navigation $nvStructureToRemove)
    {
        $this->nvStructure->detach($nvStructureToRemove);
    }
    
    /**
     * Returns the nvStructure
     *
     * @return \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\Wrm\Civserv2\Domain\Model\Navigation> $nvStructure
     */
    public function getNvStructure()
    {
        return $this->nvStructure;
    }
    
    /**
     * Sets the nvStructure
     *
     * @param \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\Wrm\Civserv2\Domain\Model\Navigation> $nvStructure
     * @return void
     */
    public function setNvStructure(\TYPO3\CMS\Extbase\Persistence\ObjectStorage $nvStructure)
    {
        $this->nvStructure = $nvStructure;
    }

}