<?php

namespace Wrm\Civserv2\Domain\Model;

/* * *************************************************************
 *
 *  Copyright notice
 *
 *  (c) 2016 Christian Sauer <sauer@werkraum-media.de>, werkraum.media
 *
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 * ************************************************************* */

/**
 * OfficeHours
 */
class OfficeHours extends \TYPO3\CMS\Extbase\DomainObject\AbstractEntity {

    /**
     * ohDescr
     *
     * @var string
     */
    protected $ohDescr = '';

    /**
     * ohName
     *
     * @var string
     */
    protected $ohName = '';

    /**
     * ohWholeDay
     *
     * @var bool
     */
    protected $ohWholeDay = false;

    /**
     * ohStartMorning
     *
     * @var string
     */
    protected $ohStartMorning = 0;

    /**
     * ohEndMorning
     *
     * @var string
     */
    protected $ohEndMorning = 0;

    /**
     * ohStartAfternoon
     *
     * @var string
     */
    protected $ohStartAfternoon = 0;

    /**
     * ohEndAfternoon
     *
     * @var string
     */
    protected $ohEndAfternoon = 0;

    /**
     * ohWeekday
     *
     * @var int
     */
    protected $ohWeekday = 0;

    /**
     * ohManualCheckbox
     *
     * @var bool
     */
    protected $ohManualCheckbox = false;

    /**
     * ohFreestyle
     *
     * @var string
     */
    protected $ohFreestyle = '';

    /**
     * Returns the ohDescr
     *
     * @return string $ohDescr
     */
    public function getOhDescr() {
        return $this->ohDescr;
    }

    /**
     * Sets the ohDescr
     *
     * @param string $ohDescr
     * @return void
     */
    public function setOhDescr($ohDescr) {
        $this->ohDescr = $ohDescr;
    }

    /**
     * Returns the ohDescrString
     *
     * @return string $ohDescrString
     */
    public function getOhDescrString() {
        if($this->ohWeekday>99){
            $markerName = 'tx_civserv2_domain_model_officehours.weekday_'.$this->ohWeekday;
            return $markerName;            
        }
        return null;
    }

    /**
     * Returns the ohName
     *
     * @return string $ohName
     */
    public function getOhName() {
        return $this->ohName;
    }

    /**
     * Sets the ohName
     *
     * @param string $ohName
     * @return void
     */
    public function setOhName($ohName) {
        $this->ohName = $ohName;
    }
    
    /**
     * Returns the ohWholeDay
     *
     * @return bool $ohWholeDay
     */
    public function getOhWholeDay()
    {
        return $this->ohWholeDay;
    }
    
    /**
     * Sets the ohWholeDay
     *
     * @param bool $ohWholeDay
     * @return void
     */
    public function setOhWholeDay($ohWholeDay)
    {
        $this->ohWholeDay = $ohWholeDay;
    }

    /**
     * Returns the ohEndMorning
     *
     * @return int $ohEndMorning
     */
    public function getOhEndMorning() {
        if (empty($this->ohEndMorning))
            return null;
        if (strlen($this->ohEndMorning) < 3) {
            return str_pad($this->ohEndMorning, 2, '0', STR_PAD_LEFT) . ':00';
        }
        return $this->ohEndMorning;
    }

    /**
     * Sets the ohEndMorning
     *
     * @param int $ohEndMorning
     * @return void
     */
    public function setOhEndMorning($ohEndMorning) {
        $this->ohEndMorning = $ohEndMorning;
    }

    /**
     * Returns the ohStartAfternoon
     *
     * @return int $ohStartAfternoon
     */
    public function getOhStartAfternoon() {
        if (empty($this->ohStartAfternoon))
            return null;
        if (strlen($this->ohStartAfternoon) < 3) {
            return str_pad($this->ohStartAfternoon, 2, '0', STR_PAD_LEFT) . ':00';
        }
        return $this->ohStartAfternoon;
    }

    /**
     * Sets the ohStartAfternoon
     *
     * @param int $ohStartAfternoon
     * @return void
     */
    public function setOhStartAfternoon($ohStartAfternoon) {
        $this->ohStartAfternoon = $ohStartAfternoon;
    }

    /**
     * Returns the ohEndAfternoon
     *
     * @return int $ohEndAfternoon
     */
    public function getOhEndAfternoon() {
        if (empty($this->ohEndAfternoon))
            return null;
        if (strlen($this->ohEndAfternoon) < 3) {
            return str_pad($this->ohEndAfternoon, 2, '0', STR_PAD_LEFT) . ':00';
        }
        return $this->ohEndAfternoon;
    }

    /**
     * Sets the ohEndAfternoon
     *
     * @param int $ohEndAfternoon
     * @return void
     */
    public function setOhEndAfternoon($ohEndAfternoon) {
        $this->ohEndAfternoon = $ohEndAfternoon;
    }

    /**
     * Returns the ohWeekday
     *
     * @return int $ohWeekday
     */
    public function getOhWeekday() {
        return $this->ohWeekday;
    }

    /**
     * Sets the ohWeekday
     *
     * @param int $ohWeekday
     * @return void
     */
    public function setOhWeekday($ohWeekday) {
        $this->ohWeekday = $ohWeekday;
    }

    /**
     * Returns the ohManualCheckbox
     *
     * @return bool $ohManualCheckbox
     */
    public function getOhManualCheckbox() {
        return $this->ohManualCheckbox;
    }

    /**
     * Sets the ohManualCheckbox
     *
     * @param bool $ohManualCheckbox
     * @return void
     */
    public function setOhManualCheckbox($ohManualCheckbox) {
        $this->ohManualCheckbox = $ohManualCheckbox;
    }

    /**
     * Returns the boolean state of ohManualCheckbox
     *
     * @return bool
     */
    public function isOhManualCheckbox() {
        return $this->ohManualCheckbox;
    }

    /**
     * Returns the ohFreestyle
     *
     * @return string $ohFreestyle
     */
    public function getOhFreestyle() {
        return $this->ohFreestyle;
    }

    /**
     * Sets the ohFreestyle
     *
     * @param string $ohFreestyle
     * @return void
     */
    public function setOhFreestyle($ohFreestyle) {
        $this->ohFreestyle = $ohFreestyle;
    }

    /**
     * Returns the ohStartMorning
     *
     * @return int ohStartMorning
     */
    public function getOhStartMorning() {
        if (empty($this->ohStartMorning))
            return null;
        if (strlen($this->ohStartMorning) < 3) {
            return str_pad($this->ohStartMorning, 2, '0', STR_PAD_LEFT) . ':00';
        }
        return $this->ohStartMorning;
    }

    /**
     * Sets the ohStartMorning
     *
     * @param int $ohStartMorning
     * @return void
     */
    public function setOhStartMorning($ohStartMorning) {
        $this->ohStartMorning = $ohStartMorning;
    }

}
