<?php
namespace Wrm\Civserv2\Domain\Model;

/***************************************************************
 *
 *  Copyright notice
 *
 *  (c) 2016 Christian Sauer <sauer@werkraum-media.de>, werkraum.media
 *
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

/**
 * Organisation
 */
class Organisation extends \TYPO3\CMS\Extbase\DomainObject\AbstractEntity
{

    /**
     * orNumber
     *
     * @var string
     */
    protected $orNumber = '';
    
    /**
     * orIndex
     *
     * @var string
     */
    protected $orIndex = '';
    
    /**
     * orCode
     *
     * @var string
     */
    protected $orCode = '';
    
    /**
     * orName
     *
     * @var string
     */
    protected $orName = '';
    
    /**
     * orSynonym1
     *
     * @var string
     */
    protected $orSynonym1 = '';
    
    /**
     * orSynonym2
     *
     * @var string
     */
    protected $orSynonym2 = '';
    
    /**
     * orSynonym3
     *
     * @var string
     */
    protected $orSynonym3 = '';
    
    /**
     * orShowSupervisor
     *
     * @var bool
     */
    protected $orShowSupervisor = false;
    
    /**
     * orTelephone
     *
     * @var string
     */
    protected $orTelephone = '';
    
    /**
     * orFax
     *
     * @var string
     */
    protected $orFax = '';
    
    /**
     * orEmail
     *
     * @var string
     */
    protected $orEmail = '';
    
    /**
     * orImage
     *
     * @var string
     */
    protected $orImage = '';
    
    /**
     * orInfopage
     *
     * @var int
     */
    protected $orInfopage = 0;
    
    /**
     * orAddinfo
     *
     * @var string
     */
    protected $orAddinfo = '';
    
    /**
     * orAddlocation
     *
     * @var string
     */
    protected $orAddlocation = '';
    
    /**
     * orSupervisor
     *
     * @var \Wrm\Civserv2\Domain\Model\Employee
     */
    protected $orSupervisor = null;
    
    /**
     * orHours
     *
     * @var \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\Wrm\Civserv2\Domain\Model\OfficeHours>
     */
    protected $orHours = null;
    
    /**
     * orStructure
     *
     * @var \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\Wrm\Civserv2\Domain\Model\Organisation>
     */
    protected $orStructure = null;
    
    /**
     * orBuildingToShow
     *
     * @var \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\Wrm\Civserv2\Domain\Model\Building>
     */
    protected $orBuildingToShow = null;
    
    /**
     * orBuilding
     *
     * @var \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\Wrm\Civserv2\Domain\Model\Building>
     */
    protected $orBuilding = null;
    
    /**
     * __construct
     */
    public function __construct()
    {
        //Do not remove the next line: It would break the functionality
        $this->initStorageObjects();
    }
    
    /**
     * Initializes all ObjectStorage properties
     * Do not modify this method!
     * It will be rewritten on each save in the extension builder
     * You may modify the constructor of this class instead
     *
     * @return void
     */
    protected function initStorageObjects()
    {
        $this->orHours = new \TYPO3\CMS\Extbase\Persistence\ObjectStorage();
        $this->orStructure = new \TYPO3\CMS\Extbase\Persistence\ObjectStorage();
        $this->orBuildingToShow = new \TYPO3\CMS\Extbase\Persistence\ObjectStorage();
        $this->orBuilding = new \TYPO3\CMS\Extbase\Persistence\ObjectStorage();
    }
    
    /**
     * Returns the orNumber
     *
     * @return string $orNumber
     */
    public function getOrNumber()
    {
        return $this->orNumber;
    }
    
    /**
     * Sets the orNumber
     *
     * @param string $orNumber
     * @return void
     */
    public function setOrNumber($orNumber)
    {
        $this->orNumber = $orNumber;
    }
    
    /**
     * Returns the orIndex
     *
     * @return string $orIndex
     */
    public function getOrIndex()
    {
        return $this->orIndex;
    }
    
    /**
     * Sets the orIndex
     *
     * @param string $orIndex
     * @return void
     */
    public function setOrIndex($orIndex)
    {
        $this->orIndex = $orIndex;
    }
    
    /**
     * Returns the orCode
     *
     * @return string $orCode
     */
    public function getOrCode()
    {
        return $this->orCode;
    }
    
    /**
     * Sets the orCode
     *
     * @param string $orCode
     * @return void
     */
    public function setOrCode($orCode)
    {
        $this->orCode = $orCode;
    }
    
    /**
     * Returns the orName
     *
     * @return string $orName
     */
    public function getOrName()
    {
        return $this->orName;
    }
    
    /**
     * Sets the orName
     *
     * @param string $orName
     * @return void
     */
    public function setOrName($orName)
    {
        $this->orName = $orName;
    }
    
    /**
     * Returns the orSynonym1
     *
     * @return string $orSynonym1
     */
    public function getOrSynonym1()
    {
        return $this->orSynonym1;
    }
    
    /**
     * Sets the orSynonym1
     *
     * @param string $orSynonym1
     * @return void
     */
    public function setOrSynonym1($orSynonym1)
    {
        $this->orSynonym1 = $orSynonym1;
    }
    
    /**
     * Returns the orSynonym2
     *
     * @return string $orSynonym2
     */
    public function getOrSynonym2()
    {
        return $this->orSynonym2;
    }
    
    /**
     * Sets the orSynonym2
     *
     * @param string $orSynonym2
     * @return void
     */
    public function setOrSynonym2($orSynonym2)
    {
        $this->orSynonym2 = $orSynonym2;
    }
    
    /**
     * Returns the orSynonym3
     *
     * @return string $orSynonym3
     */
    public function getOrSynonym3()
    {
        return $this->orSynonym3;
    }
    
    /**
     * Sets the orSynonym3
     *
     * @param string $orSynonym3
     * @return void
     */
    public function setOrSynonym3($orSynonym3)
    {
        $this->orSynonym3 = $orSynonym3;
    }
    
    /**
     * Returns the orShowSupervisor
     *
     * @return bool $orShowSupervisor
     */
    public function getOrShowSupervisor()
    {
        return $this->orShowSupervisor;
    }
    
    /**
     * Sets the orShowSupervisor
     *
     * @param bool $orShowSupervisor
     * @return void
     */
    public function setOrShowSupervisor($orShowSupervisor)
    {
        $this->orShowSupervisor = $orShowSupervisor;
    }
    
    /**
     * Returns the boolean state of orShowSupervisor
     *
     * @return bool
     */
    public function isOrShowSupervisor()
    {
        return $this->orShowSupervisor;
    }
    
    /**
     * Returns the orTelephone
     *
     * @return string $orTelephone
     */
    public function getOrTelephone()
    {
        return $this->orTelephone;
    }
    
    /**
     * Sets the orTelephone
     *
     * @param string $orTelephone
     * @return void
     */
    public function setOrTelephone($orTelephone)
    {
        $this->orTelephone = $orTelephone;
    }
    
    /**
     * Returns the orFax
     *
     * @return string $orFax
     */
    public function getOrFax()
    {
        return $this->orFax;
    }
    
    /**
     * Sets the orFax
     *
     * @param string $orFax
     * @return void
     */
    public function setOrFax($orFax)
    {
        $this->orFax = $orFax;
    }
    
    /**
     * Returns the orEmail
     *
     * @return string $orEmail
     */
    public function getOrEmail()
    {
        return $this->orEmail;
    }
    
    /**
     * Sets the orEmail
     *
     * @param string $orEmail
     * @return void
     */
    public function setOrEmail($orEmail)
    {
        $this->orEmail = $orEmail;
    }
    
    /**
     * Returns the orImage
     *
     * @return string $orImage
     */
    public function getOrImage()
    {
        return $this->orImage;
    }
    
    /**
     * Sets the orImage
     *
     * @param string $orImage
     * @return void
     */
    public function setOrImage($orImage)
    {
        $this->orImage = $orImage;
    }
    
    /**
     * Returns the orInfopage
     *
     * @return int $orInfopage
     */
    public function getOrInfopage()
    {
        return $this->orInfopage;
    }
    
    /**
     * Sets the orInfopage
     *
     * @param int $orInfopage
     * @return void
     */
    public function setOrInfopage($orInfopage)
    {
        $this->orInfopage = $orInfopage;
    }
    
    /**
     * Returns the orAddinfo
     *
     * @return string $orAddinfo
     */
    public function getOrAddinfo()
    {
        return $this->orAddinfo;
    }
    
    /**
     * Sets the orAddinfo
     *
     * @param string $orAddinfo
     * @return void
     */
    public function setOrAddinfo($orAddinfo)
    {
        $this->orAddinfo = $orAddinfo;
    }
    
    /**
     * Returns the orAddlocation
     *
     * @return string $orAddlocation
     */
    public function getOrAddlocation()
    {
        return $this->orAddlocation;
    }
    
    /**
     * Sets the orAddlocation
     *
     * @param string $orAddlocation
     * @return void
     */
    public function setOrAddlocation($orAddlocation)
    {
        $this->orAddlocation = $orAddlocation;
    }
    
    /**
     * Returns the orSupervisor
     *
     * @return \Wrm\Civserv2\Domain\Model\Employee $orSupervisor
     */
    public function getOrSupervisor()
    {
        return $this->orSupervisor;
    }
    
    /**
     * Sets the orSupervisor
     *
     * @param \Wrm\Civserv2\Domain\Model\Employee $orSupervisor
     * @return void
     */
    public function setOrSupervisor(\Wrm\Civserv2\Domain\Model\Employee $orSupervisor)
    {
        $this->orSupervisor = $orSupervisor;
    }
    
    /**
     * Adds a OfficeHours
     *
     * @param \Wrm\Civserv2\Domain\Model\OfficeHours $orHour
     * @return void
     */
    public function addOrHour(\Wrm\Civserv2\Domain\Model\OfficeHours $orHour)
    {
        $this->orHours->attach($orHour);
    }
    
    /**
     * Removes a OfficeHours
     *
     * @param \Wrm\Civserv2\Domain\Model\OfficeHours $orHourToRemove The OfficeHours to be removed
     * @return void
     */
    public function removeOrHour(\Wrm\Civserv2\Domain\Model\OfficeHours $orHourToRemove)
    {
        $this->orHours->detach($orHourToRemove);
    }
    
    /**
     * Returns the orHours
     *
     * @return \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\Wrm\Civserv2\Domain\Model\OfficeHours> $orHours
     */
    public function getOrHours()
    {
        return $this->orHours;
    }
    
    /**
     * Sets the orHours
     *
     * @param \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\Wrm\Civserv2\Domain\Model\OfficeHours> $orHours
     * @return void
     */
    public function setOrHours(\TYPO3\CMS\Extbase\Persistence\ObjectStorage $orHours)
    {
        $this->orHours = $orHours;
    }
    
    /**
     * Adds a Organisation
     *
     * @param \Wrm\Civserv2\Domain\Model\Organisation $orStructure
     * @return void
     */
    public function addOrStructure(\Wrm\Civserv2\Domain\Model\Organisation $orStructure)
    {
        $this->orStructure->attach($orStructure);
    }
    
    /**
     * Removes a Organisation
     *
     * @param \Wrm\Civserv2\Domain\Model\Organisation $orStructureToRemove The Organisation to be removed
     * @return void
     */
    public function removeOrStructure(\Wrm\Civserv2\Domain\Model\Organisation $orStructureToRemove)
    {
        $this->orStructure->detach($orStructureToRemove);
    }
    
    /**
     * Returns the orStructure
     *
     * @return \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\Wrm\Civserv2\Domain\Model\Organisation> $orStructure
     */
    public function getOrStructure()
    {
        return $this->orStructure;
    }
    
    /**
     * Sets the orStructure
     *
     * @param \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\Wrm\Civserv2\Domain\Model\Organisation> $orStructure
     * @return void
     */
    public function setOrStructure(\TYPO3\CMS\Extbase\Persistence\ObjectStorage $orStructure)
    {
        $this->orStructure = $orStructure;
    }
    
    /**
     * Adds a Building
     *
     * @param \Wrm\Civserv2\Domain\Model\Building $orBuildingToShow
     * @return void
     */
    public function addOrBuildingToShow(\Wrm\Civserv2\Domain\Model\Building $orBuildingToShow)
    {
        $this->orBuildingToShow->attach($orBuildingToShow);
    }
    
    /**
     * Removes a Building
     *
     * @param \Wrm\Civserv2\Domain\Model\Building $orBuildingToShowToRemove The Building to be removed
     * @return void
     */
    public function removeOrBuildingToShow(\Wrm\Civserv2\Domain\Model\Building $orBuildingToShowToRemove)
    {
        $this->orBuildingToShow->detach($orBuildingToShowToRemove);
    }
    
    /**
     * Returns the orBuildingToShow
     *
     * @return \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\Wrm\Civserv2\Domain\Model\Building> orBuildingToShow
     */
    public function getOrBuildingToShow()
    {
        return $this->orBuildingToShow;
    }
    
    /**
     * Sets the orBuildingToShow
     *
     * @param \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\Wrm\Civserv2\Domain\Model\Building> $orBuildingToShow
     * @return void
     */
    public function setOrBuildingToShow(\TYPO3\CMS\Extbase\Persistence\ObjectStorage $orBuildingToShow)
    {
        $this->orBuildingToShow = $orBuildingToShow;
    }
    
    /**
     * Adds a Building
     *
     * @param \Wrm\Civserv2\Domain\Model\Building $orBuilding
     * @return void
     */
    public function addOrBuilding(\Wrm\Civserv2\Domain\Model\Building $orBuilding)
    {
        $this->orBuilding->attach($orBuilding);
    }
    
    /**
     * Removes a Building
     *
     * @param \Wrm\Civserv2\Domain\Model\Building $orBuildingToRemove The Building to be removed
     * @return void
     */
    public function removeOrBuilding(\Wrm\Civserv2\Domain\Model\Building $orBuildingToRemove)
    {
        $this->orBuilding->detach($orBuildingToRemove);
    }
    
    /**
     * Returns the orBuilding
     *
     * @return \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\Wrm\Civserv2\Domain\Model\Building> $orBuilding
     */
    public function getOrBuilding()
    {
        return $this->orBuilding;
    }
    
    /**
     * Sets the orBuilding
     *
     * @param \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\Wrm\Civserv2\Domain\Model\Building> $orBuilding
     * @return void
     */
    public function setOrBuilding(\TYPO3\CMS\Extbase\Persistence\ObjectStorage $orBuilding)
    {
        $this->orBuilding = $orBuilding;
    }

}