<?php
namespace Wrm\Civserv2\Domain\Model;

/***************************************************************
 *
 *  Copyright notice
 *
 *  (c) 2016 Christian Sauer <sauer@werkraum-media.de>, werkraum.media
 *
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

/**
 * Position
 */
class Position extends \TYPO3\CMS\Extbase\DomainObject\AbstractEntity
{

    /**
     * poName
     *
     * @var string
     */
    protected $poName = '';
    
    /**
     * poNiceName
     *
     * @var string
     */
    protected $poNiceName = '';
    
    /**
     * poNumber
     *
     * @var string
     */
    protected $poNumber = '';
    
    /**
     * poDescr
     *
     * @var string
     */
    protected $poDescr = '';
    
    /**
     * poOrganisation
     *
     * @var \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\Wrm\Civserv2\Domain\Model\Organisation>
     * @lazy
     */
    protected $poOrganisation = null;
    
    /**
     * emPosition
     *
     * @var \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\Wrm\Civserv2\Domain\Model\EmployeePosition>
     * @lazy
     */
    protected $emPosition = null;
    
    /**
     * Returns the poName
     *
     * @return string $poName
     */
    public function getPoName()
    {
        return $this->poName;
    }
    
    /**
     * Sets the poName
     *
     * @param string $poName
     * @return void
     */
    public function setPoName($poName)
    {
        $this->poName = $poName;
    }
    
    /**
     * Returns the poNiceName
     *
     * @return string $poNiceName
     */
    public function getPoNiceName()
    {
        return $this->poNiceName;
    }
    
    /**
     * Sets the poNiceName
     *
     * @param string $poNiceName
     * @return void
     */
    public function setPoNiceName($poNiceName)
    {
        $this->poNiceName = $poNiceName;
    }
    
    /**
     * Returns the poNumber
     *
     * @return string $poNumber
     */
    public function getPoNumber()
    {
        return $this->poNumber;
    }
    
    /**
     * Sets the poNumber
     *
     * @param string $poNumber
     * @return void
     */
    public function setPoNumber($poNumber)
    {
        $this->poNumber = $poNumber;
    }
    
    /**
     * Returns the poDescr
     *
     * @return string $poDescr
     */
    public function getPoDescr()
    {
        return $this->poDescr;
    }
    
    /**
     * Sets the poDescr
     *
     * @param string $poDescr
     * @return void
     */
    public function setPoDescr($poDescr)
    {
        $this->poDescr = $poDescr;
    }
    
    /**
     * __construct
     */
    public function __construct()
    {
        //Do not remove the next line: It would break the functionality
        $this->initStorageObjects();
    }
    
    /**
     * Initializes all ObjectStorage properties
     * Do not modify this method!
     * It will be rewritten on each save in the extension builder
     * You may modify the constructor of this class instead
     *
     * @return void
     */
    protected function initStorageObjects()
    {
        $this->poOrganisation = new \TYPO3\CMS\Extbase\Persistence\ObjectStorage();
        $this->emPosition = new \TYPO3\CMS\Extbase\Persistence\ObjectStorage();
    }
    
    /**
     * Adds a
     *
     * @param \Wrm\Civserv2\Domain\Model\Organisation $poOrganisation
     * @return void
     */
    public function addPoOrganisation($poOrganisation)
    {
        $this->poOrganisation->attach($poOrganisation);
    }
    
    /**
     * Removes a
     *
     * @param \Wrm\Civserv2\Domain\Model\Organisation $poOrganisationToRemove The Organisation to be removed
     * @return void
     */
    public function removePoOrganisation($poOrganisationToRemove)
    {
        $this->poOrganisation->detach($poOrganisationToRemove);
    }
    
    /**
     * Returns the poOrganisation
     *
     * @return \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\Wrm\Civserv2\Domain\Model\Organisation> poOrganisation
     */
    public function getPoOrganisation()
    {
        return $this->poOrganisation;
    }
    
    /**
     * Sets the poOrganisation
     *
     * @param \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\Wrm\Civserv2\Domain\Model\Organisation> $poOrganisation
     * @return void
     */
    public function setPoOrganisation(\TYPO3\CMS\Extbase\Persistence\ObjectStorage $poOrganisation)
    {
        $this->poOrganisation = $poOrganisation;
    }
    
    /**
     * Adds an EmnployeePosition
     *
     * @param \Wrm\Civserv2\Domain\Model\EmployeePosition $emPosition
     * @return void
     */
    public function addEmPosition(\Wrm\Civserv2\Domain\Model\EmployeePosition $emPosition)
    {
        $this->emPosition->attach($emPosition);
    }
    
    /**
     * Removes a EmnployeePosition
     *
     * @param \Wrm\Civserv2\Domain\Model\EmployeePosition $emPositionToRemove The EmployeePosition to be removed
     * @return void
     */
    public function removeEmPosition(\Wrm\Civserv2\Domain\Model\EmployeePosition $emPositionToRemove)
    {
        $this->emPosition->detach($emPositionToRemove);
    }
    
    /**
     * Returns the EmnployeePosition
     *
     * @return \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\Wrm\Civserv2\Domain\Model\EmployeePosition> emPosition
     */
    public function getEmPosition()
    {
        return $this->emPosition;
    }
    
    /**
     * Sets the EmnployeePosition
     *
     * @param \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\Wrm\Civserv2\Domain\Model\EmployeePosition> $emPosition
     * @return void
     */
    public function setEmPosition(\TYPO3\CMS\Extbase\Persistence\ObjectStorage $emPosition)
    {
        $this->emPosition = $emPosition;
    }

}