<?php
namespace Wrm\Civserv2\Domain\Model;

/***************************************************************
 *
 *  Copyright notice
 *
 *  (c) 2016 Christian Sauer <sauer@werkraum-media.de>, werkraum.media
 *
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

/**
 * Room
 */
class Room extends \TYPO3\CMS\Extbase\DomainObject\AbstractEntity
{

    /**
     * roNumber
     *
     * @var string
     */
    protected $roNumber = '';
    
    /**
     * roName
     *
     * @var string
     */
    protected $roName = '';
    
    /**
     * roDescr
     *
     * @var string
     */
    protected $roDescr = '';
    
    /**
     * roTelephone
     *
     * @var string
     */
    protected $roTelephone = '';
    
    /**
     * roFax
     *
     * @var string
     */
    protected $roFax = '';
    
    /**
     * rbfLabel
     *
     * @var string
     */
    protected $rbfLabel = '';
    
    /**
     * floor
     *
     * @var \Wrm\Civserv2\Domain\Model\Floor
     */
    protected $floor = null;
    
    /**
     * Returns the rbfLabel
     *
     * @return string $rbfLabel
     */
    public function getRbfLabel()
    {
        return $this->rbfLabel;
    }
    
    /**
     * Sets the rbfLabel
     *
     * @param string $rbfLabel
     * @return void
     */
    public function setRbfLabel($rbfLabel)
    {
        $this->rbfLabel = $rbfLabel;
    }
    
    /**
     * Returns the floor
     *
     * @return \Wrm\Civserv2\Domain\Model\Floor $floor
     */
    public function getFloor()
    {
        return $this->floor;
    }
    
    /**
     * Sets the floor
     *
     * @param \Wrm\Civserv2\Domain\Model\Floor $floor
     * @return void
     */
    public function setFloor(\Wrm\Civserv2\Domain\Model\Floor $floor)
    {
        $this->floor = $floor;
    }
    
    /**
     * Returns the roNumber
     *
     * @return string roNumber
     */
    public function getRoNumber()
    {
        return $this->roNumber;
    }
    
    /**
     * Sets the roNumber
     *
     * @param string $roNumber
     * @return void
     */
    public function setRoNumber($roNumber)
    {
        $this->roNumber = $roNumber;
    }
    
    /**
     * Returns the roName
     *
     * @return string roName
     */
    public function getRoName()
    {
        return $this->roName;
    }
    
    /**
     * Sets the roName
     *
     * @param string $roName
     * @return void
     */
    public function setRoName($roName)
    {
        $this->roName = $roName;
    }
    
    /**
     * Returns the roDescr
     *
     * @return string roDescr
     */
    public function getRoDescr()
    {
        return $this->roDescr;
    }
    
    /**
     * Sets the roDescr
     *
     * @param string $roDescr
     * @return void
     */
    public function setRoDescr($roDescr)
    {
        $this->roDescr = $roDescr;
    }
    
    /**
     * Returns the roTelephone
     *
     * @return string roTelephone
     */
    public function getRoTelephone()
    {
        return $this->roTelephone;
    }
    
    /**
     * Sets the roTelephone
     *
     * @param string $roTelephone
     * @return void
     */
    public function setRoTelephone($roTelephone)
    {
        $this->roTelephone = $roTelephone;
    }
    
    /**
     * Returns the roFax
     *
     * @return string roFax
     */
    public function getRoFax()
    {
        return $this->roFax;
    }
    
    /**
     * Sets the roFax
     *
     * @param string $roFax
     * @return void
     */
    public function setRoFax($roFax)
    {
        $this->roFax = $roFax;
    }

}