<?php
namespace Wrm\Civserv2\Domain\Model;

/***************************************************************
 *
 *  Copyright notice
 *
 *  (c) 2016 Christian Sauer <sauer@werkraum-media.de>, werkraum.media
 *
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

/**
 * Service
 */
class Service extends \TYPO3\CMS\Extbase\DomainObject\AbstractEntity
{

    /**
     * uid
     *
     * @var int
     */
    protected $uid = 0;

    /**
     * svName
     *
     * @var string
     */
    protected $svName = '';
    
    /**
     * svType
     *
     * @var bool
     */
    protected $svType = false;
    
    /**
     * svSynonym1
     *
     * @var string
     */
    protected $svSynonym1 = '';
    
    /**
     * svSynonym2
     *
     * @var string
     */
    protected $svSynonym2 = '';
    
    /**
     * svSynonym3
     *
     * @var string
     */
    protected $svSynonym3 = '';
    
    /**
     * sv3rdpartyCheckbox
     *
     * @var bool
     */
    protected $sv3rdpartyCheckbox = false;
    
    /**
     * sv3rdpartyLink
     *
     * @var string
     */
    protected $sv3rdpartyLink = '';
    
    /**
     * sv3rdpartyName
     *
     * @var string
     */
    protected $sv3rdpartyName = '';
    
    /**
     * svDescrShort
     *
     * @var string
     */
    protected $svDescrShort = '';
    
    /**
     * svDescrLong
     *
     * @var string
     */
    protected $svDescrLong = '';
    
    /**
     * svImage
     *
     * @var \TYPO3\CMS\Extbase\Domain\Model\FileReference
     */
    protected $svImage = null;
    
    /**
     * svImageText
     *
     * @var string
     */
    protected $svImageText = '';
    
    /**
     * svFees
     *
     * @var string
     */
    protected $svFees = '';
    
    /**
     * svDocuments
     *
     * @var string
     */
    protected $svDocuments = '';
    
    /**
     * svLegalLocal
     *
     * @var string
     */
    protected $svLegalLocal = '';
    
    /**
     * svLegalGlobal
     *
     * @var string
     */
    protected $svLegalGlobal = '';
    
    /**
     * svModelService
     *
     * @var \Wrm\Civserv2\Domain\Model\ModelService
     * @lazy
     */
    protected $svModelService = null;
    
    /**
     * svSimilarServices
     *
     * @var \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\Wrm\Civserv2\Domain\Model\Service>
     * @lazy
     */
    protected $svSimilarServices = null;
    
    /**
     * svForm
     *
     * @var \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\Wrm\Civserv2\Domain\Model\Form>
     * @lazy
     */
    protected $svForm = null;
    
    /**
     * svSearchword
     *
     * @var \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\Wrm\Civserv2\Domain\Model\SearchWord>
     * @lazy
     */
    protected $svSearchword = null;
    
    /**
     * svPosition
     *
     * @var \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\Wrm\Civserv2\Domain\Model\ServicePosition>
     * @lazy
     */
    protected $svPosition = null;
    
    /**
     * svOrganisation
     *
     * @var \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\Wrm\Civserv2\Domain\Model\Organisation>
     * @lazy
     */
    protected $svOrganisation = null;
    
    /**
     * svNavigation
     *
     * @var \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\Wrm\Civserv2\Domain\Model\Navigation>
     * @lazy
     */
    protected $svNavigation = null;
    
    /**
     * svRegion
     *
     * @var \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\Wrm\Civserv2\Domain\Model\Region>
     * @lazy
     */
    protected $svRegion = null;
    
    /**
     * __construct
     */
    public function __construct()
    {
        //Do not remove the next line: It would break the functionality
        $this->initStorageObjects();
    }
    
    /**
     * Initializes all ObjectStorage properties
     * Do not modify this method!
     * It will be rewritten on each save in the extension builder
     * You may modify the constructor of this class instead
     *
     * @return void
     */
    protected function initStorageObjects()
    {
        $this->svSimilarServices = new \TYPO3\CMS\Extbase\Persistence\ObjectStorage();
        $this->svForm = new \TYPO3\CMS\Extbase\Persistence\ObjectStorage();
        $this->svSearchword = new \TYPO3\CMS\Extbase\Persistence\ObjectStorage();
        $this->svPosition = new \TYPO3\CMS\Extbase\Persistence\ObjectStorage();
        $this->svOrganisation = new \TYPO3\CMS\Extbase\Persistence\ObjectStorage();
        $this->svNavigation = new \TYPO3\CMS\Extbase\Persistence\ObjectStorage();
        $this->svRegion = new \TYPO3\CMS\Extbase\Persistence\ObjectStorage();
    }
    
    /**
     * Returns the uid
     *
     * @return int $uid
     */
    public function getUid()
    {
        return $this->uid;
    }
    
    /**
     * Returns the svName
     *
     * @return string $svName
     */
    public function getSvName()
    {
        return $this->svName;
    }
    
    /**
     * Sets the svName
     *
     * @param string $svName
     * @return void
     */
    public function setSvName($svName)
    {
        $this->svName = $svName;
    }
    
    /**
     * Returns the svType
     *
     * @return bool $svType
     */
    public function getSvType()
    {
        return $this->svType;
    }
    
    /**
     * Sets the svType
     *
     * @param bool $svType
     * @return void
     */
    public function setSvType($svType)
    {
        $this->svType = $svType;
    }
    
    /**
     * Returns the boolean state of svType
     *
     * @return bool
     */
    public function isSvType()
    {
        return $this->svType;
    }
    
    /**
     * Returns the svSynonym1
     *
     * @return string $svSynonym1
     */
    public function getSvSynonym1()
    {
        return $this->svSynonym1;
    }
    
    /**
     * Sets the svSynonym1
     *
     * @param string $svSynonym1
     * @return void
     */
    public function setSvSynonym1($svSynonym1)
    {
        $this->svSynonym1 = $svSynonym1;
    }
    
    /**
     * Returns the svSynonym2
     *
     * @return string $svSynonym2
     */
    public function getSvSynonym2()
    {
        return $this->svSynonym2;
    }
    
    /**
     * Sets the svSynonym2
     *
     * @param string $svSynonym2
     * @return void
     */
    public function setSvSynonym2($svSynonym2)
    {
        $this->svSynonym2 = $svSynonym2;
    }
    
    /**
     * Returns the svSynonym3
     *
     * @return string $svSynonym3
     */
    public function getSvSynonym3()
    {
        return $this->svSynonym3;
    }
    
    /**
     * Sets the svSynonym3
     *
     * @param string $svSynonym3
     * @return void
     */
    public function setSvSynonym3($svSynonym3)
    {
        $this->svSynonym3 = $svSynonym3;
    }
    
    /**
     * Returns the sv3rdpartyCheckbox
     *
     * @return bool $sv3rdpartyCheckbox
     */
    public function getSv3rdpartyCheckbox()
    {
        return $this->sv3rdpartyCheckbox;
    }
    
    /**
     * Sets the sv3rdpartyCheckbox
     *
     * @param bool $sv3rdpartyCheckbox
     * @return void
     */
    public function setSv3rdpartyCheckbox($sv3rdpartyCheckbox)
    {
        $this->sv3rdpartyCheckbox = $sv3rdpartyCheckbox;
    }
    
    /**
     * Returns the boolean state of sv3rdpartyCheckbox
     *
     * @return bool
     */
    public function isSv3rdpartyCheckbox()
    {
        return $this->sv3rdpartyCheckbox;
    }
    
    /**
     * Returns the sv3rdpartyLink
     *
     * @return string $sv3rdpartyLink
     */
    public function getSv3rdpartyLink()
    {
        return $this->sv3rdpartyLink;
    }
    
    /**
     * Sets the sv3rdpartyLink
     *
     * @param string $sv3rdpartyLink
     * @return void
     */
    public function setSv3rdpartyLink($sv3rdpartyLink)
    {
        $this->sv3rdpartyLink = $sv3rdpartyLink;
    }
    
    /**
     * Returns the sv3rdpartyName
     *
     * @return string $sv3rdpartyName
     */
    public function getSv3rdpartyName()
    {
        return $this->sv3rdpartyName;
    }
    
    /**
     * Sets the sv3rdpartyName
     *
     * @param string $sv3rdpartyName
     * @return void
     */
    public function setSv3rdpartyName($sv3rdpartyName)
    {
        $this->sv3rdpartyName = $sv3rdpartyName;
    }
    
    /**
     * Returns the svDescrShort
     *
     * @return string $svDescrShort
     */
    public function getSvDescrShort()
    {
        return $this->svDescrShort;
    }
    
    /**
     * Sets the svDescrShort
     *
     * @param string $svDescrShort
     * @return void
     */
    public function setSvDescrShort($svDescrShort)
    {
        $this->svDescrShort = $svDescrShort;
    }
    
    /**
     * Returns the svDescrLong
     *
     * @return string $svDescrLong
     */
    public function getSvDescrLong()
    {
        return $this->svDescrLong;
    }
    
    /**
     * Sets the svDescrLong
     *
     * @param string $svDescrLong
     * @return void
     */
    public function setSvDescrLong($svDescrLong)
    {
        $this->svDescrLong = $svDescrLong;
    }
    
    /**
     * Returns the svImage
     *
     * @return \TYPO3\CMS\Extbase\Domain\Model\FileReference $svImage
     */
    public function getSvImage()
    {
        return $this->svImage;
    }
    
    /**
     * Sets the svImage
     *
     * @param \TYPO3\CMS\Extbase\Domain\Model\FileReference $svImage
     * @return void
     */
    public function setSvImage(\TYPO3\CMS\Extbase\Domain\Model\FileReference $svImage)
    {
        $this->svImage = $svImage;
    }
    
    /**
     * Returns the svImageText
     *
     * @return string $svImageText
     */
    public function getSvImageText()
    {
        return $this->svImageText;
    }
    
    /**
     * Sets the svImageText
     *
     * @param string $svImageText
     * @return void
     */
    public function setSvImageText($svImageText)
    {
        $this->svImageText = $svImageText;
    }
    
    /**
     * Returns the svFees
     *
     * @return string $svFees
     */
    public function getSvFees()
    {
        return $this->svFees;
    }
    
    /**
     * Sets the svFees
     *
     * @param string $svFees
     * @return void
     */
    public function setSvFees($svFees)
    {
        $this->svFees = $svFees;
    }
    
    /**
     * Returns the svDocuments
     *
     * @return string $svDocuments
     */
    public function getSvDocuments()
    {
        return $this->svDocuments;
    }
    
    /**
     * Sets the svDocuments
     *
     * @param string $svDocuments
     * @return void
     */
    public function setSvDocuments($svDocuments)
    {
        $this->svDocuments = $svDocuments;
    }
    
    /**
     * Returns the svLegalLocal
     *
     * @return string $svLegalLocal
     */
    public function getSvLegalLocal()
    {
        return $this->svLegalLocal;
    }
    
    /**
     * Sets the svLegalLocal
     *
     * @param string $svLegalLocal
     * @return void
     */
    public function setSvLegalLocal($svLegalLocal)
    {
        $this->svLegalLocal = $svLegalLocal;
    }
    
    /**
     * Returns the svLegalGlobal
     *
     * @return string $svLegalGlobal
     */
    public function getSvLegalGlobal()
    {
        return $this->svLegalGlobal;
    }
    
    /**
     * Sets the svLegalGlobal
     *
     * @param string $svLegalGlobal
     * @return void
     */
    public function setSvLegalGlobal($svLegalGlobal)
    {
        $this->svLegalGlobal = $svLegalGlobal;
    }
    
    /**
     * Adds a Service
     *
     * @param \Wrm\Civserv2\Domain\Model\Service $svSimilarService
     * @return void
     */
    public function addSvSimilarService(\Wrm\Civserv2\Domain\Model\Service $svSimilarService)
    {
        $this->svSimilarServices->attach($svSimilarService);
    }
    
    /**
     * Removes a Service
     *
     * @param \Wrm\Civserv2\Domain\Model\Service $svSimilarServiceToRemove The Service to be removed
     * @return void
     */
    public function removeSvSimilarService(\Wrm\Civserv2\Domain\Model\Service $svSimilarServiceToRemove)
    {
        $this->svSimilarServices->detach($svSimilarServiceToRemove);
    }
    
    /**
     * Returns the svSimilarServices
     *
     * @return \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\Wrm\Civserv2\Domain\Model\Service> $svSimilarServices
     */
    public function getSvSimilarServices()
    {
        return $this->svSimilarServices;
    }
    
    /**
     * Sets the svSimilarServices
     *
     * @param \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\Wrm\Civserv2\Domain\Model\Service> $svSimilarServices
     * @return void
     */
    public function setSvSimilarServices(\TYPO3\CMS\Extbase\Persistence\ObjectStorage $svSimilarServices)
    {
        $this->svSimilarServices = $svSimilarServices;
    }
    
    /**
     * Adds a Organisation
     *
     * @param \Wrm\Civserv2\Domain\Model\Organisation $svOrganisation
     * @return void
     */
    public function addSvOrganisation(\Wrm\Civserv2\Domain\Model\Organisation $svOrganisation)
    {
        $this->svOrganisation->attach($svOrganisation);
    }
    
    /**
     * Removes a Organisation
     *
     * @param \Wrm\Civserv2\Domain\Model\Organisation $svOrganisationToRemove The Organisation to be removed
     * @return void
     */
    public function removeSvOrganisation(\Wrm\Civserv2\Domain\Model\Organisation $svOrganisationToRemove)
    {
        $this->svOrganisation->detach($svOrganisationToRemove);
    }
    
    /**
     * Returns the svOrganisation
     *
     * @return \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\Wrm\Civserv2\Domain\Model\Organisation> $svOrganisation
     */
    public function getSvOrganisation()
    {
        return $this->svOrganisation;
    }
    
    /**
     * Sets the svOrganisation
     *
     * @param \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\Wrm\Civserv2\Domain\Model\Organisation> $svOrganisation
     * @return void
     */
    public function setSvOrganisation(\TYPO3\CMS\Extbase\Persistence\ObjectStorage $svOrganisation)
    {
        $this->svOrganisation = $svOrganisation;
    }
    
    /**
     * Adds a Region
     *
     * @param \Wrm\Civserv2\Domain\Model\Region $svRegion
     * @return void
     */
    public function addSvRegion(\Wrm\Civserv2\Domain\Model\Region $svRegion)
    {
        $this->svRegion->attach($svRegion);
    }
    
    /**
     * Removes a Region
     *
     * @param \Wrm\Civserv2\Domain\Model\Region $svRegionToRemove The Region to be removed
     * @return void
     */
    public function removeSvRegion(\Wrm\Civserv2\Domain\Model\Region $svRegionToRemove)
    {
        $this->svRegion->detach($svRegionToRemove);
    }
    
    /**
     * Returns the svRegion
     *
     * @return \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\Wrm\Civserv2\Domain\Model\Region> $svRegion
     */
    public function getSvRegion()
    {
        return $this->svRegion;
    }
    
    /**
     * Sets the svRegion
     *
     * @param \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\Wrm\Civserv2\Domain\Model\Region> $svRegion
     * @return void
     */
    public function setSvRegion(\TYPO3\CMS\Extbase\Persistence\ObjectStorage $svRegion)
    {
        $this->svRegion = $svRegion;
    }
    
    /**
     * Returns the svModelService
     *
     * @return \Wrm\Civserv2\Domain\Model\ModelService $svModelService
     */
    public function getSvModelService()
    {
        return $this->svModelService;
    }
    
    /**
     * Sets the svModelService
     *
     * @param \Wrm\Civserv2\Domain\Model\ModelService $svModelService
     * @return void
     */
    public function setSvModelService(\Wrm\Civserv2\Domain\Model\ModelService $svModelService)
    {
        $this->svModelService = $svModelService;
    }
    
    /**
     * Adds a
     *
     * @param \Wrm\Civserv2\Domain\Model\Form $svForm
     * @return void
     */
    public function addSvForm($svForm)
    {
        $this->svForm->attach($svForm);
    }
    
    /**
     * Removes a
     *
     * @param \Wrm\Civserv2\Domain\Model\Form $svFormToRemove The Form to be removed
     * @return void
     */
    public function removeSvForm($svFormToRemove)
    {
        $this->svForm->detach($svFormToRemove);
    }
    
    /**
     * Returns the svForm
     *
     * @return \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\Wrm\Civserv2\Domain\Model\Form> svForm
     */
    public function getSvForm()
    {
        return $this->svForm;
    }
    
    /**
     * Sets the svForm
     *
     * @param \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\Wrm\Civserv2\Domain\Model\Form> $svForm
     * @return void
     */
    public function setSvForm(\TYPO3\CMS\Extbase\Persistence\ObjectStorage $svForm)
    {
        $this->svForm = $svForm;
    }
    
    /**
     * Adds a
     *
     * @param \Wrm\Civserv2\Domain\Model\SearchWord $svSearchword
     * @return void
     */
    public function addSvSearchword($svSearchword)
    {
        $this->svSearchword->attach($svSearchword);
    }
    
    /**
     * Removes a
     *
     * @param \Wrm\Civserv2\Domain\Model\SearchWord $svSearchwordToRemove The SearchWord to be removed
     * @return void
     */
    public function removeSvSearchword($svSearchwordToRemove)
    {
        $this->svSearchword->detach($svSearchwordToRemove);
    }
    
    /**
     * Returns the svSearchword
     *
     * @return \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\Wrm\Civserv2\Domain\Model\SearchWord> svSearchword
     */
    public function getSvSearchword()
    {
        return $this->svSearchword;
    }
    
    /**
     * Sets the svSearchword
     *
     * @param \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\Wrm\Civserv2\Domain\Model\SearchWord> $svSearchword
     * @return void
     */
    public function setSvSearchword(\TYPO3\CMS\Extbase\Persistence\ObjectStorage $svSearchword)
    {
        $this->svSearchword = $svSearchword;
    }
    
    /**
     * Adds a
     *
     * @param \Wrm\Civserv2\Domain\Model\Navigation $svNavigation
     * @return void
     */
    public function addSvNavigation($svNavigation)
    {
        $this->svNavigation->attach($svNavigation);
    }
    
    /**
     * Removes a
     *
     * @param \Wrm\Civserv2\Domain\Model\Navigation $svNavigationToRemove The Navigation to be removed
     * @return void
     */
    public function removeSvNavigation($svNavigationToRemove)
    {
        $this->svNavigation->detach($svNavigationToRemove);
    }
    
    /**
     * Returns the svNavigation
     *
     * @return \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\Wrm\Civserv2\Domain\Model\Navigation> svNavigation
     */
    public function getSvNavigation()
    {
        return $this->svNavigation;
    }
    
    /**
     * Sets the svNavigation
     *
     * @param \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\Wrm\Civserv2\Domain\Model\Navigation> $svNavigation
     * @return void
     */
    public function setSvNavigation(\TYPO3\CMS\Extbase\Persistence\ObjectStorage $svNavigation)
    {
        $this->svNavigation = $svNavigation;
    }
    
    /**
     * Adds a Position
     *
     * @param \Wrm\Civserv2\Domain\Model\ServicePosition $svPosition
     * @return void
     */
    public function addSvPosition(\Wrm\Civserv2\Domain\Model\ServicePosition $svPosition)
    {
        $this->svPosition->attach($svPosition);
    }
    
    /**
     * Removes a Position
     *
     * @param \Wrm\Civserv2\Domain\Model\ServicePosition $svPositionToRemove The ServicePosition to be removed
     * @return void
     */
    public function removeSvPosition(\Wrm\Civserv2\Domain\Model\ServicePosition $svPositionToRemove)
    {
        $this->svPosition->detach($svPositionToRemove);
    }
    
    /**
     * Returns the svPosition
     *
     * @return \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\Wrm\Civserv2\Domain\Model\ServicePosition> svPosition
     */
    public function getSvPosition()
    {
        return $this->svPosition;
    }
    
    /**
     * Sets the svPosition
     *
     * @param \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\Wrm\Civserv2\Domain\Model\ServicePosition> $svPosition
     * @return void
     */
    public function setSvPosition(\TYPO3\CMS\Extbase\Persistence\ObjectStorage $svPosition)
    {
        $this->svPosition = $svPosition;
    }

}