<?php
namespace Wrm\Civserv2\Domain\Model;

/***************************************************************
 *
 *  Copyright notice
 *
 *  (c) 2016 Christian Sauer <sauer@werkraum-media.de>, werkraum.media
 *
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

/**
 * ServicePosition
 */
class ServicePosition extends \TYPO3\CMS\Extbase\DomainObject\AbstractEntity
{

    /**
     * spDescr
     *
     * @var string
     */
    protected $spDescr = '';
    
    /**
     * spLabel
     *
     * @var string
     */
    protected $spLabel = '';
    
    /**
     * service
     *
     * @var \Wrm\Civserv2\Domain\Model\Service
     * @lazy
     */
    protected $service = null;
    
    /**
     * position
     *
     * @var \Wrm\Civserv2\Domain\Model\Position
     * @lazy
     */
    protected $position = null;
    
    /**
     * Returns the spDescr
     *
     * @return string $spDescr
     */
    public function getSpDescr()
    {
        return $this->spDescr;
    }
    
    /**
     * Sets the spDescr
     *
     * @param string $spDescr
     * @return void
     */
    public function setSpDescr($spDescr)
    {
        $this->spDescr = $spDescr;
    }
    
    /**
     * Returns the spLabel
     *
     * @return string $spLabel
     */
    public function getSpLabel()
    {
        return $this->spLabel;
    }
    
    /**
     * Sets the spLabel
     *
     * @param string $spLabel
     * @return void
     */
    public function setSpLabel($spLabel)
    {
        $this->spLabel = $spLabel;
    }
    
    /**
     * Returns the service
     *
     * @return \Wrm\Civserv2\Domain\Model\Service $service
     */
    public function getService()
    {
        return $this->service;
    }
    
    /**
     * Sets the service
     *
     * @param \Wrm\Civserv2\Domain\Model\Service $service
     * @return void
     */
    public function setService(\Wrm\Civserv2\Domain\Model\Service $service)
    {
        $this->service = $service;
    }
    
    /**
     * Returns the position
     *
     * @return \Wrm\Civserv2\Domain\Model\Position $position
     */
    public function getPosition()
    {
        return $this->position;
    }
    
    /**
     * Sets the position
     *
     * @param \Wrm\Civserv2\Domain\Model\Position $position
     * @return void
     */
    public function setPosition(\Wrm\Civserv2\Domain\Model\Position $position)
    {
        $this->position = $position;
    }

}