<?php

namespace Wrm\Civserv2\Domain\Repository;

/* * *************************************************************
 *
 *  Copyright notice
 *
 *  (c) 2016 Christian Sauer <sauer@werkraum-media.de>, werkraum.media
 *
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 * ************************************************************* */

/**
 * The repository for Organisations
 */
class OrganisationRepository extends \TYPO3\CMS\Extbase\Persistence\Repository {

    public function findAll() {
        $query = $this->createQuery();
        //$query->matching($query->equals('orStructure', 0));
        $query->setOrderings(array('orName' => \TYPO3\CMS\Extbase\Persistence\QueryInterface::ORDER_ASCENDING));

        return $query->execute();
    }
    
    public function getTreeFor(\Wrm\Civserv2\Domain\Model\Organisation $organisation){
        $subOrgs = $this->findSubOrganisation($organisation, true);
        $resOrgs = array();
        $index = 0;
        
        foreach($subOrgs as $subOrg){
            $resOrgs[$index]['organisation'] = $subOrg;
            $resOrgs[$index++]['children'] = $this->getTreeFor($subOrg);
        }
        return $resOrgs;
    }

    /**
     * 
     * @param \Wrm\Civserv2\Domain\Model\Organisation $organisation
     * @param boolean $sort
     */
    public function findSubOrganisation(\Wrm\Civserv2\Domain\Model\Organisation $organisation, $sortByCode=false){
        $query = $this->createQuery();
        $query->matching($query->contains('orStructure', $organisation));
        if($sortByCode)
            $query->setOrderings(array('orCode'=>\TYPO3\CMS\Extbase\Persistence\QueryInterface::ORDER_ASCENDING, 'orName'=>\TYPO3\CMS\Extbase\Persistence\QueryInterface::ORDER_ASCENDING));
        else
            $query->setOrderings(array('orName'=>\TYPO3\CMS\Extbase\Persistence\QueryInterface::ORDER_ASCENDING));
                
        return $query->execute();
    }

}
