<?php

namespace Wrm\Civserv2\Domain\Repository;

/* * *************************************************************
 *
 *  Copyright notice
 *
 *  (c) 2016 Christian Sauer <sauer@werkraum-media.de>, werkraum.media
 *
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 * ************************************************************* */

/**
 * The repository for Services
 */
class ServiceRepository extends \TYPO3\CMS\Extbase\Persistence\Repository {

    public function findAll() {
        $query = $this->createQuery();
        if (!$GLOBALS['TSFE']->loginUser) {
            $query->matching($query->equals('svType', 0));
        }
        $query->setOrderings(array('svName' => \TYPO3\CMS\Extbase\Persistence\QueryInterface::ORDER_ASCENDING));

        /* $querySettings = $query->getQuerySettings();
          $querySettings->setRespectStoragePage(false);
          $query->setQuerySettings($querySettings); */

        return $query->execute();
    }

    /**
     * 
     * @param \Wrm\Civserv2\Domain\Model\Organisation $organisation
     */
    public function findBySvOrganisation(\Wrm\Civserv2\Domain\Model\Organisation $organisation) {
        $query = $this->createQuery();
        $constraint[] = $query->contains('svOrganisation', $organisation);
        if (!$GLOBALS['TSFE']->loginUser) {
            $constraint[] = $query->equals('svType', 0);
        }
        $query->matching($query->logicalAnd($constraint));
        $query->setOrderings(array('svName' => \TYPO3\CMS\Extbase\Persistence\QueryInterface::ORDER_ASCENDING));

        return $query->execute();
    }

    /**
     * 
     * @param \Wrm\Civserv2\Domain\Model\Form $form
     */
    public function findBySvForm(\Wrm\Civserv2\Domain\Model\Form $form) {
        $query = $this->createQuery();
        $constraint[] = $query->contains('svForm', $form);
        if (!$GLOBALS['TSFE']->loginUser) {
            $constraint[] = $query->equals('svType', 0);
        }
        $query->matching($query->logicalAnd($constraint));
        $query->setOrderings(array('svName' => \TYPO3\CMS\Extbase\Persistence\QueryInterface::ORDER_ASCENDING));

        return $query->execute();
    }

    /**
     * 
     * @param \Wrm\Civserv2\Domain\Model\Navigation $nav
     */
    public function findBySvNavigation(\Wrm\Civserv2\Domain\Model\Navigation $nav) {
        $query = $this->createQuery();
        $constraint[] = $query->contains('svNavigation', $nav);
        if (!$GLOBALS['TSFE']->loginUser) {
            $constraint[] = $query->equals('svType', 0);
        }
        $query->matching($query->logicalAnd($constraint));
        $query->setOrderings(array('svName' => \TYPO3\CMS\Extbase\Persistence\QueryInterface::ORDER_ASCENDING));

        return $query->execute();
    }

    /**
     * 
     * @param \Wrm\Civserv2\Domain\Model\SearchWord $search
     */
    public function findBySvSearchword(\Wrm\Civserv2\Domain\Model\SearchWord $search) {
        $query = $this->createQuery();
        $constraint[] = $query->contains('svSearchword', $search);
        if (!$GLOBALS['TSFE']->loginUser) {
            $constraint[] = $query->equals('svType', 0);
        }
        $query->matching($query->logicalAnd($constraint));
        $query->setOrderings(array('svName' => \TYPO3\CMS\Extbase\Persistence\QueryInterface::ORDER_ASCENDING));

        return $query->execute();
    }

}
