<?php

namespace Wrm\Civserv2\ViewHelpers\Widget\Controller;

/* * *************************************************************
 *
 *  Copyright notice
 *
 *  (c) 2016 Christian Sauer <sauer@werkraum-media.de>, werkraum.media
 *
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 * ************************************************************* */

/**
 * AZ Navigation
 */
class AzController extends \TYPO3\CMS\Fluid\Core\Widget\AbstractWidgetController {

    /**
     * @var array
     */
    protected $objects;

    /**
     * @var string
     */
    protected $currentChar = '';

    /**
     * @return void
     */
    public function initializeAction() {
        $this->objects = $this->widgetConfiguration['objects'];
    }

    /**
     * @param string $currentChar
     * @return void
     */
    public function indexAction($currentChar = '') {
        // set current char
        $all = \TYPO3\CMS\Extbase\Utility\LocalizationUtility::translate('all', 'Civserv2');
        if ($currentChar == $all)
            $currentChar = '';
        $this->currentChar = $currentChar;

        if (empty($currentChar))
            $modifiedObjects = $this->objects;
        else {
            $umlaute = Array("ä", "ö", "ü", "Ä", "Ö", "Ü", "ß", "é");
            $replace = Array("ae", "oe", "ue", "Ae", "Oe", "Ue", "ss", "e");
            $modifiedObjects = array();
            foreach ($this->objects as $single) {
                if (is_object($single)) {
                    $nameA = str_replace($umlaute, $replace, $single->getEmName());
                    if (ucfirst($nameA[0]) == $currentChar)
                        $modifiedObjects[] = $single;
                } else {
                    $nameA = str_replace($umlaute, $replace, $single['name']);
                    if (ucfirst($nameA[0]) == $currentChar) //(ucfirst($single['name'][0]) == $currentChar)
                        $modifiedObjects[] = $single;
                }
            }
        }

        $this->view->assign('contentArguments', array(
            $this->widgetConfiguration['as'] => $modifiedObjects
        ));
        $this->view->assign('navigation', $this->buildNavigation());
    }

    /**
     * Returns an array with the keys "chars", "current"
     *
     * @return array
     */
    protected function buildNavigation() {
        $chars = array(array('char' => \TYPO3\CMS\Extbase\Utility\LocalizationUtility::translate('all', 'Civserv2'), 'isCurrent' => '' == $this->currentChar));
        foreach (range('A', 'Z') as $i) {
            $chars[] = array('char' => $i, 'isCurrent' => $i == $this->currentChar);
        }
        $navigation = array(
            'chars' => $chars,
            'current' => $this->currentChar
        );
        return $navigation;
    }

}
