<?php
namespace Wrm\Civserv2\Tests\Unit\Controller;
/***************************************************************
 *  Copyright notice
 *
 *  (c) 2016 Christian Sauer <sauer@werkraum-media.de>, werkraum.media
 *  			
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

/**
 * Test case for class Wrm\Civserv2\Controller\EmployeeController.
 *
 * @author Christian Sauer <sauer@werkraum-media.de>
 */
class EmployeeControllerTest extends \TYPO3\CMS\Core\Tests\UnitTestCase
{

	/**
	 * @var \Wrm\Civserv2\Controller\EmployeeController
	 */
	protected $subject = NULL;

	public function setUp()
	{
		$this->subject = $this->getMock('Wrm\\Civserv2\\Controller\\EmployeeController', array('redirect', 'forward', 'addFlashMessage'), array(), '', FALSE);
	}

	public function tearDown()
	{
		unset($this->subject);
	}

	/**
	 * @test
	 */
	public function listActionFetchesAllEmployeesFromRepositoryAndAssignsThemToView()
	{

		$allEmployees = $this->getMock('TYPO3\\CMS\\Extbase\\Persistence\\ObjectStorage', array(), array(), '', FALSE);

		$employeeRepository = $this->getMock('Wrm\\Civserv2\\Domain\\Repository\\EmployeeRepository', array('findAll'), array(), '', FALSE);
		$employeeRepository->expects($this->once())->method('findAll')->will($this->returnValue($allEmployees));
		$this->inject($this->subject, 'employeeRepository', $employeeRepository);

		$view = $this->getMock('TYPO3\\CMS\\Extbase\\Mvc\\View\\ViewInterface');
		$view->expects($this->once())->method('assign')->with('employees', $allEmployees);
		$this->inject($this->subject, 'view', $view);

		$this->subject->listAction();
	}

	/**
	 * @test
	 */
	public function showActionAssignsTheGivenEmployeeToView()
	{
		$employee = new \Wrm\Civserv2\Domain\Model\Employee();

		$view = $this->getMock('TYPO3\\CMS\\Extbase\\Mvc\\View\\ViewInterface');
		$this->inject($this->subject, 'view', $view);
		$view->expects($this->once())->method('assign')->with('employee', $employee);

		$this->subject->showAction($employee);
	}
}
