<?php

namespace Wrm\Civserv2\Tests\Unit\Domain\Model;

/***************************************************************
 *  Copyright notice
 *
 *  (c) 2016 Christian Sauer <sauer@werkraum-media.de>, werkraum.media
 *
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

/**
 * Test case for class \Wrm\Civserv2\Domain\Model\Building.
 *
 * @copyright Copyright belongs to the respective authors
 * @license http://www.gnu.org/licenses/gpl.html GNU General Public License, version 3 or later
 *
 * @author Christian Sauer <sauer@werkraum-media.de>
 */
class BuildingTest extends \TYPO3\CMS\Core\Tests\UnitTestCase
{
	/**
	 * @var \Wrm\Civserv2\Domain\Model\Building
	 */
	protected $subject = NULL;

	public function setUp()
	{
		$this->subject = new \Wrm\Civserv2\Domain\Model\Building();
	}

	public function tearDown()
	{
		unset($this->subject);
	}

	/**
	 * @test
	 */
	public function getBlNumberReturnsInitialValueForString()
	{
		$this->assertSame(
			'',
			$this->subject->getBlNumber()
		);
	}

	/**
	 * @test
	 */
	public function setBlNumberForStringSetsBlNumber()
	{
		$this->subject->setBlNumber('Conceived at T3CON10');

		$this->assertAttributeEquals(
			'Conceived at T3CON10',
			'blNumber',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function getBlNameReturnsInitialValueForString()
	{
		$this->assertSame(
			'',
			$this->subject->getBlName()
		);
	}

	/**
	 * @test
	 */
	public function setBlNameForStringSetsBlName()
	{
		$this->subject->setBlName('Conceived at T3CON10');

		$this->assertAttributeEquals(
			'Conceived at T3CON10',
			'blName',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function getBlNameToShowReturnsInitialValueForString()
	{
		$this->assertSame(
			'',
			$this->subject->getBlNameToShow()
		);
	}

	/**
	 * @test
	 */
	public function setBlNameToShowForStringSetsBlNameToShow()
	{
		$this->subject->setBlNameToShow('Conceived at T3CON10');

		$this->assertAttributeEquals(
			'Conceived at T3CON10',
			'blNameToShow',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function getBlDescrReturnsInitialValueForString()
	{
		$this->assertSame(
			'',
			$this->subject->getBlDescr()
		);
	}

	/**
	 * @test
	 */
	public function setBlDescrForStringSetsBlDescr()
	{
		$this->subject->setBlDescr('Conceived at T3CON10');

		$this->assertAttributeEquals(
			'Conceived at T3CON10',
			'blDescr',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function getBlMailStreetReturnsInitialValueForString()
	{
		$this->assertSame(
			'',
			$this->subject->getBlMailStreet()
		);
	}

	/**
	 * @test
	 */
	public function setBlMailStreetForStringSetsBlMailStreet()
	{
		$this->subject->setBlMailStreet('Conceived at T3CON10');

		$this->assertAttributeEquals(
			'Conceived at T3CON10',
			'blMailStreet',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function getBlMailPobReturnsInitialValueForString()
	{
		$this->assertSame(
			'',
			$this->subject->getBlMailPob()
		);
	}

	/**
	 * @test
	 */
	public function setBlMailPobForStringSetsBlMailPob()
	{
		$this->subject->setBlMailPob('Conceived at T3CON10');

		$this->assertAttributeEquals(
			'Conceived at T3CON10',
			'blMailPob',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function getBlMailPostcodeReturnsInitialValueForString()
	{
		$this->assertSame(
			'',
			$this->subject->getBlMailPostcode()
		);
	}

	/**
	 * @test
	 */
	public function setBlMailPostcodeForStringSetsBlMailPostcode()
	{
		$this->subject->setBlMailPostcode('Conceived at T3CON10');

		$this->assertAttributeEquals(
			'Conceived at T3CON10',
			'blMailPostcode',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function getBlMailCityReturnsInitialValueForString()
	{
		$this->assertSame(
			'',
			$this->subject->getBlMailCity()
		);
	}

	/**
	 * @test
	 */
	public function setBlMailCityForStringSetsBlMailCity()
	{
		$this->subject->setBlMailCity('Conceived at T3CON10');

		$this->assertAttributeEquals(
			'Conceived at T3CON10',
			'blMailCity',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function getBlBuildingStreetReturnsInitialValueForString()
	{
		$this->assertSame(
			'',
			$this->subject->getBlBuildingStreet()
		);
	}

	/**
	 * @test
	 */
	public function setBlBuildingStreetForStringSetsBlBuildingStreet()
	{
		$this->subject->setBlBuildingStreet('Conceived at T3CON10');

		$this->assertAttributeEquals(
			'Conceived at T3CON10',
			'blBuildingStreet',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function getBlBuildingPostcodeReturnsInitialValueForString()
	{
		$this->assertSame(
			'',
			$this->subject->getBlBuildingPostcode()
		);
	}

	/**
	 * @test
	 */
	public function setBlBuildingPostcodeForStringSetsBlBuildingPostcode()
	{
		$this->subject->setBlBuildingPostcode('Conceived at T3CON10');

		$this->assertAttributeEquals(
			'Conceived at T3CON10',
			'blBuildingPostcode',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function getBlBuildingCityReturnsInitialValueForString()
	{
		$this->assertSame(
			'',
			$this->subject->getBlBuildingCity()
		);
	}

	/**
	 * @test
	 */
	public function setBlBuildingCityForStringSetsBlBuildingCity()
	{
		$this->subject->setBlBuildingCity('Conceived at T3CON10');

		$this->assertAttributeEquals(
			'Conceived at T3CON10',
			'blBuildingCity',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function getBlPubtransStopReturnsInitialValueForString()
	{
		$this->assertSame(
			'',
			$this->subject->getBlPubtransStop()
		);
	}

	/**
	 * @test
	 */
	public function setBlPubtransStopForStringSetsBlPubtransStop()
	{
		$this->subject->setBlPubtransStop('Conceived at T3CON10');

		$this->assertAttributeEquals(
			'Conceived at T3CON10',
			'blPubtransStop',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function getBlPubtransUrlReturnsInitialValueForString()
	{
		$this->assertSame(
			'',
			$this->subject->getBlPubtransUrl()
		);
	}

	/**
	 * @test
	 */
	public function setBlPubtransUrlForStringSetsBlPubtransUrl()
	{
		$this->subject->setBlPubtransUrl('Conceived at T3CON10');

		$this->assertAttributeEquals(
			'Conceived at T3CON10',
			'blPubtransUrl',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function getBlCitymapUrlReturnsInitialValueForString()
	{
		$this->assertSame(
			'',
			$this->subject->getBlCitymapUrl()
		);
	}

	/**
	 * @test
	 */
	public function setBlCitymapUrlForStringSetsBlCitymapUrl()
	{
		$this->subject->setBlCitymapUrl('Conceived at T3CON10');

		$this->assertAttributeEquals(
			'Conceived at T3CON10',
			'blCitymapUrl',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function getBlImageReturnsInitialValueForFileReference()
	{
		$this->assertEquals(
			NULL,
			$this->subject->getBlImage()
		);
	}

	/**
	 * @test
	 */
	public function setBlImageForFileReferenceSetsBlImage()
	{
		$fileReferenceFixture = new \TYPO3\CMS\Extbase\Domain\Model\FileReference();
		$this->subject->setBlImage($fileReferenceFixture);

		$this->assertAttributeEquals(
			$fileReferenceFixture,
			'blImage',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function getBlTelephoneReturnsInitialValueForString()
	{
		$this->assertSame(
			'',
			$this->subject->getBlTelephone()
		);
	}

	/**
	 * @test
	 */
	public function setBlTelephoneForStringSetsBlTelephone()
	{
		$this->subject->setBlTelephone('Conceived at T3CON10');

		$this->assertAttributeEquals(
			'Conceived at T3CON10',
			'blTelephone',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function getBlFaxReturnsInitialValueForString()
	{
		$this->assertSame(
			'',
			$this->subject->getBlFax()
		);
	}

	/**
	 * @test
	 */
	public function setBlFaxForStringSetsBlFax()
	{
		$this->subject->setBlFax('Conceived at T3CON10');

		$this->assertAttributeEquals(
			'Conceived at T3CON10',
			'blFax',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function getBlEmailReturnsInitialValueForString()
	{
		$this->assertSame(
			'',
			$this->subject->getBlEmail()
		);
	}

	/**
	 * @test
	 */
	public function setBlEmailForStringSetsBlEmail()
	{
		$this->subject->setBlEmail('Conceived at T3CON10');

		$this->assertAttributeEquals(
			'Conceived at T3CON10',
			'blEmail',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function getBlFloorReturnsInitialValueForFloor()
	{
		$newObjectStorage = new \TYPO3\CMS\Extbase\Persistence\ObjectStorage();
		$this->assertEquals(
			$newObjectStorage,
			$this->subject->getBlFloor()
		);
	}

	/**
	 * @test
	 */
	public function setBlFloorForObjectStorageContainingFloorSetsBlFloor()
	{
		$blFloor = new \Wrm\Civserv2\Domain\Model\Floor();
		$objectStorageHoldingExactlyOneBlFloor = new \TYPO3\CMS\Extbase\Persistence\ObjectStorage();
		$objectStorageHoldingExactlyOneBlFloor->attach($blFloor);
		$this->subject->setBlFloor($objectStorageHoldingExactlyOneBlFloor);

		$this->assertAttributeEquals(
			$objectStorageHoldingExactlyOneBlFloor,
			'blFloor',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function addBlFloorToObjectStorageHoldingBlFloor()
	{
		$blFloor = new \Wrm\Civserv2\Domain\Model\Floor();
		$blFloorObjectStorageMock = $this->getMock('TYPO3\\CMS\\Extbase\\Persistence\\ObjectStorage', array('attach'), array(), '', FALSE);
		$blFloorObjectStorageMock->expects($this->once())->method('attach')->with($this->equalTo($blFloor));
		$this->inject($this->subject, 'blFloor', $blFloorObjectStorageMock);

		$this->subject->addBlFloor($blFloor);
	}

	/**
	 * @test
	 */
	public function removeBlFloorFromObjectStorageHoldingBlFloor()
	{
		$blFloor = new \Wrm\Civserv2\Domain\Model\Floor();
		$blFloorObjectStorageMock = $this->getMock('TYPO3\\CMS\\Extbase\\Persistence\\ObjectStorage', array('detach'), array(), '', FALSE);
		$blFloorObjectStorageMock->expects($this->once())->method('detach')->with($this->equalTo($blFloor));
		$this->inject($this->subject, 'blFloor', $blFloorObjectStorageMock);

		$this->subject->removeBlFloor($blFloor);

	}
}
