<?php

namespace Wrm\Civserv2\Tests\Unit\Domain\Model;

/***************************************************************
 *  Copyright notice
 *
 *  (c) 2016 Christian Sauer <sauer@werkraum-media.de>, werkraum.media
 *
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

/**
 * Test case for class \Wrm\Civserv2\Domain\Model\Employee.
 *
 * @copyright Copyright belongs to the respective authors
 * @license http://www.gnu.org/licenses/gpl.html GNU General Public License, version 3 or later
 *
 * @author Christian Sauer <sauer@werkraum-media.de>
 */
class EmployeeTest extends \TYPO3\CMS\Core\Tests\UnitTestCase
{
	/**
	 * @var \Wrm\Civserv2\Domain\Model\Employee
	 */
	protected $subject = NULL;

	public function setUp()
	{
		$this->subject = new \Wrm\Civserv2\Domain\Model\Employee();
	}

	public function tearDown()
	{
		unset($this->subject);
	}

	/**
	 * @test
	 */
	public function getEmNumberReturnsInitialValueForString()
	{
		$this->assertSame(
			'',
			$this->subject->getEmNumber()
		);
	}

	/**
	 * @test
	 */
	public function setEmNumberForStringSetsEmNumber()
	{
		$this->subject->setEmNumber('Conceived at T3CON10');

		$this->assertAttributeEquals(
			'Conceived at T3CON10',
			'emNumber',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function getEmAddressReturnsInitialValueForInt()
	{	}

	/**
	 * @test
	 */
	public function setEmAddressForIntSetsEmAddress()
	{	}

	/**
	 * @test
	 */
	public function getEmTitleReturnsInitialValueForString()
	{
		$this->assertSame(
			'',
			$this->subject->getEmTitle()
		);
	}

	/**
	 * @test
	 */
	public function setEmTitleForStringSetsEmTitle()
	{
		$this->subject->setEmTitle('Conceived at T3CON10');

		$this->assertAttributeEquals(
			'Conceived at T3CON10',
			'emTitle',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function getEmNameReturnsInitialValueForString()
	{
		$this->assertSame(
			'',
			$this->subject->getEmName()
		);
	}

	/**
	 * @test
	 */
	public function setEmNameForStringSetsEmName()
	{
		$this->subject->setEmName('Conceived at T3CON10');

		$this->assertAttributeEquals(
			'Conceived at T3CON10',
			'emName',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function getEmFirstnameReturnsInitialValueForString()
	{
		$this->assertSame(
			'',
			$this->subject->getEmFirstname()
		);
	}

	/**
	 * @test
	 */
	public function setEmFirstnameForStringSetsEmFirstname()
	{
		$this->subject->setEmFirstname('Conceived at T3CON10');

		$this->assertAttributeEquals(
			'Conceived at T3CON10',
			'emFirstname',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function getEmTelephoneReturnsInitialValueForString()
	{
		$this->assertSame(
			'',
			$this->subject->getEmTelephone()
		);
	}

	/**
	 * @test
	 */
	public function setEmTelephoneForStringSetsEmTelephone()
	{
		$this->subject->setEmTelephone('Conceived at T3CON10');

		$this->assertAttributeEquals(
			'Conceived at T3CON10',
			'emTelephone',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function getEmFaxReturnsInitialValueForString()
	{
		$this->assertSame(
			'',
			$this->subject->getEmFax()
		);
	}

	/**
	 * @test
	 */
	public function setEmFaxForStringSetsEmFax()
	{
		$this->subject->setEmFax('Conceived at T3CON10');

		$this->assertAttributeEquals(
			'Conceived at T3CON10',
			'emFax',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function getEmMobileReturnsInitialValueForString()
	{
		$this->assertSame(
			'',
			$this->subject->getEmMobile()
		);
	}

	/**
	 * @test
	 */
	public function setEmMobileForStringSetsEmMobile()
	{
		$this->subject->setEmMobile('Conceived at T3CON10');

		$this->assertAttributeEquals(
			'Conceived at T3CON10',
			'emMobile',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function getEmEmailReturnsInitialValueForString()
	{
		$this->assertSame(
			'',
			$this->subject->getEmEmail()
		);
	}

	/**
	 * @test
	 */
	public function setEmEmailForStringSetsEmEmail()
	{
		$this->subject->setEmEmail('Conceived at T3CON10');

		$this->assertAttributeEquals(
			'Conceived at T3CON10',
			'emEmail',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function getEmImageReturnsInitialValueForFileReference()
	{
		$this->assertEquals(
			NULL,
			$this->subject->getEmImage()
		);
	}

	/**
	 * @test
	 */
	public function setEmImageForFileReferenceSetsEmImage()
	{
		$fileReferenceFixture = new \TYPO3\CMS\Extbase\Domain\Model\FileReference();
		$this->subject->setEmImage($fileReferenceFixture);

		$this->assertAttributeEquals(
			$fileReferenceFixture,
			'emImage',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function getEmDatasecReturnsInitialValueForBool()
	{
		$this->assertSame(
			FALSE,
			$this->subject->getEmDatasec()
		);
	}

	/**
	 * @test
	 */
	public function setEmDatasecForBoolSetsEmDatasec()
	{
		$this->subject->setEmDatasec(TRUE);

		$this->assertAttributeEquals(
			TRUE,
			'emDatasec',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function getEmPseudoReturnsInitialValueForBool()
	{
		$this->assertSame(
			FALSE,
			$this->subject->getEmPseudo()
		);
	}

	/**
	 * @test
	 */
	public function setEmPseudoForBoolSetsEmPseudo()
	{
		$this->subject->setEmPseudo(TRUE);

		$this->assertAttributeEquals(
			TRUE,
			'emPseudo',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function getEmHoursReturnsInitialValueForOfficeHours()
	{
		$newObjectStorage = new \TYPO3\CMS\Extbase\Persistence\ObjectStorage();
		$this->assertEquals(
			$newObjectStorage,
			$this->subject->getEmHours()
		);
	}

	/**
	 * @test
	 */
	public function setEmHoursForObjectStorageContainingOfficeHoursSetsEmHours()
	{
		$emHour = new \Wrm\Civserv2\Domain\Model\OfficeHours();
		$objectStorageHoldingExactlyOneEmHours = new \TYPO3\CMS\Extbase\Persistence\ObjectStorage();
		$objectStorageHoldingExactlyOneEmHours->attach($emHour);
		$this->subject->setEmHours($objectStorageHoldingExactlyOneEmHours);

		$this->assertAttributeEquals(
			$objectStorageHoldingExactlyOneEmHours,
			'emHours',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function addEmHourToObjectStorageHoldingEmHours()
	{
		$emHour = new \Wrm\Civserv2\Domain\Model\OfficeHours();
		$emHoursObjectStorageMock = $this->getMock('TYPO3\\CMS\\Extbase\\Persistence\\ObjectStorage', array('attach'), array(), '', FALSE);
		$emHoursObjectStorageMock->expects($this->once())->method('attach')->with($this->equalTo($emHour));
		$this->inject($this->subject, 'emHours', $emHoursObjectStorageMock);

		$this->subject->addEmHour($emHour);
	}

	/**
	 * @test
	 */
	public function removeEmHourFromObjectStorageHoldingEmHours()
	{
		$emHour = new \Wrm\Civserv2\Domain\Model\OfficeHours();
		$emHoursObjectStorageMock = $this->getMock('TYPO3\\CMS\\Extbase\\Persistence\\ObjectStorage', array('detach'), array(), '', FALSE);
		$emHoursObjectStorageMock->expects($this->once())->method('detach')->with($this->equalTo($emHour));
		$this->inject($this->subject, 'emHours', $emHoursObjectStorageMock);

		$this->subject->removeEmHour($emHour);

	}

	/**
	 * @test
	 */
	public function getEmPositionReturnsInitialValueForEmployeePosition()
	{
		$newObjectStorage = new \TYPO3\CMS\Extbase\Persistence\ObjectStorage();
		$this->assertEquals(
			$newObjectStorage,
			$this->subject->getEmPosition()
		);
	}

	/**
	 * @test
	 */
	public function setEmPositionForObjectStorageContainingEmployeePositionSetsEmPosition()
	{
		$emPosition = new \Wrm\Civserv2\Domain\Model\EmployeePosition();
		$objectStorageHoldingExactlyOneEmPosition = new \TYPO3\CMS\Extbase\Persistence\ObjectStorage();
		$objectStorageHoldingExactlyOneEmPosition->attach($emPosition);
		$this->subject->setEmPosition($objectStorageHoldingExactlyOneEmPosition);

		$this->assertAttributeEquals(
			$objectStorageHoldingExactlyOneEmPosition,
			'emPosition',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function addEmPositionToObjectStorageHoldingEmPosition()
	{
		$emPosition = new \Wrm\Civserv2\Domain\Model\EmployeePosition();
		$emPositionObjectStorageMock = $this->getMock('TYPO3\\CMS\\Extbase\\Persistence\\ObjectStorage', array('attach'), array(), '', FALSE);
		$emPositionObjectStorageMock->expects($this->once())->method('attach')->with($this->equalTo($emPosition));
		$this->inject($this->subject, 'emPosition', $emPositionObjectStorageMock);

		$this->subject->addEmPosition($emPosition);
	}

	/**
	 * @test
	 */
	public function removeEmPositionFromObjectStorageHoldingEmPosition()
	{
		$emPosition = new \Wrm\Civserv2\Domain\Model\EmployeePosition();
		$emPositionObjectStorageMock = $this->getMock('TYPO3\\CMS\\Extbase\\Persistence\\ObjectStorage', array('detach'), array(), '', FALSE);
		$emPositionObjectStorageMock->expects($this->once())->method('detach')->with($this->equalTo($emPosition));
		$this->inject($this->subject, 'emPosition', $emPositionObjectStorageMock);

		$this->subject->removeEmPosition($emPosition);

	}
}
