<?php

namespace Wrm\Civserv2\Tests\Unit\Domain\Model;

/***************************************************************
 *  Copyright notice
 *
 *  (c) 2016 Christian Sauer <sauer@werkraum-media.de>, werkraum.media
 *
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

/**
 * Test case for class \Wrm\Civserv2\Domain\Model\Form.
 *
 * @copyright Copyright belongs to the respective authors
 * @license http://www.gnu.org/licenses/gpl.html GNU General Public License, version 3 or later
 *
 * @author Christian Sauer <sauer@werkraum-media.de>
 */
class FormTest extends \TYPO3\CMS\Core\Tests\UnitTestCase
{
	/**
	 * @var \Wrm\Civserv2\Domain\Model\Form
	 */
	protected $subject = NULL;

	public function setUp()
	{
		$this->subject = new \Wrm\Civserv2\Domain\Model\Form();
	}

	public function tearDown()
	{
		unset($this->subject);
	}

	/**
	 * @test
	 */
	public function getFoNumberReturnsInitialValueForString()
	{
		$this->assertSame(
			'',
			$this->subject->getFoNumber()
		);
	}

	/**
	 * @test
	 */
	public function setFoNumberForStringSetsFoNumber()
	{
		$this->subject->setFoNumber('Conceived at T3CON10');

		$this->assertAttributeEquals(
			'Conceived at T3CON10',
			'foNumber',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function getFoOrgaCodeReturnsInitialValueForString()
	{
		$this->assertSame(
			'',
			$this->subject->getFoOrgaCode()
		);
	}

	/**
	 * @test
	 */
	public function setFoOrgaCodeForStringSetsFoOrgaCode()
	{
		$this->subject->setFoOrgaCode('Conceived at T3CON10');

		$this->assertAttributeEquals(
			'Conceived at T3CON10',
			'foOrgaCode',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function getFoCodenameReturnsInitialValueForString()
	{
		$this->assertSame(
			'',
			$this->subject->getFoCodename()
		);
	}

	/**
	 * @test
	 */
	public function setFoCodenameForStringSetsFoCodename()
	{
		$this->subject->setFoCodename('Conceived at T3CON10');

		$this->assertAttributeEquals(
			'Conceived at T3CON10',
			'foCodename',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function getFoNameReturnsInitialValueForString()
	{
		$this->assertSame(
			'',
			$this->subject->getFoName()
		);
	}

	/**
	 * @test
	 */
	public function setFoNameForStringSetsFoName()
	{
		$this->subject->setFoName('Conceived at T3CON10');

		$this->assertAttributeEquals(
			'Conceived at T3CON10',
			'foName',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function getFoDescrReturnsInitialValueForString()
	{
		$this->assertSame(
			'',
			$this->subject->getFoDescr()
		);
	}

	/**
	 * @test
	 */
	public function setFoDescrForStringSetsFoDescr()
	{
		$this->subject->setFoDescr('Conceived at T3CON10');

		$this->assertAttributeEquals(
			'Conceived at T3CON10',
			'foDescr',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function getFoExternalCheckboxReturnsInitialValueForBool()
	{
		$this->assertSame(
			FALSE,
			$this->subject->getFoExternalCheckbox()
		);
	}

	/**
	 * @test
	 */
	public function setFoExternalCheckboxForBoolSetsFoExternalCheckbox()
	{
		$this->subject->setFoExternalCheckbox(TRUE);

		$this->assertAttributeEquals(
			TRUE,
			'foExternalCheckbox',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function getFoUrlReturnsInitialValueForString()
	{
		$this->assertSame(
			'',
			$this->subject->getFoUrl()
		);
	}

	/**
	 * @test
	 */
	public function setFoUrlForStringSetsFoUrl()
	{
		$this->subject->setFoUrl('Conceived at T3CON10');

		$this->assertAttributeEquals(
			'Conceived at T3CON10',
			'foUrl',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function getFoFormularFileReturnsInitialValueForFileReference()
	{
		$this->assertEquals(
			NULL,
			$this->subject->getFoFormularFile()
		);
	}

	/**
	 * @test
	 */
	public function setFoFormularFileForFileReferenceSetsFoFormularFile()
	{
		$fileReferenceFixture = new \TYPO3\CMS\Extbase\Domain\Model\FileReference();
		$this->subject->setFoFormularFile($fileReferenceFixture);

		$this->assertAttributeEquals(
			$fileReferenceFixture,
			'foFormularFile',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function getFoCreatedDateReturnsInitialValueForDateTime()
	{
		$this->assertEquals(
			NULL,
			$this->subject->getFoCreatedDate()
		);
	}

	/**
	 * @test
	 */
	public function setFoCreatedDateForDateTimeSetsFoCreatedDate()
	{
		$dateTimeFixture = new \DateTime();
		$this->subject->setFoCreatedDate($dateTimeFixture);

		$this->assertAttributeEquals(
			$dateTimeFixture,
			'foCreatedDate',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function getFoStatusReturnsInitialValueForInt()
	{	}

	/**
	 * @test
	 */
	public function setFoStatusForIntSetsFoStatus()
	{	}

	/**
	 * @test
	 */
	public function getFoTargetReturnsInitialValueForBool()
	{
		$this->assertSame(
			FALSE,
			$this->subject->getFoTarget()
		);
	}

	/**
	 * @test
	 */
	public function setFoTargetForBoolSetsFoTarget()
	{
		$this->subject->setFoTarget(TRUE);

		$this->assertAttributeEquals(
			TRUE,
			'foTarget',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function getFoCategoryReturnsInitialValueFor()
	{
		$newObjectStorage = new \TYPO3\CMS\Extbase\Persistence\ObjectStorage();
		$this->assertEquals(
			$newObjectStorage,
			$this->subject->getFoCategory()
		);
	}

	/**
	 * @test
	 */
	public function setFoCategoryForObjectStorageContainingSetsFoCategory()
	{
		$foCategory = new Object();
		$objectStorageHoldingExactlyOneFoCategory = new \TYPO3\CMS\Extbase\Persistence\ObjectStorage();
		$objectStorageHoldingExactlyOneFoCategory->attach($foCategory);
		$this->subject->setFoCategory($objectStorageHoldingExactlyOneFoCategory);

		$this->assertAttributeEquals(
			$objectStorageHoldingExactlyOneFoCategory,
			'foCategory',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function addFoCategoryToObjectStorageHoldingFoCategory()
	{
		$foCategory = new Object();
		$foCategoryObjectStorageMock = $this->getMock('TYPO3\\CMS\\Extbase\\Persistence\\ObjectStorage', array('attach'), array(), '', FALSE);
		$foCategoryObjectStorageMock->expects($this->once())->method('attach')->with($this->equalTo($foCategory));
		$this->inject($this->subject, 'foCategory', $foCategoryObjectStorageMock);

		$this->subject->addFoCategory($foCategory);
	}

	/**
	 * @test
	 */
	public function removeFoCategoryFromObjectStorageHoldingFoCategory()
	{
		$foCategory = new Object();
		$foCategoryObjectStorageMock = $this->getMock('TYPO3\\CMS\\Extbase\\Persistence\\ObjectStorage', array('detach'), array(), '', FALSE);
		$foCategoryObjectStorageMock->expects($this->once())->method('detach')->with($this->equalTo($foCategory));
		$this->inject($this->subject, 'foCategory', $foCategoryObjectStorageMock);

		$this->subject->removeFoCategory($foCategory);

	}
}
