<?php

namespace Wrm\Civserv2\Tests\Unit\Domain\Model;

/***************************************************************
 *  Copyright notice
 *
 *  (c) 2016 Christian Sauer <sauer@werkraum-media.de>, werkraum.media
 *
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

/**
 * Test case for class \Wrm\Civserv2\Domain\Model\Mandant.
 *
 * @copyright Copyright belongs to the respective authors
 * @license http://www.gnu.org/licenses/gpl.html GNU General Public License, version 3 or later
 *
 * @author Christian Sauer <sauer@werkraum-media.de>
 */
class MandantTest extends \TYPO3\CMS\Core\Tests\UnitTestCase
{
	/**
	 * @var \Wrm\Civserv2\Domain\Model\Mandant
	 */
	protected $subject = NULL;

	public function setUp()
	{
		$this->subject = new \Wrm\Civserv2\Domain\Model\Mandant();
	}

	public function tearDown()
	{
		unset($this->subject);
	}

	/**
	 * @test
	 */
	public function getCmCommunityNameReturnsInitialValueForString()
	{
		$this->assertSame(
			'',
			$this->subject->getCmCommunityName()
		);
	}

	/**
	 * @test
	 */
	public function setCmCommunityNameForStringSetsCmCommunityName()
	{
		$this->subject->setCmCommunityName('Conceived at T3CON10');

		$this->assertAttributeEquals(
			'Conceived at T3CON10',
			'cmCommunityName',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function getCmCommunityIdReturnsInitialValueForInt()
	{	}

	/**
	 * @test
	 */
	public function setCmCommunityIdForIntSetsCmCommunityId()
	{	}

	/**
	 * @test
	 */
	public function getCmUidReturnsInitialValueForInt()
	{	}

	/**
	 * @test
	 */
	public function setCmUidForIntSetsCmUid()
	{	}

	/**
	 * @test
	 */
	public function getCmCircumstanceUidReturnsInitialValueForInt()
	{	}

	/**
	 * @test
	 */
	public function setCmCircumstanceUidForIntSetsCmCircumstanceUid()
	{	}

	/**
	 * @test
	 */
	public function getCmUsergroupUidReturnsInitialValueForInt()
	{	}

	/**
	 * @test
	 */
	public function setCmUsergroupUidForIntSetsCmUsergroupUid()
	{	}

	/**
	 * @test
	 */
	public function getCmOrganisationUidReturnsInitialValueForInt()
	{	}

	/**
	 * @test
	 */
	public function setCmOrganisationUidForIntSetsCmOrganisationUid()
	{	}

	/**
	 * @test
	 */
	public function getCmServiceFolderUidReturnsInitialValueForInt()
	{	}

	/**
	 * @test
	 */
	public function setCmServiceFolderUidForIntSetsCmServiceFolderUid()
	{	}

	/**
	 * @test
	 */
	public function getCmExternalServiceFolderUidReturnsInitialValueForInt()
	{	}

	/**
	 * @test
	 */
	public function setCmExternalServiceFolderUidForIntSetsCmExternalServiceFolderUid()
	{	}

	/**
	 * @test
	 */
	public function getCmAlternativeLanguageFolderUidReturnsInitialValueForInt()
	{	}

	/**
	 * @test
	 */
	public function setCmAlternativeLanguageFolderUidForIntSetsCmAlternativeLanguageFolderUid()
	{	}

	/**
	 * @test
	 */
	public function getCmModelServiceTempUidReturnsInitialValueForInt()
	{	}

	/**
	 * @test
	 */
	public function setCmModelServiceTempUidForIntSetsCmModelServiceTempUid()
	{	}

	/**
	 * @test
	 */
	public function getCmBuildingFolderUidReturnsInitialValueForInt()
	{	}

	/**
	 * @test
	 */
	public function setCmBuildingFolderUidForIntSetsCmBuildingFolderUid()
	{	}

	/**
	 * @test
	 */
	public function getCmPageUidReturnsInitialValueForInt()
	{	}

	/**
	 * @test
	 */
	public function setCmPageUidForIntSetsCmPageUid()
	{	}

	/**
	 * @test
	 */
	public function getCmSearchUidReturnsInitialValueForInt()
	{	}

	/**
	 * @test
	 */
	public function setCmSearchUidForIntSetsCmSearchUid()
	{	}

	/**
	 * @test
	 */
	public function getCmAlternativePageUidReturnsInitialValueForInt()
	{	}

	/**
	 * @test
	 */
	public function setCmAlternativePageUidForIntSetsCmAlternativePageUid()
	{	}

	/**
	 * @test
	 */
	public function getCmInfoFolderUidReturnsInitialValueForInt()
	{	}

	/**
	 * @test
	 */
	public function setCmInfoFolderUidForIntSetsCmInfoFolderUid()
	{	}

	/**
	 * @test
	 */
	public function getCmTargetEmailReturnsInitialValueForString()
	{
		$this->assertSame(
			'',
			$this->subject->getCmTargetEmail()
		);
	}

	/**
	 * @test
	 */
	public function setCmTargetEmailForStringSetsCmTargetEmail()
	{
		$this->subject->setCmTargetEmail('Conceived at T3CON10');

		$this->assertAttributeEquals(
			'Conceived at T3CON10',
			'cmTargetEmail',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function getCmEmployeeSearchReturnsInitialValueForBool()
	{
		$this->assertSame(
			FALSE,
			$this->subject->getCmEmployeeSearch()
		);
	}

	/**
	 * @test
	 */
	public function setCmEmployeeSearchForBoolSetsCmEmployeeSearch()
	{
		$this->subject->setCmEmployeeSearch(TRUE);

		$this->assertAttributeEquals(
			TRUE,
			'cmEmployeeSearch',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function getCmPageSubtitleContainsOrganisationUidReturnsInitialValueForBool()
	{
		$this->assertSame(
			FALSE,
			$this->subject->getCmPageSubtitleContainsOrganisationUid()
		);
	}

	/**
	 * @test
	 */
	public function setCmPageSubtitleContainsOrganisationUidForBoolSetsCmPageSubtitleContainsOrganisationUid()
	{
		$this->subject->setCmPageSubtitleContainsOrganisationUid(TRUE);

		$this->assertAttributeEquals(
			TRUE,
			'cmPageSubtitleContainsOrganisationUid',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function getCmCommunityTypeReturnsInitialValueForRegion()
	{
		$newObjectStorage = new \TYPO3\CMS\Extbase\Persistence\ObjectStorage();
		$this->assertEquals(
			$newObjectStorage,
			$this->subject->getCmCommunityType()
		);
	}

	/**
	 * @test
	 */
	public function setCmCommunityTypeForObjectStorageContainingRegionSetsCmCommunityType()
	{
		$cmCommunityType = new \Wrm\Civserv2\Domain\Model\Region();
		$objectStorageHoldingExactlyOneCmCommunityType = new \TYPO3\CMS\Extbase\Persistence\ObjectStorage();
		$objectStorageHoldingExactlyOneCmCommunityType->attach($cmCommunityType);
		$this->subject->setCmCommunityType($objectStorageHoldingExactlyOneCmCommunityType);

		$this->assertAttributeEquals(
			$objectStorageHoldingExactlyOneCmCommunityType,
			'cmCommunityType',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function addCmCommunityTypeToObjectStorageHoldingCmCommunityType()
	{
		$cmCommunityType = new \Wrm\Civserv2\Domain\Model\Region();
		$cmCommunityTypeObjectStorageMock = $this->getMock('TYPO3\\CMS\\Extbase\\Persistence\\ObjectStorage', array('attach'), array(), '', FALSE);
		$cmCommunityTypeObjectStorageMock->expects($this->once())->method('attach')->with($this->equalTo($cmCommunityType));
		$this->inject($this->subject, 'cmCommunityType', $cmCommunityTypeObjectStorageMock);

		$this->subject->addCmCommunityType($cmCommunityType);
	}

	/**
	 * @test
	 */
	public function removeCmCommunityTypeFromObjectStorageHoldingCmCommunityType()
	{
		$cmCommunityType = new \Wrm\Civserv2\Domain\Model\Region();
		$cmCommunityTypeObjectStorageMock = $this->getMock('TYPO3\\CMS\\Extbase\\Persistence\\ObjectStorage', array('detach'), array(), '', FALSE);
		$cmCommunityTypeObjectStorageMock->expects($this->once())->method('detach')->with($this->equalTo($cmCommunityType));
		$this->inject($this->subject, 'cmCommunityType', $cmCommunityTypeObjectStorageMock);

		$this->subject->removeCmCommunityType($cmCommunityType);

	}
}
