<?php

namespace Wrm\Civserv2\Tests\Unit\Domain\Model;

/***************************************************************
 *  Copyright notice
 *
 *  (c) 2016 Christian Sauer <sauer@werkraum-media.de>, werkraum.media
 *
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

/**
 * Test case for class \Wrm\Civserv2\Domain\Model\ModelService.
 *
 * @copyright Copyright belongs to the respective authors
 * @license http://www.gnu.org/licenses/gpl.html GNU General Public License, version 3 or later
 *
 * @author Christian Sauer <sauer@werkraum-media.de>
 */
class ModelServiceTest extends \TYPO3\CMS\Core\Tests\UnitTestCase
{
	/**
	 * @var \Wrm\Civserv2\Domain\Model\ModelService
	 */
	protected $subject = NULL;

	public function setUp()
	{
		$this->subject = new \Wrm\Civserv2\Domain\Model\ModelService();
	}

	public function tearDown()
	{
		unset($this->subject);
	}

	/**
	 * @test
	 */
	public function getMsNameReturnsInitialValueForString()
	{
		$this->assertSame(
			'',
			$this->subject->getMsName()
		);
	}

	/**
	 * @test
	 */
	public function setMsNameForStringSetsMsName()
	{
		$this->subject->setMsName('Conceived at T3CON10');

		$this->assertAttributeEquals(
			'Conceived at T3CON10',
			'msName',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function getMsStoredNameReturnsInitialValueForString()
	{
		$this->assertSame(
			'',
			$this->subject->getMsStoredName()
		);
	}

	/**
	 * @test
	 */
	public function setMsStoredNameForStringSetsMsStoredName()
	{
		$this->subject->setMsStoredName('Conceived at T3CON10');

		$this->assertAttributeEquals(
			'Conceived at T3CON10',
			'msStoredName',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function getMsSynonym1ReturnsInitialValueForString()
	{
		$this->assertSame(
			'',
			$this->subject->getMsSynonym1()
		);
	}

	/**
	 * @test
	 */
	public function setMsSynonym1ForStringSetsMsSynonym1()
	{
		$this->subject->setMsSynonym1('Conceived at T3CON10');

		$this->assertAttributeEquals(
			'Conceived at T3CON10',
			'msSynonym1',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function getMsSynonym2ReturnsInitialValueForString()
	{
		$this->assertSame(
			'',
			$this->subject->getMsSynonym2()
		);
	}

	/**
	 * @test
	 */
	public function setMsSynonym2ForStringSetsMsSynonym2()
	{
		$this->subject->setMsSynonym2('Conceived at T3CON10');

		$this->assertAttributeEquals(
			'Conceived at T3CON10',
			'msSynonym2',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function getMsSynonym3ReturnsInitialValueForString()
	{
		$this->assertSame(
			'',
			$this->subject->getMsSynonym3()
		);
	}

	/**
	 * @test
	 */
	public function setMsSynonym3ForStringSetsMsSynonym3()
	{
		$this->subject->setMsSynonym3('Conceived at T3CON10');

		$this->assertAttributeEquals(
			'Conceived at T3CON10',
			'msSynonym3',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function getMsDescrShortReturnsInitialValueForString()
	{
		$this->assertSame(
			'',
			$this->subject->getMsDescrShort()
		);
	}

	/**
	 * @test
	 */
	public function setMsDescrShortForStringSetsMsDescrShort()
	{
		$this->subject->setMsDescrShort('Conceived at T3CON10');

		$this->assertAttributeEquals(
			'Conceived at T3CON10',
			'msDescrShort',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function getMsDescrLongReturnsInitialValueForString()
	{
		$this->assertSame(
			'',
			$this->subject->getMsDescrLong()
		);
	}

	/**
	 * @test
	 */
	public function setMsDescrLongForStringSetsMsDescrLong()
	{
		$this->subject->setMsDescrLong('Conceived at T3CON10');

		$this->assertAttributeEquals(
			'Conceived at T3CON10',
			'msDescrLong',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function getMsImageReturnsInitialValueForFileReference()
	{
		$this->assertEquals(
			NULL,
			$this->subject->getMsImage()
		);
	}

	/**
	 * @test
	 */
	public function setMsImageForFileReferenceSetsMsImage()
	{
		$fileReferenceFixture = new \TYPO3\CMS\Extbase\Domain\Model\FileReference();
		$this->subject->setMsImage($fileReferenceFixture);

		$this->assertAttributeEquals(
			$fileReferenceFixture,
			'msImage',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function getMsImageTextReturnsInitialValueForString()
	{
		$this->assertSame(
			'',
			$this->subject->getMsImageText()
		);
	}

	/**
	 * @test
	 */
	public function setMsImageTextForStringSetsMsImageText()
	{
		$this->subject->setMsImageText('Conceived at T3CON10');

		$this->assertAttributeEquals(
			'Conceived at T3CON10',
			'msImageText',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function getMsFeesReturnsInitialValueForString()
	{
		$this->assertSame(
			'',
			$this->subject->getMsFees()
		);
	}

	/**
	 * @test
	 */
	public function setMsFeesForStringSetsMsFees()
	{
		$this->subject->setMsFees('Conceived at T3CON10');

		$this->assertAttributeEquals(
			'Conceived at T3CON10',
			'msFees',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function getMsDocumentsReturnsInitialValueForString()
	{
		$this->assertSame(
			'',
			$this->subject->getMsDocuments()
		);
	}

	/**
	 * @test
	 */
	public function setMsDocumentsForStringSetsMsDocuments()
	{
		$this->subject->setMsDocuments('Conceived at T3CON10');

		$this->assertAttributeEquals(
			'Conceived at T3CON10',
			'msDocuments',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function getMsLegalGlobalReturnsInitialValueForString()
	{
		$this->assertSame(
			'',
			$this->subject->getMsLegalGlobal()
		);
	}

	/**
	 * @test
	 */
	public function setMsLegalGlobalForStringSetsMsLegalGlobal()
	{
		$this->subject->setMsLegalGlobal('Conceived at T3CON10');

		$this->assertAttributeEquals(
			'Conceived at T3CON10',
			'msLegalGlobal',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function getMsMandantReturnsInitialValueForConfMandant()
	{
		$this->assertEquals(
			NULL,
			$this->subject->getMsMandant()
		);
	}

	/**
	 * @test
	 */
	public function setMsMandantForConfMandantSetsMsMandant()
	{
		$msMandantFixture = new \Wrm\Civserv2\Domain\Model\ConfMandant();
		$this->subject->setMsMandant($msMandantFixture);

		$this->assertAttributeEquals(
			$msMandantFixture,
			'msMandant',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function getMsSearchwordReturnsInitialValueForSearchWord()
	{
		$newObjectStorage = new \TYPO3\CMS\Extbase\Persistence\ObjectStorage();
		$this->assertEquals(
			$newObjectStorage,
			$this->subject->getMsSearchword()
		);
	}

	/**
	 * @test
	 */
	public function setMsSearchwordForObjectStorageContainingSearchWordSetsMsSearchword()
	{
		$msSearchword = new \Wrm\Civserv2\Domain\Model\SearchWord();
		$objectStorageHoldingExactlyOneMsSearchword = new \TYPO3\CMS\Extbase\Persistence\ObjectStorage();
		$objectStorageHoldingExactlyOneMsSearchword->attach($msSearchword);
		$this->subject->setMsSearchword($objectStorageHoldingExactlyOneMsSearchword);

		$this->assertAttributeEquals(
			$objectStorageHoldingExactlyOneMsSearchword,
			'msSearchword',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function addMsSearchwordToObjectStorageHoldingMsSearchword()
	{
		$msSearchword = new \Wrm\Civserv2\Domain\Model\SearchWord();
		$msSearchwordObjectStorageMock = $this->getMock('TYPO3\\CMS\\Extbase\\Persistence\\ObjectStorage', array('attach'), array(), '', FALSE);
		$msSearchwordObjectStorageMock->expects($this->once())->method('attach')->with($this->equalTo($msSearchword));
		$this->inject($this->subject, 'msSearchword', $msSearchwordObjectStorageMock);

		$this->subject->addMsSearchword($msSearchword);
	}

	/**
	 * @test
	 */
	public function removeMsSearchwordFromObjectStorageHoldingMsSearchword()
	{
		$msSearchword = new \Wrm\Civserv2\Domain\Model\SearchWord();
		$msSearchwordObjectStorageMock = $this->getMock('TYPO3\\CMS\\Extbase\\Persistence\\ObjectStorage', array('detach'), array(), '', FALSE);
		$msSearchwordObjectStorageMock->expects($this->once())->method('detach')->with($this->equalTo($msSearchword));
		$this->inject($this->subject, 'msSearchword', $msSearchwordObjectStorageMock);

		$this->subject->removeMsSearchword($msSearchword);

	}
}
