<?php

namespace Wrm\Civserv2\Tests\Unit\Domain\Model;

/***************************************************************
 *  Copyright notice
 *
 *  (c) 2016 Christian Sauer <sauer@werkraum-media.de>, werkraum.media
 *
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

/**
 * Test case for class \Wrm\Civserv2\Domain\Model\OfficeHours.
 *
 * @copyright Copyright belongs to the respective authors
 * @license http://www.gnu.org/licenses/gpl.html GNU General Public License, version 3 or later
 *
 * @author Christian Sauer <sauer@werkraum-media.de>
 */
class OfficeHoursTest extends \TYPO3\CMS\Core\Tests\UnitTestCase
{
	/**
	 * @var \Wrm\Civserv2\Domain\Model\OfficeHours
	 */
	protected $subject = NULL;

	public function setUp()
	{
		$this->subject = new \Wrm\Civserv2\Domain\Model\OfficeHours();
	}

	public function tearDown()
	{
		unset($this->subject);
	}

	/**
	 * @test
	 */
	public function getOhDescrReturnsInitialValueForString()
	{
		$this->assertSame(
			'',
			$this->subject->getOhDescr()
		);
	}

	/**
	 * @test
	 */
	public function setOhDescrForStringSetsOhDescr()
	{
		$this->subject->setOhDescr('Conceived at T3CON10');

		$this->assertAttributeEquals(
			'Conceived at T3CON10',
			'ohDescr',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function getOhNameReturnsInitialValueForString()
	{
		$this->assertSame(
			'',
			$this->subject->getOhName()
		);
	}

	/**
	 * @test
	 */
	public function setOhNameForStringSetsOhName()
	{
		$this->subject->setOhName('Conceived at T3CON10');

		$this->assertAttributeEquals(
			'Conceived at T3CON10',
			'ohName',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function getOhStartMorningReturnsInitialValueForInt()
	{	}

	/**
	 * @test
	 */
	public function setOhStartMorningForIntSetsOhStartMorning()
	{	}

	/**
	 * @test
	 */
	public function getOhEndMorningReturnsInitialValueForInt()
	{	}

	/**
	 * @test
	 */
	public function setOhEndMorningForIntSetsOhEndMorning()
	{	}

	/**
	 * @test
	 */
	public function getOhStartAfternoonReturnsInitialValueForInt()
	{	}

	/**
	 * @test
	 */
	public function setOhStartAfternoonForIntSetsOhStartAfternoon()
	{	}

	/**
	 * @test
	 */
	public function getOhEndAfternoonReturnsInitialValueForInt()
	{	}

	/**
	 * @test
	 */
	public function setOhEndAfternoonForIntSetsOhEndAfternoon()
	{	}

	/**
	 * @test
	 */
	public function getOhWeekdayReturnsInitialValueForInt()
	{	}

	/**
	 * @test
	 */
	public function setOhWeekdayForIntSetsOhWeekday()
	{	}

	/**
	 * @test
	 */
	public function getOhManualCheckboxReturnsInitialValueForBool()
	{
		$this->assertSame(
			FALSE,
			$this->subject->getOhManualCheckbox()
		);
	}

	/**
	 * @test
	 */
	public function setOhManualCheckboxForBoolSetsOhManualCheckbox()
	{
		$this->subject->setOhManualCheckbox(TRUE);

		$this->assertAttributeEquals(
			TRUE,
			'ohManualCheckbox',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function getOhFreestyleReturnsInitialValueForString()
	{
		$this->assertSame(
			'',
			$this->subject->getOhFreestyle()
		);
	}

	/**
	 * @test
	 */
	public function setOhFreestyleForStringSetsOhFreestyle()
	{
		$this->subject->setOhFreestyle('Conceived at T3CON10');

		$this->assertAttributeEquals(
			'Conceived at T3CON10',
			'ohFreestyle',
			$this->subject
		);
	}
}
