<?php

namespace Wrm\Civserv2\Tests\Unit\Domain\Model;

/***************************************************************
 *  Copyright notice
 *
 *  (c) 2016 Christian Sauer <sauer@werkraum-media.de>, werkraum.media
 *
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

/**
 * Test case for class \Wrm\Civserv2\Domain\Model\Organisation.
 *
 * @copyright Copyright belongs to the respective authors
 * @license http://www.gnu.org/licenses/gpl.html GNU General Public License, version 3 or later
 *
 * @author Christian Sauer <sauer@werkraum-media.de>
 */
class OrganisationTest extends \TYPO3\CMS\Core\Tests\UnitTestCase
{
	/**
	 * @var \Wrm\Civserv2\Domain\Model\Organisation
	 */
	protected $subject = NULL;

	public function setUp()
	{
		$this->subject = new \Wrm\Civserv2\Domain\Model\Organisation();
	}

	public function tearDown()
	{
		unset($this->subject);
	}

	/**
	 * @test
	 */
	public function getOrNumberReturnsInitialValueForString()
	{
		$this->assertSame(
			'',
			$this->subject->getOrNumber()
		);
	}

	/**
	 * @test
	 */
	public function setOrNumberForStringSetsOrNumber()
	{
		$this->subject->setOrNumber('Conceived at T3CON10');

		$this->assertAttributeEquals(
			'Conceived at T3CON10',
			'orNumber',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function getOrIndexReturnsInitialValueForString()
	{
		$this->assertSame(
			'',
			$this->subject->getOrIndex()
		);
	}

	/**
	 * @test
	 */
	public function setOrIndexForStringSetsOrIndex()
	{
		$this->subject->setOrIndex('Conceived at T3CON10');

		$this->assertAttributeEquals(
			'Conceived at T3CON10',
			'orIndex',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function getOrCodeReturnsInitialValueForString()
	{
		$this->assertSame(
			'',
			$this->subject->getOrCode()
		);
	}

	/**
	 * @test
	 */
	public function setOrCodeForStringSetsOrCode()
	{
		$this->subject->setOrCode('Conceived at T3CON10');

		$this->assertAttributeEquals(
			'Conceived at T3CON10',
			'orCode',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function getOrNameReturnsInitialValueForString()
	{
		$this->assertSame(
			'',
			$this->subject->getOrName()
		);
	}

	/**
	 * @test
	 */
	public function setOrNameForStringSetsOrName()
	{
		$this->subject->setOrName('Conceived at T3CON10');

		$this->assertAttributeEquals(
			'Conceived at T3CON10',
			'orName',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function getOrSynonym1ReturnsInitialValueForString()
	{
		$this->assertSame(
			'',
			$this->subject->getOrSynonym1()
		);
	}

	/**
	 * @test
	 */
	public function setOrSynonym1ForStringSetsOrSynonym1()
	{
		$this->subject->setOrSynonym1('Conceived at T3CON10');

		$this->assertAttributeEquals(
			'Conceived at T3CON10',
			'orSynonym1',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function getOrSynonym2ReturnsInitialValueForString()
	{
		$this->assertSame(
			'',
			$this->subject->getOrSynonym2()
		);
	}

	/**
	 * @test
	 */
	public function setOrSynonym2ForStringSetsOrSynonym2()
	{
		$this->subject->setOrSynonym2('Conceived at T3CON10');

		$this->assertAttributeEquals(
			'Conceived at T3CON10',
			'orSynonym2',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function getOrSynonym3ReturnsInitialValueForString()
	{
		$this->assertSame(
			'',
			$this->subject->getOrSynonym3()
		);
	}

	/**
	 * @test
	 */
	public function setOrSynonym3ForStringSetsOrSynonym3()
	{
		$this->subject->setOrSynonym3('Conceived at T3CON10');

		$this->assertAttributeEquals(
			'Conceived at T3CON10',
			'orSynonym3',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function getOrShowSupervisorReturnsInitialValueForBool()
	{
		$this->assertSame(
			FALSE,
			$this->subject->getOrShowSupervisor()
		);
	}

	/**
	 * @test
	 */
	public function setOrShowSupervisorForBoolSetsOrShowSupervisor()
	{
		$this->subject->setOrShowSupervisor(TRUE);

		$this->assertAttributeEquals(
			TRUE,
			'orShowSupervisor',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function getOrTelephoneReturnsInitialValueForString()
	{
		$this->assertSame(
			'',
			$this->subject->getOrTelephone()
		);
	}

	/**
	 * @test
	 */
	public function setOrTelephoneForStringSetsOrTelephone()
	{
		$this->subject->setOrTelephone('Conceived at T3CON10');

		$this->assertAttributeEquals(
			'Conceived at T3CON10',
			'orTelephone',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function getOrFaxReturnsInitialValueForString()
	{
		$this->assertSame(
			'',
			$this->subject->getOrFax()
		);
	}

	/**
	 * @test
	 */
	public function setOrFaxForStringSetsOrFax()
	{
		$this->subject->setOrFax('Conceived at T3CON10');

		$this->assertAttributeEquals(
			'Conceived at T3CON10',
			'orFax',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function getOrEmailReturnsInitialValueForString()
	{
		$this->assertSame(
			'',
			$this->subject->getOrEmail()
		);
	}

	/**
	 * @test
	 */
	public function setOrEmailForStringSetsOrEmail()
	{
		$this->subject->setOrEmail('Conceived at T3CON10');

		$this->assertAttributeEquals(
			'Conceived at T3CON10',
			'orEmail',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function getOrImageReturnsInitialValueForString()
	{
		$this->assertSame(
			'',
			$this->subject->getOrImage()
		);
	}

	/**
	 * @test
	 */
	public function setOrImageForStringSetsOrImage()
	{
		$this->subject->setOrImage('Conceived at T3CON10');

		$this->assertAttributeEquals(
			'Conceived at T3CON10',
			'orImage',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function getOrInfopageReturnsInitialValueForInt()
	{	}

	/**
	 * @test
	 */
	public function setOrInfopageForIntSetsOrInfopage()
	{	}

	/**
	 * @test
	 */
	public function getOrAddinfoReturnsInitialValueForString()
	{
		$this->assertSame(
			'',
			$this->subject->getOrAddinfo()
		);
	}

	/**
	 * @test
	 */
	public function setOrAddinfoForStringSetsOrAddinfo()
	{
		$this->subject->setOrAddinfo('Conceived at T3CON10');

		$this->assertAttributeEquals(
			'Conceived at T3CON10',
			'orAddinfo',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function getOrAddlocationReturnsInitialValueForString()
	{
		$this->assertSame(
			'',
			$this->subject->getOrAddlocation()
		);
	}

	/**
	 * @test
	 */
	public function setOrAddlocationForStringSetsOrAddlocation()
	{
		$this->subject->setOrAddlocation('Conceived at T3CON10');

		$this->assertAttributeEquals(
			'Conceived at T3CON10',
			'orAddlocation',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function getOrSupervisorReturnsInitialValueForEmployee()
	{
		$this->assertEquals(
			NULL,
			$this->subject->getOrSupervisor()
		);
	}

	/**
	 * @test
	 */
	public function setOrSupervisorForEmployeeSetsOrSupervisor()
	{
		$orSupervisorFixture = new \Wrm\Civserv2\Domain\Model\Employee();
		$this->subject->setOrSupervisor($orSupervisorFixture);

		$this->assertAttributeEquals(
			$orSupervisorFixture,
			'orSupervisor',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function getOrHoursReturnsInitialValueForOfficeHours()
	{
		$newObjectStorage = new \TYPO3\CMS\Extbase\Persistence\ObjectStorage();
		$this->assertEquals(
			$newObjectStorage,
			$this->subject->getOrHours()
		);
	}

	/**
	 * @test
	 */
	public function setOrHoursForObjectStorageContainingOfficeHoursSetsOrHours()
	{
		$orHour = new \Wrm\Civserv2\Domain\Model\OfficeHours();
		$objectStorageHoldingExactlyOneOrHours = new \TYPO3\CMS\Extbase\Persistence\ObjectStorage();
		$objectStorageHoldingExactlyOneOrHours->attach($orHour);
		$this->subject->setOrHours($objectStorageHoldingExactlyOneOrHours);

		$this->assertAttributeEquals(
			$objectStorageHoldingExactlyOneOrHours,
			'orHours',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function addOrHourToObjectStorageHoldingOrHours()
	{
		$orHour = new \Wrm\Civserv2\Domain\Model\OfficeHours();
		$orHoursObjectStorageMock = $this->getMock('TYPO3\\CMS\\Extbase\\Persistence\\ObjectStorage', array('attach'), array(), '', FALSE);
		$orHoursObjectStorageMock->expects($this->once())->method('attach')->with($this->equalTo($orHour));
		$this->inject($this->subject, 'orHours', $orHoursObjectStorageMock);

		$this->subject->addOrHour($orHour);
	}

	/**
	 * @test
	 */
	public function removeOrHourFromObjectStorageHoldingOrHours()
	{
		$orHour = new \Wrm\Civserv2\Domain\Model\OfficeHours();
		$orHoursObjectStorageMock = $this->getMock('TYPO3\\CMS\\Extbase\\Persistence\\ObjectStorage', array('detach'), array(), '', FALSE);
		$orHoursObjectStorageMock->expects($this->once())->method('detach')->with($this->equalTo($orHour));
		$this->inject($this->subject, 'orHours', $orHoursObjectStorageMock);

		$this->subject->removeOrHour($orHour);

	}

	/**
	 * @test
	 */
	public function getOrStructureReturnsInitialValueForOrganisation()
	{
		$newObjectStorage = new \TYPO3\CMS\Extbase\Persistence\ObjectStorage();
		$this->assertEquals(
			$newObjectStorage,
			$this->subject->getOrStructure()
		);
	}

	/**
	 * @test
	 */
	public function setOrStructureForObjectStorageContainingOrganisationSetsOrStructure()
	{
		$orStructure = new \Wrm\Civserv2\Domain\Model\Organisation();
		$objectStorageHoldingExactlyOneOrStructure = new \TYPO3\CMS\Extbase\Persistence\ObjectStorage();
		$objectStorageHoldingExactlyOneOrStructure->attach($orStructure);
		$this->subject->setOrStructure($objectStorageHoldingExactlyOneOrStructure);

		$this->assertAttributeEquals(
			$objectStorageHoldingExactlyOneOrStructure,
			'orStructure',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function addOrStructureToObjectStorageHoldingOrStructure()
	{
		$orStructure = new \Wrm\Civserv2\Domain\Model\Organisation();
		$orStructureObjectStorageMock = $this->getMock('TYPO3\\CMS\\Extbase\\Persistence\\ObjectStorage', array('attach'), array(), '', FALSE);
		$orStructureObjectStorageMock->expects($this->once())->method('attach')->with($this->equalTo($orStructure));
		$this->inject($this->subject, 'orStructure', $orStructureObjectStorageMock);

		$this->subject->addOrStructure($orStructure);
	}

	/**
	 * @test
	 */
	public function removeOrStructureFromObjectStorageHoldingOrStructure()
	{
		$orStructure = new \Wrm\Civserv2\Domain\Model\Organisation();
		$orStructureObjectStorageMock = $this->getMock('TYPO3\\CMS\\Extbase\\Persistence\\ObjectStorage', array('detach'), array(), '', FALSE);
		$orStructureObjectStorageMock->expects($this->once())->method('detach')->with($this->equalTo($orStructure));
		$this->inject($this->subject, 'orStructure', $orStructureObjectStorageMock);

		$this->subject->removeOrStructure($orStructure);

	}

	/**
	 * @test
	 */
	public function getOrBuildingToShowReturnsInitialValueForBuilding()
	{
		$newObjectStorage = new \TYPO3\CMS\Extbase\Persistence\ObjectStorage();
		$this->assertEquals(
			$newObjectStorage,
			$this->subject->getOrBuildingToShow()
		);
	}

	/**
	 * @test
	 */
	public function setOrBuildingToShowForObjectStorageContainingBuildingSetsOrBuildingToShow()
	{
		$orBuildingToShow = new \Wrm\Civserv2\Domain\Model\Building();
		$objectStorageHoldingExactlyOneOrBuildingToShow = new \TYPO3\CMS\Extbase\Persistence\ObjectStorage();
		$objectStorageHoldingExactlyOneOrBuildingToShow->attach($orBuildingToShow);
		$this->subject->setOrBuildingToShow($objectStorageHoldingExactlyOneOrBuildingToShow);

		$this->assertAttributeEquals(
			$objectStorageHoldingExactlyOneOrBuildingToShow,
			'orBuildingToShow',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function addOrBuildingToShowToObjectStorageHoldingOrBuildingToShow()
	{
		$orBuildingToShow = new \Wrm\Civserv2\Domain\Model\Building();
		$orBuildingToShowObjectStorageMock = $this->getMock('TYPO3\\CMS\\Extbase\\Persistence\\ObjectStorage', array('attach'), array(), '', FALSE);
		$orBuildingToShowObjectStorageMock->expects($this->once())->method('attach')->with($this->equalTo($orBuildingToShow));
		$this->inject($this->subject, 'orBuildingToShow', $orBuildingToShowObjectStorageMock);

		$this->subject->addOrBuildingToShow($orBuildingToShow);
	}

	/**
	 * @test
	 */
	public function removeOrBuildingToShowFromObjectStorageHoldingOrBuildingToShow()
	{
		$orBuildingToShow = new \Wrm\Civserv2\Domain\Model\Building();
		$orBuildingToShowObjectStorageMock = $this->getMock('TYPO3\\CMS\\Extbase\\Persistence\\ObjectStorage', array('detach'), array(), '', FALSE);
		$orBuildingToShowObjectStorageMock->expects($this->once())->method('detach')->with($this->equalTo($orBuildingToShow));
		$this->inject($this->subject, 'orBuildingToShow', $orBuildingToShowObjectStorageMock);

		$this->subject->removeOrBuildingToShow($orBuildingToShow);

	}

	/**
	 * @test
	 */
	public function getOrBuildingReturnsInitialValueForBuilding()
	{
		$newObjectStorage = new \TYPO3\CMS\Extbase\Persistence\ObjectStorage();
		$this->assertEquals(
			$newObjectStorage,
			$this->subject->getOrBuilding()
		);
	}

	/**
	 * @test
	 */
	public function setOrBuildingForObjectStorageContainingBuildingSetsOrBuilding()
	{
		$orBuilding = new \Wrm\Civserv2\Domain\Model\Building();
		$objectStorageHoldingExactlyOneOrBuilding = new \TYPO3\CMS\Extbase\Persistence\ObjectStorage();
		$objectStorageHoldingExactlyOneOrBuilding->attach($orBuilding);
		$this->subject->setOrBuilding($objectStorageHoldingExactlyOneOrBuilding);

		$this->assertAttributeEquals(
			$objectStorageHoldingExactlyOneOrBuilding,
			'orBuilding',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function addOrBuildingToObjectStorageHoldingOrBuilding()
	{
		$orBuilding = new \Wrm\Civserv2\Domain\Model\Building();
		$orBuildingObjectStorageMock = $this->getMock('TYPO3\\CMS\\Extbase\\Persistence\\ObjectStorage', array('attach'), array(), '', FALSE);
		$orBuildingObjectStorageMock->expects($this->once())->method('attach')->with($this->equalTo($orBuilding));
		$this->inject($this->subject, 'orBuilding', $orBuildingObjectStorageMock);

		$this->subject->addOrBuilding($orBuilding);
	}

	/**
	 * @test
	 */
	public function removeOrBuildingFromObjectStorageHoldingOrBuilding()
	{
		$orBuilding = new \Wrm\Civserv2\Domain\Model\Building();
		$orBuildingObjectStorageMock = $this->getMock('TYPO3\\CMS\\Extbase\\Persistence\\ObjectStorage', array('detach'), array(), '', FALSE);
		$orBuildingObjectStorageMock->expects($this->once())->method('detach')->with($this->equalTo($orBuilding));
		$this->inject($this->subject, 'orBuilding', $orBuildingObjectStorageMock);

		$this->subject->removeOrBuilding($orBuilding);

	}
}
