<?php

namespace Wrm\Civserv2\Tests\Unit\Domain\Model;

/***************************************************************
 *  Copyright notice
 *
 *  (c) 2016 Christian Sauer <sauer@werkraum-media.de>, werkraum.media
 *
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

/**
 * Test case for class \Wrm\Civserv2\Domain\Model\Room.
 *
 * @copyright Copyright belongs to the respective authors
 * @license http://www.gnu.org/licenses/gpl.html GNU General Public License, version 3 or later
 *
 * @author Christian Sauer <sauer@werkraum-media.de>
 */
class RoomTest extends \TYPO3\CMS\Core\Tests\UnitTestCase
{
	/**
	 * @var \Wrm\Civserv2\Domain\Model\Room
	 */
	protected $subject = NULL;

	public function setUp()
	{
		$this->subject = new \Wrm\Civserv2\Domain\Model\Room();
	}

	public function tearDown()
	{
		unset($this->subject);
	}

	/**
	 * @test
	 */
	public function getRoNumberReturnsInitialValueForString()
	{
		$this->assertSame(
			'',
			$this->subject->getRoNumber()
		);
	}

	/**
	 * @test
	 */
	public function setRoNumberForStringSetsRoNumber()
	{
		$this->subject->setRoNumber('Conceived at T3CON10');

		$this->assertAttributeEquals(
			'Conceived at T3CON10',
			'roNumber',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function getRoNameReturnsInitialValueForString()
	{
		$this->assertSame(
			'',
			$this->subject->getRoName()
		);
	}

	/**
	 * @test
	 */
	public function setRoNameForStringSetsRoName()
	{
		$this->subject->setRoName('Conceived at T3CON10');

		$this->assertAttributeEquals(
			'Conceived at T3CON10',
			'roName',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function getRoDescrReturnsInitialValueForString()
	{
		$this->assertSame(
			'',
			$this->subject->getRoDescr()
		);
	}

	/**
	 * @test
	 */
	public function setRoDescrForStringSetsRoDescr()
	{
		$this->subject->setRoDescr('Conceived at T3CON10');

		$this->assertAttributeEquals(
			'Conceived at T3CON10',
			'roDescr',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function getRoTelephoneReturnsInitialValueForString()
	{
		$this->assertSame(
			'',
			$this->subject->getRoTelephone()
		);
	}

	/**
	 * @test
	 */
	public function setRoTelephoneForStringSetsRoTelephone()
	{
		$this->subject->setRoTelephone('Conceived at T3CON10');

		$this->assertAttributeEquals(
			'Conceived at T3CON10',
			'roTelephone',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function getRoFaxReturnsInitialValueForString()
	{
		$this->assertSame(
			'',
			$this->subject->getRoFax()
		);
	}

	/**
	 * @test
	 */
	public function setRoFaxForStringSetsRoFax()
	{
		$this->subject->setRoFax('Conceived at T3CON10');

		$this->assertAttributeEquals(
			'Conceived at T3CON10',
			'roFax',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function getRbfLabelReturnsInitialValueForString()
	{
		$this->assertSame(
			'',
			$this->subject->getRbfLabel()
		);
	}

	/**
	 * @test
	 */
	public function setRbfLabelForStringSetsRbfLabel()
	{
		$this->subject->setRbfLabel('Conceived at T3CON10');

		$this->assertAttributeEquals(
			'Conceived at T3CON10',
			'rbfLabel',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function getFloorReturnsInitialValueForFloor()
	{
		$this->assertEquals(
			NULL,
			$this->subject->getFloor()
		);
	}

	/**
	 * @test
	 */
	public function setFloorForFloorSetsFloor()
	{
		$floorFixture = new \Wrm\Civserv2\Domain\Model\Floor();
		$this->subject->setFloor($floorFixture);

		$this->assertAttributeEquals(
			$floorFixture,
			'floor',
			$this->subject
		);
	}
}
