<?php

namespace Wrm\Civserv2\Tests\Unit\Domain\Model;

/***************************************************************
 *  Copyright notice
 *
 *  (c) 2016 Christian Sauer <sauer@werkraum-media.de>, werkraum.media
 *
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

/**
 * Test case for class \Wrm\Civserv2\Domain\Model\SearchWord.
 *
 * @copyright Copyright belongs to the respective authors
 * @license http://www.gnu.org/licenses/gpl.html GNU General Public License, version 3 or later
 *
 * @author Christian Sauer <sauer@werkraum-media.de>
 */
class SearchWordTest extends \TYPO3\CMS\Core\Tests\UnitTestCase
{
	/**
	 * @var \Wrm\Civserv2\Domain\Model\SearchWord
	 */
	protected $subject = NULL;

	public function setUp()
	{
		$this->subject = new \Wrm\Civserv2\Domain\Model\SearchWord();
	}

	public function tearDown()
	{
		unset($this->subject);
	}

	/**
	 * @test
	 */
	public function getSwSearchWordReturnsInitialValueForString()
	{
		$this->assertSame(
			'',
			$this->subject->getSwSearchWord()
		);
	}

	/**
	 * @test
	 */
	public function setSwSearchWordForStringSetsSwSearchWord()
	{
		$this->subject->setSwSearchWord('Conceived at T3CON10');

		$this->assertAttributeEquals(
			'Conceived at T3CON10',
			'swSearchWord',
			$this->subject
		);
	}
}
