<?php

namespace Wrm\Civserv2\Tests\Unit\Domain\Model;

/***************************************************************
 *  Copyright notice
 *
 *  (c) 2016 Christian Sauer <sauer@werkraum-media.de>, werkraum.media
 *
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

/**
 * Test case for class \Wrm\Civserv2\Domain\Model\Service.
 *
 * @copyright Copyright belongs to the respective authors
 * @license http://www.gnu.org/licenses/gpl.html GNU General Public License, version 3 or later
 *
 * @author Christian Sauer <sauer@werkraum-media.de>
 */
class ServiceTest extends \TYPO3\CMS\Core\Tests\UnitTestCase
{
	/**
	 * @var \Wrm\Civserv2\Domain\Model\Service
	 */
	protected $subject = NULL;

	public function setUp()
	{
		$this->subject = new \Wrm\Civserv2\Domain\Model\Service();
	}

	public function tearDown()
	{
		unset($this->subject);
	}

	/**
	 * @test
	 */
	public function getSvNameReturnsInitialValueForString()
	{
		$this->assertSame(
			'',
			$this->subject->getSvName()
		);
	}

	/**
	 * @test
	 */
	public function setSvNameForStringSetsSvName()
	{
		$this->subject->setSvName('Conceived at T3CON10');

		$this->assertAttributeEquals(
			'Conceived at T3CON10',
			'svName',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function getSvTypeReturnsInitialValueForBool()
	{
		$this->assertSame(
			FALSE,
			$this->subject->getSvType()
		);
	}

	/**
	 * @test
	 */
	public function setSvTypeForBoolSetsSvType()
	{
		$this->subject->setSvType(TRUE);

		$this->assertAttributeEquals(
			TRUE,
			'svType',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function getSvSynonym1ReturnsInitialValueForString()
	{
		$this->assertSame(
			'',
			$this->subject->getSvSynonym1()
		);
	}

	/**
	 * @test
	 */
	public function setSvSynonym1ForStringSetsSvSynonym1()
	{
		$this->subject->setSvSynonym1('Conceived at T3CON10');

		$this->assertAttributeEquals(
			'Conceived at T3CON10',
			'svSynonym1',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function getSvSynonym2ReturnsInitialValueForString()
	{
		$this->assertSame(
			'',
			$this->subject->getSvSynonym2()
		);
	}

	/**
	 * @test
	 */
	public function setSvSynonym2ForStringSetsSvSynonym2()
	{
		$this->subject->setSvSynonym2('Conceived at T3CON10');

		$this->assertAttributeEquals(
			'Conceived at T3CON10',
			'svSynonym2',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function getSvSynonym3ReturnsInitialValueForString()
	{
		$this->assertSame(
			'',
			$this->subject->getSvSynonym3()
		);
	}

	/**
	 * @test
	 */
	public function setSvSynonym3ForStringSetsSvSynonym3()
	{
		$this->subject->setSvSynonym3('Conceived at T3CON10');

		$this->assertAttributeEquals(
			'Conceived at T3CON10',
			'svSynonym3',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function getSv3rdpartyCheckboxReturnsInitialValueForBool()
	{
		$this->assertSame(
			FALSE,
			$this->subject->getSv3rdpartyCheckbox()
		);
	}

	/**
	 * @test
	 */
	public function setSv3rdpartyCheckboxForBoolSetsSv3rdpartyCheckbox()
	{
		$this->subject->setSv3rdpartyCheckbox(TRUE);

		$this->assertAttributeEquals(
			TRUE,
			'sv3rdpartyCheckbox',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function getSv3rdpartyLinkReturnsInitialValueForString()
	{
		$this->assertSame(
			'',
			$this->subject->getSv3rdpartyLink()
		);
	}

	/**
	 * @test
	 */
	public function setSv3rdpartyLinkForStringSetsSv3rdpartyLink()
	{
		$this->subject->setSv3rdpartyLink('Conceived at T3CON10');

		$this->assertAttributeEquals(
			'Conceived at T3CON10',
			'sv3rdpartyLink',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function getSv3rdpartyNameReturnsInitialValueForString()
	{
		$this->assertSame(
			'',
			$this->subject->getSv3rdpartyName()
		);
	}

	/**
	 * @test
	 */
	public function setSv3rdpartyNameForStringSetsSv3rdpartyName()
	{
		$this->subject->setSv3rdpartyName('Conceived at T3CON10');

		$this->assertAttributeEquals(
			'Conceived at T3CON10',
			'sv3rdpartyName',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function getSvDescrShortReturnsInitialValueForString()
	{
		$this->assertSame(
			'',
			$this->subject->getSvDescrShort()
		);
	}

	/**
	 * @test
	 */
	public function setSvDescrShortForStringSetsSvDescrShort()
	{
		$this->subject->setSvDescrShort('Conceived at T3CON10');

		$this->assertAttributeEquals(
			'Conceived at T3CON10',
			'svDescrShort',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function getSvDescrLongReturnsInitialValueForString()
	{
		$this->assertSame(
			'',
			$this->subject->getSvDescrLong()
		);
	}

	/**
	 * @test
	 */
	public function setSvDescrLongForStringSetsSvDescrLong()
	{
		$this->subject->setSvDescrLong('Conceived at T3CON10');

		$this->assertAttributeEquals(
			'Conceived at T3CON10',
			'svDescrLong',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function getSvImageReturnsInitialValueForFileReference()
	{
		$this->assertEquals(
			NULL,
			$this->subject->getSvImage()
		);
	}

	/**
	 * @test
	 */
	public function setSvImageForFileReferenceSetsSvImage()
	{
		$fileReferenceFixture = new \TYPO3\CMS\Extbase\Domain\Model\FileReference();
		$this->subject->setSvImage($fileReferenceFixture);

		$this->assertAttributeEquals(
			$fileReferenceFixture,
			'svImage',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function getSvImageTextReturnsInitialValueForString()
	{
		$this->assertSame(
			'',
			$this->subject->getSvImageText()
		);
	}

	/**
	 * @test
	 */
	public function setSvImageTextForStringSetsSvImageText()
	{
		$this->subject->setSvImageText('Conceived at T3CON10');

		$this->assertAttributeEquals(
			'Conceived at T3CON10',
			'svImageText',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function getSvFeesReturnsInitialValueForString()
	{
		$this->assertSame(
			'',
			$this->subject->getSvFees()
		);
	}

	/**
	 * @test
	 */
	public function setSvFeesForStringSetsSvFees()
	{
		$this->subject->setSvFees('Conceived at T3CON10');

		$this->assertAttributeEquals(
			'Conceived at T3CON10',
			'svFees',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function getSvDocumentsReturnsInitialValueForString()
	{
		$this->assertSame(
			'',
			$this->subject->getSvDocuments()
		);
	}

	/**
	 * @test
	 */
	public function setSvDocumentsForStringSetsSvDocuments()
	{
		$this->subject->setSvDocuments('Conceived at T3CON10');

		$this->assertAttributeEquals(
			'Conceived at T3CON10',
			'svDocuments',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function getSvLegalLocalReturnsInitialValueForString()
	{
		$this->assertSame(
			'',
			$this->subject->getSvLegalLocal()
		);
	}

	/**
	 * @test
	 */
	public function setSvLegalLocalForStringSetsSvLegalLocal()
	{
		$this->subject->setSvLegalLocal('Conceived at T3CON10');

		$this->assertAttributeEquals(
			'Conceived at T3CON10',
			'svLegalLocal',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function getSvLegalGlobalReturnsInitialValueForString()
	{
		$this->assertSame(
			'',
			$this->subject->getSvLegalGlobal()
		);
	}

	/**
	 * @test
	 */
	public function setSvLegalGlobalForStringSetsSvLegalGlobal()
	{
		$this->subject->setSvLegalGlobal('Conceived at T3CON10');

		$this->assertAttributeEquals(
			'Conceived at T3CON10',
			'svLegalGlobal',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function getSvModelServiceReturnsInitialValueForModelService()
	{
		$this->assertEquals(
			NULL,
			$this->subject->getSvModelService()
		);
	}

	/**
	 * @test
	 */
	public function setSvModelServiceForModelServiceSetsSvModelService()
	{
		$svModelServiceFixture = new \Wrm\Civserv2\Domain\Model\ModelService();
		$this->subject->setSvModelService($svModelServiceFixture);

		$this->assertAttributeEquals(
			$svModelServiceFixture,
			'svModelService',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function getSvSimilarServicesReturnsInitialValueForService()
	{
		$newObjectStorage = new \TYPO3\CMS\Extbase\Persistence\ObjectStorage();
		$this->assertEquals(
			$newObjectStorage,
			$this->subject->getSvSimilarServices()
		);
	}

	/**
	 * @test
	 */
	public function setSvSimilarServicesForObjectStorageContainingServiceSetsSvSimilarServices()
	{
		$svSimilarService = new \Wrm\Civserv2\Domain\Model\Service();
		$objectStorageHoldingExactlyOneSvSimilarServices = new \TYPO3\CMS\Extbase\Persistence\ObjectStorage();
		$objectStorageHoldingExactlyOneSvSimilarServices->attach($svSimilarService);
		$this->subject->setSvSimilarServices($objectStorageHoldingExactlyOneSvSimilarServices);

		$this->assertAttributeEquals(
			$objectStorageHoldingExactlyOneSvSimilarServices,
			'svSimilarServices',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function addSvSimilarServiceToObjectStorageHoldingSvSimilarServices()
	{
		$svSimilarService = new \Wrm\Civserv2\Domain\Model\Service();
		$svSimilarServicesObjectStorageMock = $this->getMock('TYPO3\\CMS\\Extbase\\Persistence\\ObjectStorage', array('attach'), array(), '', FALSE);
		$svSimilarServicesObjectStorageMock->expects($this->once())->method('attach')->with($this->equalTo($svSimilarService));
		$this->inject($this->subject, 'svSimilarServices', $svSimilarServicesObjectStorageMock);

		$this->subject->addSvSimilarService($svSimilarService);
	}

	/**
	 * @test
	 */
	public function removeSvSimilarServiceFromObjectStorageHoldingSvSimilarServices()
	{
		$svSimilarService = new \Wrm\Civserv2\Domain\Model\Service();
		$svSimilarServicesObjectStorageMock = $this->getMock('TYPO3\\CMS\\Extbase\\Persistence\\ObjectStorage', array('detach'), array(), '', FALSE);
		$svSimilarServicesObjectStorageMock->expects($this->once())->method('detach')->with($this->equalTo($svSimilarService));
		$this->inject($this->subject, 'svSimilarServices', $svSimilarServicesObjectStorageMock);

		$this->subject->removeSvSimilarService($svSimilarService);

	}

	/**
	 * @test
	 */
	public function getSvFormReturnsInitialValueForForm()
	{
		$newObjectStorage = new \TYPO3\CMS\Extbase\Persistence\ObjectStorage();
		$this->assertEquals(
			$newObjectStorage,
			$this->subject->getSvForm()
		);
	}

	/**
	 * @test
	 */
	public function setSvFormForObjectStorageContainingFormSetsSvForm()
	{
		$svForm = new \Wrm\Civserv2\Domain\Model\Form();
		$objectStorageHoldingExactlyOneSvForm = new \TYPO3\CMS\Extbase\Persistence\ObjectStorage();
		$objectStorageHoldingExactlyOneSvForm->attach($svForm);
		$this->subject->setSvForm($objectStorageHoldingExactlyOneSvForm);

		$this->assertAttributeEquals(
			$objectStorageHoldingExactlyOneSvForm,
			'svForm',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function addSvFormToObjectStorageHoldingSvForm()
	{
		$svForm = new \Wrm\Civserv2\Domain\Model\Form();
		$svFormObjectStorageMock = $this->getMock('TYPO3\\CMS\\Extbase\\Persistence\\ObjectStorage', array('attach'), array(), '', FALSE);
		$svFormObjectStorageMock->expects($this->once())->method('attach')->with($this->equalTo($svForm));
		$this->inject($this->subject, 'svForm', $svFormObjectStorageMock);

		$this->subject->addSvForm($svForm);
	}

	/**
	 * @test
	 */
	public function removeSvFormFromObjectStorageHoldingSvForm()
	{
		$svForm = new \Wrm\Civserv2\Domain\Model\Form();
		$svFormObjectStorageMock = $this->getMock('TYPO3\\CMS\\Extbase\\Persistence\\ObjectStorage', array('detach'), array(), '', FALSE);
		$svFormObjectStorageMock->expects($this->once())->method('detach')->with($this->equalTo($svForm));
		$this->inject($this->subject, 'svForm', $svFormObjectStorageMock);

		$this->subject->removeSvForm($svForm);

	}

	/**
	 * @test
	 */
	public function getSvSearchwordReturnsInitialValueForSearchWord()
	{
		$newObjectStorage = new \TYPO3\CMS\Extbase\Persistence\ObjectStorage();
		$this->assertEquals(
			$newObjectStorage,
			$this->subject->getSvSearchword()
		);
	}

	/**
	 * @test
	 */
	public function setSvSearchwordForObjectStorageContainingSearchWordSetsSvSearchword()
	{
		$svSearchword = new \Wrm\Civserv2\Domain\Model\SearchWord();
		$objectStorageHoldingExactlyOneSvSearchword = new \TYPO3\CMS\Extbase\Persistence\ObjectStorage();
		$objectStorageHoldingExactlyOneSvSearchword->attach($svSearchword);
		$this->subject->setSvSearchword($objectStorageHoldingExactlyOneSvSearchword);

		$this->assertAttributeEquals(
			$objectStorageHoldingExactlyOneSvSearchword,
			'svSearchword',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function addSvSearchwordToObjectStorageHoldingSvSearchword()
	{
		$svSearchword = new \Wrm\Civserv2\Domain\Model\SearchWord();
		$svSearchwordObjectStorageMock = $this->getMock('TYPO3\\CMS\\Extbase\\Persistence\\ObjectStorage', array('attach'), array(), '', FALSE);
		$svSearchwordObjectStorageMock->expects($this->once())->method('attach')->with($this->equalTo($svSearchword));
		$this->inject($this->subject, 'svSearchword', $svSearchwordObjectStorageMock);

		$this->subject->addSvSearchword($svSearchword);
	}

	/**
	 * @test
	 */
	public function removeSvSearchwordFromObjectStorageHoldingSvSearchword()
	{
		$svSearchword = new \Wrm\Civserv2\Domain\Model\SearchWord();
		$svSearchwordObjectStorageMock = $this->getMock('TYPO3\\CMS\\Extbase\\Persistence\\ObjectStorage', array('detach'), array(), '', FALSE);
		$svSearchwordObjectStorageMock->expects($this->once())->method('detach')->with($this->equalTo($svSearchword));
		$this->inject($this->subject, 'svSearchword', $svSearchwordObjectStorageMock);

		$this->subject->removeSvSearchword($svSearchword);

	}

	/**
	 * @test
	 */
	public function getSvPositionReturnsInitialValueForServicePosition()
	{
		$newObjectStorage = new \TYPO3\CMS\Extbase\Persistence\ObjectStorage();
		$this->assertEquals(
			$newObjectStorage,
			$this->subject->getSvPosition()
		);
	}

	/**
	 * @test
	 */
	public function setSvPositionForObjectStorageContainingServicePositionSetsSvPosition()
	{
		$svPosition = new \Wrm\Civserv2\Domain\Model\ServicePosition();
		$objectStorageHoldingExactlyOneSvPosition = new \TYPO3\CMS\Extbase\Persistence\ObjectStorage();
		$objectStorageHoldingExactlyOneSvPosition->attach($svPosition);
		$this->subject->setSvPosition($objectStorageHoldingExactlyOneSvPosition);

		$this->assertAttributeEquals(
			$objectStorageHoldingExactlyOneSvPosition,
			'svPosition',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function addSvPositionToObjectStorageHoldingSvPosition()
	{
		$svPosition = new \Wrm\Civserv2\Domain\Model\ServicePosition();
		$svPositionObjectStorageMock = $this->getMock('TYPO3\\CMS\\Extbase\\Persistence\\ObjectStorage', array('attach'), array(), '', FALSE);
		$svPositionObjectStorageMock->expects($this->once())->method('attach')->with($this->equalTo($svPosition));
		$this->inject($this->subject, 'svPosition', $svPositionObjectStorageMock);

		$this->subject->addSvPosition($svPosition);
	}

	/**
	 * @test
	 */
	public function removeSvPositionFromObjectStorageHoldingSvPosition()
	{
		$svPosition = new \Wrm\Civserv2\Domain\Model\ServicePosition();
		$svPositionObjectStorageMock = $this->getMock('TYPO3\\CMS\\Extbase\\Persistence\\ObjectStorage', array('detach'), array(), '', FALSE);
		$svPositionObjectStorageMock->expects($this->once())->method('detach')->with($this->equalTo($svPosition));
		$this->inject($this->subject, 'svPosition', $svPositionObjectStorageMock);

		$this->subject->removeSvPosition($svPosition);

	}

	/**
	 * @test
	 */
	public function getSvOrganisationReturnsInitialValueForOrganisation()
	{
		$newObjectStorage = new \TYPO3\CMS\Extbase\Persistence\ObjectStorage();
		$this->assertEquals(
			$newObjectStorage,
			$this->subject->getSvOrganisation()
		);
	}

	/**
	 * @test
	 */
	public function setSvOrganisationForObjectStorageContainingOrganisationSetsSvOrganisation()
	{
		$svOrganisation = new \Wrm\Civserv2\Domain\Model\Organisation();
		$objectStorageHoldingExactlyOneSvOrganisation = new \TYPO3\CMS\Extbase\Persistence\ObjectStorage();
		$objectStorageHoldingExactlyOneSvOrganisation->attach($svOrganisation);
		$this->subject->setSvOrganisation($objectStorageHoldingExactlyOneSvOrganisation);

		$this->assertAttributeEquals(
			$objectStorageHoldingExactlyOneSvOrganisation,
			'svOrganisation',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function addSvOrganisationToObjectStorageHoldingSvOrganisation()
	{
		$svOrganisation = new \Wrm\Civserv2\Domain\Model\Organisation();
		$svOrganisationObjectStorageMock = $this->getMock('TYPO3\\CMS\\Extbase\\Persistence\\ObjectStorage', array('attach'), array(), '', FALSE);
		$svOrganisationObjectStorageMock->expects($this->once())->method('attach')->with($this->equalTo($svOrganisation));
		$this->inject($this->subject, 'svOrganisation', $svOrganisationObjectStorageMock);

		$this->subject->addSvOrganisation($svOrganisation);
	}

	/**
	 * @test
	 */
	public function removeSvOrganisationFromObjectStorageHoldingSvOrganisation()
	{
		$svOrganisation = new \Wrm\Civserv2\Domain\Model\Organisation();
		$svOrganisationObjectStorageMock = $this->getMock('TYPO3\\CMS\\Extbase\\Persistence\\ObjectStorage', array('detach'), array(), '', FALSE);
		$svOrganisationObjectStorageMock->expects($this->once())->method('detach')->with($this->equalTo($svOrganisation));
		$this->inject($this->subject, 'svOrganisation', $svOrganisationObjectStorageMock);

		$this->subject->removeSvOrganisation($svOrganisation);

	}

	/**
	 * @test
	 */
	public function getSvNavigationReturnsInitialValueForNavigation()
	{
		$newObjectStorage = new \TYPO3\CMS\Extbase\Persistence\ObjectStorage();
		$this->assertEquals(
			$newObjectStorage,
			$this->subject->getSvNavigation()
		);
	}

	/**
	 * @test
	 */
	public function setSvNavigationForObjectStorageContainingNavigationSetsSvNavigation()
	{
		$svNavigation = new \Wrm\Civserv2\Domain\Model\Navigation();
		$objectStorageHoldingExactlyOneSvNavigation = new \TYPO3\CMS\Extbase\Persistence\ObjectStorage();
		$objectStorageHoldingExactlyOneSvNavigation->attach($svNavigation);
		$this->subject->setSvNavigation($objectStorageHoldingExactlyOneSvNavigation);

		$this->assertAttributeEquals(
			$objectStorageHoldingExactlyOneSvNavigation,
			'svNavigation',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function addSvNavigationToObjectStorageHoldingSvNavigation()
	{
		$svNavigation = new \Wrm\Civserv2\Domain\Model\Navigation();
		$svNavigationObjectStorageMock = $this->getMock('TYPO3\\CMS\\Extbase\\Persistence\\ObjectStorage', array('attach'), array(), '', FALSE);
		$svNavigationObjectStorageMock->expects($this->once())->method('attach')->with($this->equalTo($svNavigation));
		$this->inject($this->subject, 'svNavigation', $svNavigationObjectStorageMock);

		$this->subject->addSvNavigation($svNavigation);
	}

	/**
	 * @test
	 */
	public function removeSvNavigationFromObjectStorageHoldingSvNavigation()
	{
		$svNavigation = new \Wrm\Civserv2\Domain\Model\Navigation();
		$svNavigationObjectStorageMock = $this->getMock('TYPO3\\CMS\\Extbase\\Persistence\\ObjectStorage', array('detach'), array(), '', FALSE);
		$svNavigationObjectStorageMock->expects($this->once())->method('detach')->with($this->equalTo($svNavigation));
		$this->inject($this->subject, 'svNavigation', $svNavigationObjectStorageMock);

		$this->subject->removeSvNavigation($svNavigation);

	}

	/**
	 * @test
	 */
	public function getSvRegionReturnsInitialValueForRegion()
	{
		$newObjectStorage = new \TYPO3\CMS\Extbase\Persistence\ObjectStorage();
		$this->assertEquals(
			$newObjectStorage,
			$this->subject->getSvRegion()
		);
	}

	/**
	 * @test
	 */
	public function setSvRegionForObjectStorageContainingRegionSetsSvRegion()
	{
		$svRegion = new \Wrm\Civserv2\Domain\Model\Region();
		$objectStorageHoldingExactlyOneSvRegion = new \TYPO3\CMS\Extbase\Persistence\ObjectStorage();
		$objectStorageHoldingExactlyOneSvRegion->attach($svRegion);
		$this->subject->setSvRegion($objectStorageHoldingExactlyOneSvRegion);

		$this->assertAttributeEquals(
			$objectStorageHoldingExactlyOneSvRegion,
			'svRegion',
			$this->subject
		);
	}

	/**
	 * @test
	 */
	public function addSvRegionToObjectStorageHoldingSvRegion()
	{
		$svRegion = new \Wrm\Civserv2\Domain\Model\Region();
		$svRegionObjectStorageMock = $this->getMock('TYPO3\\CMS\\Extbase\\Persistence\\ObjectStorage', array('attach'), array(), '', FALSE);
		$svRegionObjectStorageMock->expects($this->once())->method('attach')->with($this->equalTo($svRegion));
		$this->inject($this->subject, 'svRegion', $svRegionObjectStorageMock);

		$this->subject->addSvRegion($svRegion);
	}

	/**
	 * @test
	 */
	public function removeSvRegionFromObjectStorageHoldingSvRegion()
	{
		$svRegion = new \Wrm\Civserv2\Domain\Model\Region();
		$svRegionObjectStorageMock = $this->getMock('TYPO3\\CMS\\Extbase\\Persistence\\ObjectStorage', array('detach'), array(), '', FALSE);
		$svRegionObjectStorageMock->expects($this->once())->method('detach')->with($this->equalTo($svRegion));
		$this->inject($this->subject, 'svRegion', $svRegionObjectStorageMock);

		$this->subject->removeSvRegion($svRegion);

	}
}
